import Bladex
import Reference
import Levers
import Objects
import Sounds
import Sparks
import Stars


############ door sounds ###########################

sdoor1=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-deslizando.wav", "MaderaDesliz")# 
sdoor1.MaxDistance=20000
sdoor1.MinDistance=1000
sdoor1.Volume=4.0

sdoor2=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-golpe.wav", "MaderaGolpe")# 
sdoor2.MaxDistance=20000
sdoor2.MinDistance=2000
sdoor2.Volume=4.0

sdoor3=Sounds.CreateEntitySound("..\\..\\Sounds\\block-sliding.wav", "Block")# 
sdoor3.MaxDistance=20000
sdoor3.MinDistance=2000
sdoor3.Volume=4.0

sdoor4=Sounds.CreateEntitySound("..\\..\\Sounds\\close-gate-1.wav", "Block")#   
sdoor4.MaxDistance=20000
sdoor4.MinDistance=2000
sdoor4.Volume=4.0

#sound
sonidorastrillo=Sounds.CreateEntitySound("..\\..\\Sounds\\rastrillo.wav", "SonidoRastrillo")
golpemetalmediano=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "GolpeMetalMediano")

#
rastel=Bladex.CreateEntity("rastel","Plataforma",182076.557502,9993.44593495,-65856.9241438,"Physic")
rastel.Scale=3.4
rastel.Orientation=0.70710670948,-0.70710682869,-2.04114023461e-008,5.42432516681e-008
rastel=Sparks.SetMetalSparkling("rastel")
rastel.Frozen=0

rasteldin=Objects.CreateDinamicObject("rastel")



# 
palanmel=Levers.PlaceLever("PALAm1",Levers.LeverType3,(180798.279309,-12880.7182849,-67385.8470646),(1.0,-1.0,0.0,0.0),1.0)
palanmel.mode=0

palanmel.OnTurnOnFunc=Abredoorel
palanmel.OnTurnOnArgs=()

palanmel.OnTurnOffFunc=Cierradoorel
palanmel.OnTurnOffArgs=()

palanmel=Stars.Twinkle("PALAm1")


#aga=Bladex.GetSector(184500,9000,-65800)  ; aga.OnEnter=AgaN
#aga1=Bladex.GetSector(184500,9000,-65800)  ; aga1.OnEnter=AgaN1

# 
#palanmel=Levers.PlaceLever("PALAm1",Levers.LeverType3,(184514.843219,8433.81879392,-64107.4974225),(1.0,1.0,0.0,0.0),1.0)
#palanmel.mode=0

#palanmel.OnTurnOnFunc=Abredoorel
#palanmel.OnTurnOnArgs=()

#palanmel.OnTurnOffFunc=Cierradoorel
#palanmel.OnTurnOffArgs=()
###############################################################
elevador=Bladex.CreateEntity("elevador","Plataforma",49215.8062048,19946.1512891,-47840.6119106,"Physic")
elevador.Scale=2.1
elevador.Orientation=0.500000059605,-0.500000059605,-0.499999970198,-0.499999940395
elevador=Sparks.SetWoodenSparkling("elevador")
elevador.Frozen=0

elevadordin=Objects.CreateDinamicObject("elevador")


palannel=Levers.PlaceLever("Palannel",Levers.LeverType2,(47900.0000016,18436.8449994,-49510.1396367),(-0.500000059605,-0.499999791384,-0.500000119209,-0.5),0.8)
palannel.mode=2

palannel.OnTurnOnFunc=UpElevador
palannel.OnTurnOnArgs=()

#palannel.OnTurnOnFunc=StartElevadorUp
#palannel.OnTurnOnArgs=()

# palannel.OnTurnOffFunc=ElevadorDown
# palannel.OnTurnOffArgs=()



# o=Bladex.CreateEntity("ZocaloTimon_3026","ZocaloTimon",48000.0000016,18436.8449994,-49494.1396367, Reference.ObjType("ZocaloTimon"))
# o.Scale=1.5
# o.Orientation=(0.707106769085,0.0,0.0,0.707106769085)

print"--> Elevador OK!"