
##___  ENGLISH VERSION ____##

import Bladex
import AuxFuncs
import Doors
import Levers
import Locks
import Objects
import Sounds
import Sparks
import Button
import Stars
import darfuncs
import Reference
import Select
import Actions
import EnemyTypes
import Ontake

import math



o=Bladex.CreateEntity("Perola_2355","Perola",75759.9803335,13632.8061762,37299.8962428, Reference.ObjType("Perola"))
o.Scale=1.2
o.Orientation=(0.560985565186,0.560985565186,-0.430459290743,0.430459320545)
darfuncs.SetHint(o,("Night pot"))

############ door sounds ###########################
sdoor1=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-deslizando.wav", "MaderaDesliz")# 
sdoor1.MaxDistance=20000
sdoor1.MinDistance=1000
sdoor1.Volume=4.0

sdoor2=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-golpe.wav", "MaderaGolpe")# 
sdoor2.MaxDistance=20000
sdoor2.MinDistance=2000
sdoor2.Volume=4.0

sdoor3=Sounds.CreateEntitySound("..\\..\\Sounds\\block-sliding.wav", "Block")# 
sdoor3.MaxDistance=20000
sdoor3.MinDistance=2000
sdoor3.Volume=4.0

sdoor4=Sounds.CreateEntitySound("..\\..\\Sounds\\close-gate-1.wav", "Block1")#   
sdoor4.MaxDistance=20000
sdoor4.MinDistance=2000
sdoor4.Volume=4.0


#



#door1=Doors.CreateDoor("door1", (-29025.2988386,-2115.0770713,-17591.9828354), (0,1,0), 800, 4800, Doors.CLOSED)

#def Cierradoor0():
#	desplazamientos0=(2250.0, 1000.0)
#	vectores0=((0.0, 1.0, 0.0), (0.0, 1.0, 0.0))
#	vel_finales0=(4000.0, 500)
	
#	son_iniciales0=("", "")
#	son_durante0=(sonidorastrillo0, sonidorastrillo0)
#	son_finales0=("", golpemetalmediano0)
#	Objects.NDisplaceObject(rast1din, desplazamientos0, vectores0, vel_iniciales0, vel_finales0, (), son_durante0, son_finales0)

#sound
sonidorastrillo0=Sounds.CreateEntitySound("..\\..\\Sounds\\rastrillo.wav", "SonidoRastrillo0")
golpemetalmediano0=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "GolpeMetalMediano0")

#sound
sonidorastrillo01=Sounds.CreateEntitySound("..\\..\\Sounds\\rastrillo.wav", "SonidoRastrillo01")
golpemetalmediano01=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "GolpeMetalMediano01")

#door0
rast1=Bladex.CreateEntity("rast1","Rastrillo10",-29402.8339758,-2923.84669372,-17594.6561851,"Physic")
rast1.Scale=0.8
rast1.Orientation=0.707106769085,-0.707106769085,0.0,0.0
rast1=Sparks.SetMetalSparkling("rast1")
rast1.Frozen=0

rast1din=Objects.CreateDinamicObject("rast1")


rast01=Bladex.CreateEntity("rast01","Rastrillo10",-26179.0635123,-2325.11819716,-35035.2536421,"Physic")
rast01.Scale=0.8
rast01.Orientation=0.500000059605,-0.499999940395,-0.500000059605,-0.499999970198
rast01=Sparks.SetMetalSparkling("rast01")
rast01.Frozen=0

rast01din=Objects.CreateDinamicObject("rast01")

#0
palanm0=Levers.PlaceLever("PALAm1",Levers.LeverType3,(-25379.0635123,-1675.11819716,-33035.2536421),(0.500000059605,0.500000059605,-0.500000059605,0.499999821186),1.0)
palanm0.mode=2

palanm0.OnTurnOnFunc=OpenDoors
palanm0.OnTurnOnArgs=()

#palanm0.OnTurnOffFunc=Cierradoor0
#palanm0.OnTurnOffArgs=()
###################################################
#  / 
#sa=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-piedra-deslizando-2.wav", "loop-rebote")
#sa.MaxDistance=20000
#sa.MinDistance=1000
#sa.Volume=4.0

#sc=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-deslizando.wav", "no-loop")
#sc.MaxDistance=20000
#sc.MinDistance=2000
#sc.Volume=4.0

#2
#puerta2=Doors.CreateDoor("puerta2", (3110.0621273,-2795.36332507,-7167.83599134), (0,1,0), 800, 4800, Doors.CLOSED)


#puerta2.opentype=Doors.UNIF
#puerta2.o_med_vel=-800#
#puerta2.o_med_displ=4200# 
#puerta2.SetWhileOpenSound(sa)
#puerta2.SetEndOpenSound(sc)

#puerta2.closetype=Doors.AC
#puerta2.c_init_displ=4200#
#puerta2.c_med_vel=3900#
#puerta2.SetWhileCloseSound(sa)
#puerta2.SetEndOpenSound(sc)

#2
#cerradura2=Locks.PlaceLock("cerradura2","Cerraduracutre",(1110.0621273,-1395.36332507,-6967.83599134),(0.500000059605,-0.499999940395,-0.500000059605,-0.499999970198),3.0)
#cerradura2.key="llave2"

#cerradura2.OnUnLockFunc=Abredoor2
#cerradura2.OnUnLockArgs=()

#cerradura2.OnLockFunc=Cierradoor2
#cerradura2.OnLockArgs=()

#darfuncs.SetHint(cerradura2.obj,"Iron Lock")

#2
#llave2=Bladex.CreateEntity("llave2","Llavecutre",-467.405259336,-11.9861243655,-5447.77523202,"Physic")
#llave2.Scale=1.0
#llave2.Orientation=1.0,0.0,0.0,0.0
#darfuncs.SetHint(llave2,"Iron Lock")


#sound3
sonidorastrillo3=Sounds.CreateEntitySound("..\\..\\Sounds\\rastrillo.wav", "SonidoRastrillo3")
golpemetalmediano3=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "GolpeMetalMediano3")

#door3
rast3=Bladex.CreateEntity("rast3","Rastrillo10",40133.3619102,5063.37386366,-1323.72728832,"Physic")
rast3.Scale=0.8
rast3.Orientation=(0.690345525742,-0.690345525742,-0.153045922518,-0.153045922518)
rast3=Sparks.SetMetalSparkling("rast3")
rast3.Frozen=0

rast3din=Objects.CreateDinamicObject("rast3")


#lock3
cerradur3=Locks.PlaceLock("cerradur3","Cerradurpla",(41683.0604019,6085.36338037,-796.741774006),(0.63662570715,0.591507554054,0.348259031773,-0.351485729218),1.5)
cerradur3.key="llavesmall"

cerradur3.OnUnLockFunc=Abredoor3
cerradur3.OnUnLockArgs=()

cerradur3.OnLockFunc=Cierradoor3
cerradur3.OnLockArgs=()

darfuncs.SetHint(cerradur3.obj,"Small lock")
#key3
#llavesmall=Bladex.CreateEntity("llavesmall","Llave",-467.405259336,-11.9861243655,-5447.77523202)
#llavesmall.Static=0
#llavesmall.Scale=1.0
#llavesmall.Orientation=1.0,0.0,0.0,0.0

#darfuncs.SetHint(llavesmall," ")


#Ura! Nakonets vse rabotaet!!! 12.01.2006 16.04

#sound4
sonidorastrillo4=Sounds.CreateEntitySound("..\\..\\Sounds\\rastrillo.wav", "SonidoRastrillo4")
golpemetalmediano4=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "GolpeMetalMediano4")

#door4
rast4=Bladex.CreateEntity("rast4","Rastrillo10",80046.6051556,1397.88547501,-73219.9697872,"Physic")
rast4.Scale=1.2
rast4.Orientation=0.40557962656,0.405579954386,-0.579227924347,0.579227983952
rast4=Sparks.SetMetalSparkling("rast4")
rast4.Frozen=0

rast4din=Objects.CreateDinamicObject("rast4")


#lock4
cerradur4=Locks.PlaceLock("cerradur4","Cerradura",(78146.6051556,3697.88547501,-71539.9697872),(0.689564704895,0.686420321465,-0.186738714576,0.135854095221),1.2)
cerradur4.key="llaveplatrident"

cerradur4.OnUnLockFunc=Abredoor4
cerradur4.OnUnLockArgs=()

cerradur4.OnLockFunc=Cierradoor4
cerradur4.OnLockArgs=()


darfuncs.SetHint(cerradur4.obj,"Trident lock")


llaveplatridentp=Bladex.CreateEntity("llaveplatridentp","Llavepla",12650.2997638,3427.05801165,-63144.2921214)
llaveplatridentp.Static=0
llaveplatridentp.Scale=1.0
llaveplatridentp.Orientation=0.9998010993,-0.0191841796041,-0.0013237381354,-0.00529077695683
Stars.Twinkle("llaveplatridentp")


darfuncs.SetHint(llaveplatridentp,"Facked-up Trident key")

llaveplatrident=Bladex.CreateEntity("llaveplatrident","Llavepla",80406.0043869,12682.0219516,39436.1188252)
llaveplatrident.Static=0
llaveplatrident.Scale=1.0
llaveplatrident.Orientation=0.9998010993,-0.0191841796041,-0.0013237381354,-0.00529077695683
Stars.Twinkle("llaveplatrident")


darfuncs.SetHint(llaveplatrident,"Trident key")


"""

llaveplatrident=Bladex.CreateEntity("llaveplatrident","Llavepla",78041.2535093,4969.55523792,-73453.7819613)
llaveplatrident.Static=0
llaveplatrident.Scale=1.0
llaveplatrident.Orientation=0.9998010993,-0.0191841796041,-0.0013237381354,-0.00529077695683
Stars.Twinkle("llaveplatrident")
"""

#sound5
sonidorastrillo5=Sounds.CreateEntitySound("..\\..\\Sounds\\metal-lever2.wav", "SonidoRastrillo5")
golpemetalmediano5=Sounds.CreateEntitySound("..\\..\\Sounds\\drawbridge-door-close.wav", "GolpeMetalMediano5")

#door5
rast5=Bladex.CreateEntity("rast5","PuenteFernando",11192.2735308,3906.74322073,-53661.175978,"Physic")
rast5.Scale=0.42
rast5.Orientation=0.923879504204,0.0,0.382683426142,0.0
rast5=Sparks.SetWoodenSparkling("rast5")
rast5.Frozen=0

rast5din=Objects.CreateDinamicObject("rast5")



#KEY5
llavecutrestorekey=Bladex.CreateEntity("llavecutrestorekey","Llavecutre",16243.1619565,5742.63746237,-48848.7773037,"Physic")
#llavecutrestorekey.Static=0
llavecutrestorekey.Data=darfuncs.EmptyClass()
llavecutrestorekey.Data.Used=10
llavecutrestorekey.Scale=1.2
llavecutrestorekey.Orientation=(0.999608159065,0.0255845636129,0.0113450372592,0.00043562319479)
Stars.Twinkle("llavecutrestorekey")

darfuncs.SetHint(llavecutrestorekey,"Stockroom key")
#
cerradur5=Locks.PlaceLock("cerradur5","Cerraduracutre",(10526.5908999,5783.82427632,-52318.8108123),(0.707106769085,-0.707106769085,0.0,0.0),1.0)
cerradur5.key="llavecutrestorekey"

cerradur5.OnUnLockFunc=Abredoor5
cerradur5.OnUnLockArgs=()

cerradur5.OnLockFunc=Cierradoor5
cerradur5.OnLockArgs=()


darfuncs.SetHint(cerradur5.obj,"Stockroom lock")

############################
#sound
sonidorastrillo6=Sounds.CreateEntitySound("..\\..\\Sounds\\metal-lever2.wav", "SonidoRastrillo6")
golpemetalmediano6=Sounds.CreateEntitySound("..\\..\\Sounds\\drawbridge-door-close.wav", "GolpeMetalMediano6")

#door6
rast6=Bladex.CreateEntity("rast6","Rastrillo",22659.6940982,4982.64909277,-14346.690428,"Physic",)
rast6.Scale=0.8
rast6.Orientation=0.707106769085,-0.707106769085,0.0,0.0
rast6=Sparks.SetMetalSparkling("rast6")
rast6.Frozen=0

rast6din=Objects.CreateDinamicObject("rast6")


#lock6
cerradur6=Locks.PlaceLock("cerradur6","Cerraduracutre",(20859.6940982,5582.64909277,-13046.690428),(0.683012664318,0.683012783527,-0.183012709022,0.183012664318),1.2)
cerradur6.key="acseskey"

cerradur6.OnUnLockFunc=Abredoor6
cerradur6.OnUnLockArgs=()

cerradur6.OnLockFunc=Cierradoor6
cerradur6.OnLockArgs=()


darfuncs.SetHint(cerradur6.obj,"Rusty lock")

#key6 v komnate lorda
#Acseskey=Bladex.CreateEntity("Acseskey","Llavecutre",65511.9703019,5506.83098435,-66278.4263577)
#Acseskey.Static=0
#Acseskey.Scale=1.0
#Acseskey.Orientation=0.985544323921,-0.0534697510302,0.156042903662,0.0386515967548

#darfuncs.SetHint(Acseskey," ")



######################################
#sound7
sonidorastrillo7=Sounds.CreateEntitySound("..\\..\\Sounds\\rastrillo.wav", "SonidoRastrillo7")
golpemetalmediano7=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "GolpeMetalMediano7")

#door7
rast7=Bladex.CreateEntity("rast7","Rastrillo10",72922.3424826,-6454.7600388,-13168.6610801,"Physic")
rast7.Scale=1.0
rast7.Orientation=0.560985505581,-0.560985505581,-0.430459290743,-0.430459409952
rast7=Sparks.SetMetalSparkling("rast7")
rast7.Frozen=0

rast7din=Objects.CreateDinamicObject("rast7")

#7
palaboss2=Levers.PlaceLever("palaboss2", Levers.LeverType3,(75250.8313103,-6952.12376849,-19788.1835975),(0.092295922339,0.0922957286239,-0.701057493687,0.701057314873),1.0)
palaboss2.mode=2

palaboss2.OnTurnOnFunc=Bossdoor2
palaboss2.OnTurnOnArgs=()

#palaboss2.OnTurnOffFunc=Cierradoor7
#palaboss2.OnTurnOffArgs=()

############################
#sound9
sonidorastrillo9=Sounds.CreateEntitySound("..\\..\\Sounds\\metal-lever2.wav", "SonidoRastrillo9")
golpemetalmediano9=Sounds.CreateEntitySound("..\\..\\Sounds\\drawbridge-door-close.wav", "GolpeMetalMediano9")

#door9
rast9=Bladex.CreateEntity("rast9","Rastrillo2",112640.613426,9002.21220274,-51931.6587184, "Physic",)
rast9.Scale=1.2
rast9.Orientation=0.500000059605,-0.500000059605,-0.499999970198,-0.499999940395
rast9=Sparks.SetMetalSparkling("rast9")
rast9.Frozen=0

rast9din=Objects.CreateDinamicObject("rast9")


#lock9
cerradur9=Locks.PlaceLock("cerradur9","Cerradurpla",(112154.755989,13755.4648002,-48864.4371311),(0.0,1.01338855529e-007,0.707106888294,-0.70710670948),1.2)
cerradur9.key="reservekey"

cerradur9.OnUnLockFunc=Abredoor9
cerradur9.OnUnLockArgs=()

cerradur9.OnLockFunc=Cierradoor9
cerradur9.OnLockArgs=()


darfuncs.SetHint(cerradur9.obj,"Reserve gate")

#############KEYS###############




#KEY3
llavesmall=Bladex.CreateEntity("llavesmall","Llave",52543.7790219,12438.8355731,-16467.5987685)
llavesmall.Static=0
llavesmall.Scale=1.2
llavesmall.Orientation=(0.847820937634,-0.0123743629083,-0.530138194561,0.000117807270726)
Stars.Twinkle("llavesmall")

darfuncs.SetHint(llavesmall,"Small key")

#8-
palaromp=Levers.PlaceLever("palaromp", Levers.LeverType3,(66809.2584227,14937.3567181,97661.9175819),(0.701057314873,0.701067328453,0.0922579020262,-0.0922588780522),1.0)
palaromp.mode=2
#(0.0,0.991444885731,5.24113274878e-005,-0.130525976419)

palaromp.OnTurnOnFunc=RompDialog
palaromp.OnTurnOnArgs=()


########
rast90=Bladex.CreateEntity("rast90","Rastrillo",-79874.3789247,15141.1333644,-87081.1756494,"Physic")
rast90.Scale=1.6
rast90.Orientation=0.707106769085,-0.707106769085,0.0,0.0
rast90=Sparks.SetMetalSparkling("rast90")
rast90.Frozen=0

rast90din=Objects.CreateDinamicObject("rast90")



rast91=Bladex.CreateEntity("rast91","PuenteFernando",-59482.8859645,12440.6281447,-105678.405877,"Physic")
rast91.Scale=1.0
rast91.Orientation=0.707106769085,0.0,-0.707106769085,0.0
rast91=Sparks.SetWoodenSparkling("rast91")
rast91.Frozen=0

rast91din=Objects.CreateDinamicObject("rast91")

########

hoja_1=Bladex.CreateEntity("hoja_1","PuenteFernando",-25086.5296525,7499.80004703,-80830.8873552,"Physic")
hoja_1.Scale=0.6
hoja_1.Orientation=(0.991444885731,0.0,0.130526185036,0.0)
hoja_1=Sparks.SetWoodenSparkling("hoja_1")
hoja_1.Frozen=0

hoja_1din=Objects.CreateDinamicObject("hoja_1")



hoja_2=Bladex.CreateEntity("hoja_2","PuenteFernando",-21086.5296525,7499.80004703,-81830.8873552,"Physic")
hoja_2.Scale=0.6
hoja_2.Orientation=(0.991444885731,0.0,0.130526185036,0.0)
hoja_2=Sparks.SetWoodenSparkling("hoja_2")
hoja_2.Frozen=0

hoja_2din=Objects.CreateDinamicObject("hoja_2")


palacomedor=Levers.PlaceLever("palacomedor", Levers.LeverType3,(-28690.560794,9684.96381749,-83804.9401727),(0.353553473949,-0.353553444147,0.612372398376,0.612372398376),1.0)
palacomedor.mode=2

palacomedor.OnTurnOnFunc=OpenComedorDoors
palacomedor.OnTurnOnArgs=()

###########################################################################

arcano=Bladex.CreateEntity("arcano","PuenteFernando",-105500.000000,10620.000000,-114230.000000)
arcano.Static=0
#arcano.Scale=0.545000
arcano.Scale=0.945000
arcano.Orientation=(0.000000,1.000000,0.000000,0.000000)
arcano=Sparks.SetWoodenSparkling("arcano")
arcano.Frozen=0

#arcano.HitFunc=Puerta_Excusada

arcano_din=Objects.CreateDinamicObject("arcano")

#arcano.InflictHitFunc = Start_Excusada



#palatrain=Levers.PlaceLever("palatrain", Levers.LeverTypeArgolla,(-104317.908992,13014.7402101,-105911.980961),(0.707106769085,0.707106769085,0.0,0.0),1.0)
#palatrain.mode=2

#palatrain.OnTurnOnFunc=Start_Excusada
#palatrain.OnTurnOnArgs=()

ArchButtonUnd=Bladex.CreateEntity("ArchButtonUnd","Argolla",-102743.498646,13162.949733,-113541.41187)
ArchButtonUnd.Static=0
ArchButtonUnd.Scale=1.0
ArchButtonUnd.Orientation=0.707106769085,0.707106769085,2.14224638029e-009,5.24459409235e-009
darfuncs.SetHint(ArchButtonUnd,"Heavy ring")
# if Language.Current == "Spanish":
	# darfuncs.SetHint(ArchButtonUnd,"CTAPSN DBEPHON MEXAHN3M")
# else:
	# darfuncs.SetHint(ArchButtonUnd,"The old door mechanism")

ArchButtonUnd=Button.CreateButtonCombination(0,Start_Excusada,"")
ArchButtonUnd.AddButton("ArchButtonUnd",4,(0,1,0),300,0,0,1)
#Stars.Twinkle("ArchButtonUnd")
ArchButtonUnd=Sparks.SetStoneSparkling('ArchButtonUnd')




#Argolla_palanca=Bladex.CreateEntity("Argolla_palanca","Argolla",-102743.498646,13162.949733,-113541.41187,Reference.ObjType("Argolla"))  
#Argolla_palanca.Static=0
#Argolla_palanca.Scale=1.0
#Argolla_palanca.Orientation=(0.707106769085,0.707106769085,2.14224638029e-009,5.24459409235e-009)

#Argolla_palanca.HitFunc = 
#Ontake.AddOnTakeEvent("Argolla_palanca", Start_Excusada)



#Argolla_palancadin=Objects.CreateDinamicObject("Argolla_palanca")

###########################################################################

#o=Bladex.CreateEntity("Tablatortura_2758","Tablatortura",-104317.908992,13014.7402101,-105911.980961, Reference.ObjType("Tablatortura"))
#o.Scale=1.0
#o.Orientation=(0.707106769085,0.707106769085,0.0,0.0)


#o=Bladex.CreateEntity("ZocaloSerpiente_2782","ZocaloSerpiente",-20257.0069835,1355.44208558,-60739.9956208, Reference.ObjType("ZocaloSerpiente"))
#o.Scale=1.0
#o.Orientation=(0.707106769085,0.707106769085,0.0,0.0)

palankagasroom=Levers.PlaceLever("palankagasroom", Levers.LeverTypeSnake,(-20257.0069835,955.44208558,-60739.9956208),(0.707106769085,0.707106769085,0.0,0.0),1.0)
palankagasroom.mode=2

palankagasroom.OnTurnOnFunc=OpenGasRoomDoors
palankagasroom.OnTurnOnArgs=()



Plataforma_2784=Bladex.CreateEntity("Plataforma_2784","Plataforma",-28243.4727995,2414.29775595,-59006.0689776,"Physic")
Plataforma_2784.Scale=2.0
Plataforma_2784.Orientation=(0.707106769085,-0.707106769085,0.0,0.0)
Plataforma_2784=Sparks.SetWoodenSparkling("Plataforma_2784")
Plataforma_2784.Frozen=0

Plataforma_2784din=Objects.CreateDinamicObject("Plataforma_2784")


Rastrillo10_2790=Bladex.CreateEntity("Rastrillo10_2790","Rastrillo10",-21419.4706511,-616.17564432,-53899.2944828,"Physic")
Rastrillo10_2790.Scale=1.0
Rastrillo10_2790.Orientation=(0.500000059605,0.499999970198,0.500000059605,-0.499999910593)
Rastrillo10_2790=Sparks.SetMetalSparkling("Rastrillo10_2790")
Rastrillo10_2790.Frozen=0

Rastrillo10_2790din=Objects.CreateDinamicObject("Rastrillo10_2790")




ZocaloSerpiente_2783=Bladex.CreateEntity("ZocaloSerpiente_2783","ZocaloSerpiente",-20287.052112,962.1645713,-59255.2733395, Reference.ObjType("ZocaloSerpiente"))
ZocaloSerpiente_2783.Scale=1.0
ZocaloSerpiente_2783.Orientation=(0.0,1.82501214141e-008,0.70710682869,-0.707106769085)




#palankagasroom1=Levers.PlaceLever("palankagasroom", Levers.LeverTypeFloor,(-19669.3969348,475.98873453,-63040.3011166),(0.707106769085,-4.2178793791e-008,-0.707106769085,-8.64998312977e-008),1.0)
#palankagasroom1.mode=2

#palankagasroom1.OnTurnOnFunc=OpenGasRoomDoors
#palankagasroom1.OnTurnOnArgs=()

#############
TempBStB()
#ArchButtonX=Bladex.CreateEntity("ArchButtonX","Bloque",-30000,-9000,-56100)
#ArchButtonX.Static=0
#ArchButtonX.Scale=1.580459
#ArchButtonX.Orientation=0.500000,-0.500000,-0.500000,-0.500000
#archbuttonX=Button.CreateButtonCombination(0,OpenGasRoomDoors,"")
#archbuttonX.AddButton("ArchButtonX",3,(0,0,1),400,0,0,1)



#############

granpiedradeslizando=Sounds.CreateEntitySound("..\\..\\Sounds\\Huge-stone-door.wav", "Granpiedradeslizando")
cierrepiedra=Sounds.CreateEntitySound("..\\..\\Sounds\\Stone-door-shut.wav", "Cierrepiedra")



ppotdoor=Doors.CreateDoor("PPotDoor", (35000,20498,106000), (0,1,0), 0, 3500, Doors.CLOSED)


ppotdoor.opentype=Doors.UNIF
ppotdoor.o_med_vel=-500
ppotdoor.o_med_displ=3500


ppotdoor.closetype=Doors.UNIF
ppotdoor.c_med_vel=500
ppotdoor.c_med_displ=3500


ppotdoor.SetWhileOpenSound(granpiedradeslizando)
ppotdoor.SetEndOpenSound(cierrepiedra)

ppotdoor.SetWhileCloseSound(granpiedradeslizando)
ppotdoor.SetEndCloseSound(cierrepiedra)
#################


#door10
cobgate=Bladex.CreateEntity("cobgate","Rastrillo",588.318323725,4447.47972507,-50015.6867555, "Physic",)
cobgate.Scale=0.8
cobgate.Orientation=0.707106769085,0.707106769085,0.0,0.0
cobgate=Sparks.SetMetalSparkling("cobgate")
cobgate.Frozen=0

cobgatedin=Objects.CreateDinamicObject("cobgate")


#lock10
cerradurcobgate=Locks.PlaceLock("cerradurcobgate","Cerradurcob",(3123.12035362,6629.84165995,-51186.8881296),(0.353553503752,0.353553295135,0.612372398376,-0.612372457981),1.2)
cerradurcobgate.key="cobkey"

cerradurcobgate.OnUnLockFunc=CobGate
cerradurcobgate.OnUnLockArgs=()

# cerradur9.OnLockFunc=Cierradoor9
# cerradur9.OnLockArgs=()


darfuncs.SetHint(cerradurcobgate.obj,"Bronze lock")

#############KEYS###############




#KEY10
cobkey=Bladex.CreateEntity("cobkey","Llavecob",-193380.734111,27929.0861177,-114933.613501)
cobkey.Static=0
cobkey.Scale=1.2
cobkey.Orientation=(0.00993357226253,-0.686823248863,-0.00167805375531,-0.726754665375)
Stars.Twinkle("cobkey")

darfuncs.SetHint(cobkey,"Bronze key")



#door11
doormainboss=Bladex.CreateEntity("doormainboss","PuenteFernando",189636.870439,6086.65954642,-75949.7410267, "Physic",)
doormainboss.Scale=0.6
doormainboss.Orientation=(1.0,0.0,0.0,0.0)
doormainboss=Sparks.SetWoodenSparkling("doormainboss")
doormainboss.Frozen=0

doormainbossdin=Objects.CreateDinamicObject("doormainboss")



#lock

cerradurendgate=Locks.PlaceLock("cerradurcobgate","Cerradurcob",(186502.212103,9576.72912209,-68366.3896864),(0.707106769085,0.707106769085,0.0,0.0),1.4)
cerradurendgate.key="mainkey"

cerradurendgate.OnUnLockFunc=OpenEndDoor#CamOpenEndDoor
cerradurendgate.OnUnLockArgs=()


darfuncs.SetHint(cerradurendgate.obj,"Lock")


#main key
mainkey=Bladex.CreateEntity("mainkey","Llavecobox",193845.123426,7600.40106112,-85129.1853594)
#mainkey=Bladex.CreateEntity("mainkey","Llavecobox",185276.798035,9627.13049584,-82119.5758003)
mainkey.Static=0
mainkey.Scale=1.2
mainkey.Orientation=(0.737277328968,4.54544357709e-009,-0.675590217113,6.86026435659e-009)
#mainkey.Orientation=(0.939692616463,0.0,-0.342020153999,0.0)
Stars.Twinkle("mainkey")

darfuncs.SetHint(mainkey,"Key")




#prison cell

prison_cell=Locks.PlaceLock("Prison_cell","Cerradurpla",(-62456.5900827,13327.7318268,-101432.876511),(0.341908186674,0.333597749472,0.615548849106,-0.626826107502),1.4)
prison_cell.key="prisonkey"

prison_cell.OnUnLockFunc=PrisonDoor
prison_cell.OnUnLockArgs=()

darfuncs.SetHint(prison_cell.obj,"Torture chamber lock")

#prison key
prisonkey=Bladex.CreateEntity("prisonkey","Llavecutre",-63953.3009198,13634.5307384,-111335.81866)
prisonkey.Static=0
prisonkey.Scale=1.2
prisonkey.Orientation=(0.0318085551262,0.495735913515,-0.0344605781138,0.867206215858)
Stars.Twinkle("prisonkey")

darfuncs.SetHint(prisonkey,"Torture chamber key")


	
print"--> LlavePuerta OK!"

#first door


looppuentelevadizo=Sounds.CreateEntitySound("..\\..\\Sounds\\drawbridge-loop.wav", "LoopPuenteLevadizo")
looppuentelevadizo.Volume=1
#looppuentelevadizo.Scale=0.56
#looppuentelevadizo.MinDistance=500
looppuentelevadizo.MinDistance=10000
looppuentelevadizo.MaxDistance=90000

golpepuentelevadizo=Sounds.CreateEntitySound("..\\..\\Sounds\\drawbridge-door-close.wav", "GolpePuenteLevadizo")
golpepuentelevadizo.Volume=1
#golpepuentelevadizo.Scale=0.56
#golpepuentelevadizo.MinDistance=500
golpepuentelevadizo.MinDistance=10000
golpepuentelevadizo.MaxDistance=90000

atranquepuentelevadizo=Sounds.CreateEntitySound("..\\..\\Sounds\\metal-lever3.wav", "AtranquePuenteLevadizo")
atranquepuentelevadizo.Volume=1
#atranquepuentelevadizo.Scale=0.56
#atranquepuentelevadizo.MinDistance=500
atranquepuentelevadizo.MinDistance=10000
atranquepuentelevadizo.MaxDistance=90000

#puentelevadizomovil.estado=0

#1
palanca1puentelev=Levers.PlaceLever("Palanca1PuenteLev", Levers.LeverType3, (30867.941213,-5195.35482773,-129994.854111),(0.500000059605,0.500000059605,0.499999970198,-0.499999940395),1.0)
palanca1puentelev.mode=1


palanca1puentelev.OnTurnOnFunc=Nev
palanca1puentelev.OnTurnOnArgs=()

#palanca1puentelev.OnTurnOffFunc=ContRot
#palanca1puentelev.OnTurnOffArgs=()

#darfuncs.SetHint(palanca1puentelev.obj,"P")



#2
palanca2puentelev=Levers.PlaceLever("Palanca2PuenteLev", Levers.LeverType2, (30990.0631793,-5187.69655829,-129057.580899),(0.0,1.65764959092e-007,0.707106888294,-0.707106649876),1.0)
palanca2puentelev.mode=3

palanca2puentelev.OnTurnOnFunc=P2
palanca2puentelev.OnTurnOnArgs=()

palanca2puentelev.OnTurnOffFunc=N2
palanca2puentelev.OnTurnOffArgs=()

#darfuncs.SetHint(palanca2puentelev.obj,"")

#3
palanca3puentelev=Levers.PlaceLever("Palanca3PuenteLev", Levers.LeverType2, (30990.012884,-5162.09281806,-130876.94633),(0.0,1.65764959092e-007,0.707106947899,-0.707106649876),1.0)
palanca3puentelev.mode=3

palanca3puentelev.OnTurnOnFunc=P3
palanca3puentelev.OnTurnOnArgs=()

palanca3puentelev.OnTurnOffFunc=N3
palanca3puentelev.OnTurnOffArgs=()

#darfuncs.SetHint(palanca3puentelev.obj,"")
'''
o=Bladex.CreateEntity("Zocalo2_4304","Zocalo2",30990.0631793,-5187.69655829,-129057.580899, Reference.ObjType("Zocalo2"))
o.Static=1
o.Scale=1.0
o.Orientation=(0.0,1.65764959092e-007,0.707106888294,-0.707106649876)


o=Bladex.CreateEntity("Zocalo2_4305","Zocalo2",30990.012884,-5162.09281806,-130876.94633, Reference.ObjType("Zocalo2"))
o.Static=1
o.Scale=1.0
o.Orientation=(0.0,1.65764959092e-007,0.707106947899,-0.707106649876)


o=Bladex.CreateEntity("Zocalo3_4306","Zocalo3",30867.941213,-5195.35482773,-129994.854111, Reference.ObjType("Zocalo3"))
o.Static=1
o.Scale=1.0
o.Orientation=(0.500000059605,0.500000059605,0.499999970198,-0.499999940395)
'''

firstdoor=Bladex.CreateEntity("FirstDoor","PuenteFernando",31521.3634234,-4889.75413339,-133392.850417, Reference.ObjType("PuenteFernando"))
firstdoor.Scale=0.65
firstdoor.Orientation=(0.707106769085,0.0,-0.707106769085,0.0)

firstdoormovil=Objects.CreateDinamicObject("FirstDoor")
