import Bladex
import Reference
import Sounds
import stone
import heavyObjects
import darfuncs


bola_activada = 0
puente_break = 1


SonidoDerrumbamiento = Sounds.CreateEntitySound('..\\..\\Sounds\\M-caida-puente.wav', 'SonidoDerrumbamiento')
SonidoDerrumbamiento.Volume=5.0
SonidoDerrumbamiento.MinDistance=10000
SonidoDerrumbamiento.MaxDistance=45000

#------bola1-------
p=85000,-2000,-60000
r=0.707107,0.707107,0.000000,0.000000
o=heavyObjects.CreateHeavyObject("bola1","BoladePiedra",p,r,1.0, heavyObjects.StoneHitEvent )
fuerza_bola1 = 8000 * o.Mass
stone.lock( "bola1", stone.DROPDARKDUST, 0, 1000, 0.0, 0.6, 20.0, stone.STONESOUND, 0.1 ) 

#------bola2-------
p=39750,-7400,49750
r=0.707107,0.707107,0.000000,0.000000
o=heavyObjects.CreateHeavyObject("bola2","BoladePiedra",p,r,0.7, heavyObjects.StoneHitEvent )
fuerza_bola2 = 5000 * o.Mass
stone.lock( "bola2", stone.DROPDARKDUST, 0, 1000, 0.0, 0.6, 10.0, stone.STONESOUND, 0.1 ) 

# ---- inicializacion de la rotura del puente
sderp1=Bladex.GetSector(37750,-300,46750) ; sderp1.Active=0
sderp2=Bladex.GetSector(41750,-300,46750) ; sderp2.Active=0
sderp3=Bladex.GetSector(39750,-300,52250) ; sderp3.Active=0

sderp1.InitBreak((0.0, 200.0, 0.0), (2250.0, 0.0, 0.0), (0.0, 0.0, 3250.0)) #, "piedra pesada", 1000000.0)
sderp2.InitBreak((0.0, 200.0, 0.0), (1250.0, 0.0, 0.0), (0.0, 0.0,1250.0)) #, "piedra pesada", 1000000.0)
sderp3.InitBreak((0.0, 200.0, 0.0), (1250.0, 0.0, 0.0), (0.0, 0.0, 1250.0)) #, "piedra pesada", 1000000.0)
#-  ! 19.01.2006 3:40

# ---- sectores de activacion de la rotura del puente y del desprendimiento de las 2 bolas
puente = Bladex.GetSector(41000,-500,50500)  ; puente.OnEnter=RomperPuente 
sbol1 = Bladex.GetSector(130000,-2000,-60200)  ; sbol1.OnEnter=ActivarBola1
#sbol2 =Bladex.GetSector(39500,-500,45500)   ; sbol2.OnEnter=ActivarBola2
sbol2 = Bladex.GetSector(40000,-500,49500)   ; sbol2.OnEnter=ActivarBola2


############################# SECEVENTS #################################

darfuncs.EnterSecEvent(97500, -9000, -26200, Enemy1)
darfuncs.EnterSecEvent(-27000, -2000, -9000, Enemy2)
darfuncs.EnterSecEvent(125000, 15000, 85000, Enemy3)
darfuncs.EnterSecEvent(0, -3000, -40000, Enemy4)
#darfuncs.EnterSecEvent(36000, 19800, 104500, Enemy5)
darfuncs.EnterSecEvent(28000, 0, -94000, BlindKnight_Traitor)
darfuncs.EnterSecEvent(-24000, 0, -42500, CamBoss_1)
darfuncs.EnterSecEvent(-79000, 14500, -96000, CloseDoorUnd)
#doorunderg=Bladex.GetSector(-79000, 14500, -96000) ; doorunderg.OnEnter=CloseDoorUnd
darfuncs.EnterSecEvent(95000, 5000, -74200, DropStones)
#darfuncs.EnterSecEvent(74750, 2000, 88500, DroppedBridge)
bridge=Bladex.GetSector(74750, 2000, 88500) ; bridge.OnEnter=DropBridge
darfuncs.EnterSecEvent(210000, -8000, -45000, background_2)
darfuncs.EnterSecEvent(50000, 14500, -5000, background_4)
#darfuncs.EnterSecEvent(-23000, -300, -41000, combate_boss1)
#darfuncs.EnterSecEvent(76000, -5500, -17000, combate_boss2)
darfuncs.EnterSecEvent(188500, -15000, -105000, TowerMusic)
darfuncs.EnterSecEvent(31000, 10500, -67000, UndergoundMusic)
darfuncs.EnterSecEvent(16000, -4000, -73000, background_5)
darfuncs.EnterSecEvent(25000, 12000, -18000, MusicFuncUnRed)
#darfuncs.EnterSecEvent(-78000, 14500, -95000, UndergoundMin)
darfuncs.EnterSecEvent(-31500, 1500, -57200, GasRoomMusic)
#darfuncs.EnterSecEvent(-147000, 39000, -30200, GolemsRoom)
darfuncs.EnterSecEvent(-138000, 35000, -81000, UndergoundMusic1)
darfuncs.EnterSecEvent(-187000, 29000, -106000, CombateKnigh)
darfuncs.EnterSecEvent(-61000, 20000, -69000, Comed)
darfuncs.EnterSecEvent(-102500, 14000, -119500, Atm22)
darfuncs.EnterSecEvent(46000, 19600, 112000, Kolodec)
darfuncs.EnterSecEvent(37000, 19500, 111500, PPotRoom)
darfuncs.EnterSecEvent(185000, 10500, -66000, BossCam)
darfuncs.EnterSecEvent(184500.000, 10500.000, -70500.000, CamGoToLever)

############################################################

print"--> Bolas OK!"