#~~~~~~~~~~~ ENGLISH VERSION  ~~~~~~~~~~~#


import os, sys
import def_class
import Bladex
import math
import EnemyTypes        
import B3DLib
import Basic_Funcs
import Traps_C
import GameText
import AuxFuncs
import Actions
import Reference
import Sounds
import stone
import heavyObjects
import Button
import ScriptSkip
import NetSounds
import whrandom
import CharStats
import darfuncs
import ItemTypes
import Language
import Levers
import Locks
import Scorer
import Auras
import pocimac
import Objects
#import Torchs
#import OnOff
import LevelFuncs
import AniSound
import BBLib
import Stars
import AbreCam
import Ally_Def
import MoriaTypes
import Breakings
import Ontake
import Auras
#import DMusic
import BUIx	
import ActorsInit
# import ScorerWidgets
import BCopy
import InitDataField
import GenFX
import Talk
import Raster

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

Raster.SetDomeColor(255, 200, 135)

GameText.MapList ['NFORTRESS'] = 'NFORTRESS'


#~~~~~~~~~~~~~~ Icons ~~~~~~~~~~~~~~#

Bladex.ReadBitMap("../../Data/Icons/icono enano.bmp","Boss2Icon"); Reference.EnemiesScorerData['Boss_2']=("Boss2Icon","Boss_2")

Bladex.ReadBitMap("Mortimer.bmp","BossMIcon"); Reference.EnemiesScorerData['Kng_t_sec_1']=("BossMIcon","Kng_t_sec_1")

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

def Inventory():
	me=Bladex.GetEntity("Player1") 
	inv=me.GetInventory() 
	inv.maxWeapons= 5
	inv.maxShields= 4
	inv.maxObjects = 30
	inv.maxQuivers = 4 
	
Bladex.AddScheduledFunc(Bladex.GetTime() +0.0, Inventory, ())

#~~~~~~~~~~~~~~~~~~~~~~~~ ENEMYES DATA ~~~~~~~~~~~~~~~~~~~~~~~~~~~#

Reference.DefaultObjectData['Spidersmall'][1] = 85; Reference.DefaultObjectData['Spidersmall'].append(['Venom', +5.0]) 

Reference.DefaultObjectData['Cos'][1] = 105; Reference.DefaultObjectData['Cos'].append(['Venom', +11.0])

#~~~~~~~~~~~~~~~~~~~~~ END ENEMYES DATA ~~~~~~~~~~~~~~~~~~~~~~~~~~~# 

#~~~~~~~~~~~~~~~~~~~~~~~~~~~ OBJ DATA ~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

Reference.DefaultObjectData['MartilloForja'][1] = 295

Reference.DefaultObjectData['Pala'][1] = 299

Reference.StackObjects['Pocima100']= 6
Reference.StackObjects['Pocima200']= 4
Reference.StackObjects['PocimaTodo']= 2
Reference.StackObjects['Botella']= 5

#~~~~~~~~~~~~~~~~~~~~~~~~~ END OBJ DATA ~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

########################### WEAPONS DATA #######################

#Shields

Reference.DefaultObjectData['VampWeapon'][1] = 180; Reference.DefaultObjectData['VampWeapon'][2] = +2

Reference.DefaultObjectData['VampShield'][1] = +2; Reference.DefaultObjectData['VampShield'][2] = 11000

Reference.DefaultObjectData['KingShield'][1] = +8; Reference.DefaultObjectData['KingShield'][2] = 25000

Reference.DefaultObjectData['Escudo9'][1] = -4.4; Reference.DefaultObjectData['Escudo9'][2] = 8500

Reference.DefaultObjectData['Escudo8'][1] = +4.5; Reference.DefaultObjectData['Escudo8'][2] = 5800

Reference.DefaultObjectData['Escudo7'][1] = +1; Reference.DefaultObjectData['Escudo7'][2] = 5100

Reference.DefaultObjectData['Escudo6'][1] = -5.3; Reference.DefaultObjectData['Escudo6'][2] = 9800

Reference.DefaultObjectData['Escudo5'][1] = 0; Reference.DefaultObjectData['Escudo5'][2] = 90

Reference.DefaultObjectData['Escudo4'][1] = -2.2; Reference.DefaultObjectData['Escudo4'][2] = 3400

Reference.DefaultObjectData['Escudo3'][1] = -3.1; Reference.DefaultObjectData['Escudo3'][2] = 4700

Reference.DefaultObjectData['Escudo2'][1] = 0; Reference.DefaultObjectData['Escudo2'][2] = 200

Reference.DefaultObjectData['Escudo1'][1] = 0; Reference.DefaultObjectData['Escudo1'][2] = 500



#~~~~~~~~~~~~~~~~~ Knight weapons, bow and arrows~~~~~~~~~~~~~~~~~~~~~~~#

Reference.DefaultObjectData['Gladius'][1] = 19

Reference.DefaultObjectData['Maza2'][1] = 88

Reference.DefaultObjectData['Maza'][1] = 31

#Reference.DefaultObjectData['Maza3'][1] = 200

Reference.DefaultObjectData['Canica'][1] = 91

#Reference.DefaultSelectionData['Martillo3']=(8.0,4000.0,"")

Reference.DefaultObjectData['Arco'][1] = 152

Reference.DefaultObjectData['Orksword'][1] = 74

Reference.DefaultObjectData['Flecha'][1] = 152

Reference.DefaultObjectData['FlechaEnvenenada'][1] = 221

Reference.DefaultObjectData['FlechaFuego'][1] = 302

Reference.DefaultObjectData['QueenSword'][1] = 451; Reference.DefaultObjectData['QueenSword'].append(['Venom', +30.0])

Reference.DefaultObjectData['HookSword'].append(['Ice', +92.0])

Reference.DefaultObjectData['Espadafilo'][1] = 498; Reference.DefaultObjectData['Espadafilo'][2] = 14; Reference.DefaultObjectData['Espadafilo'].append(['Venom', +199.0])

Reference.DefaultObjectData['DoubleSword'][2] = -16

# Reference.DefaultObjectData['IceSword'][1] = 200; Reference.DefaultObjectData['IceSword'].append(['Ice', +320.0])

Reference.DefaultObjectData['Espada'][2] = -24

Reference.DefaultObjectData['Ninjato'][1] = 155; Reference.DefaultObjectData['Ninjato'].append(['Fire', +385.0]); Reference.DefaultObjectData['Ninjato'][2] = 10

Reference.DefaultSelectionData['QueenSword']=(8.0,4000.0,"Red Sword")

Reference.DefaultSelectionData['Espadafilo']=(8.0,4000.0,"Venom Sabre")

Reference.DefaultSelectionData['Ninjato']=(8.0,4000.0,"Fire Sabre")


#~~~~~~~~~~~~~~~ dwarf weapons~~~~~~~~~~~~~~~~~~~~~~~~#

Reference.DefaultObjectData['Hacha'][1] = 21

Reference.DefaultObjectData['Hacha5'][1] = 40

Reference.DefaultObjectData['Garrote2'][1] = 180

#Reference.DefaultObjectData['Garropin'][1] = 190

#Reference.DefaultObjectData['IceHammer'][1] = 80; Reference.DefaultObjectData['IceHammer'].append(['Ice', +80.0])

#Reference.DefaultObjectData['CrushHammer'][1] = 300

Reference.DefaultObjectData['Martillo3'][1] = 493; Reference.DefaultObjectData['Martillo3'][2] = 15; Reference.DefaultObjectData['Martillo3'].append(['Fire', +325.0])

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ ESPADA FILO ~~~~~~~~~~~~~~~~~~~~~~~~~~~~

def CreatEspadaFiloIfPlayerNameSargon():
	Espadafilo_1944=Bladex.CreateEntity("Espadafilo_1944","Espadafilo",-21073.1253089,1383.64801159,-60067.2387562, "Weapon")
	Espadafilo_1944.Scale=1.00000038229
	Espadafilo_1944.Orientation=(0.500000059605,-0.500000059605,-0.499999970198,-0.499999910593)
	ItemTypes.ItemDefaultFuncs (Espadafilo_1944)
	Stars.Twinkle("Espadafilo_1944")
	
	Ontake.AddOnTakeEvent("Espadafilo_1944", StartSecuence0)

	#aura = Auras.MakeAura("Espadafilo_1944",-1,(20, 100, 180, 100, 0, 100), (),(),(1,  0.8,0.8,1.0, 1.0, 0.6  , 0.0,0.0,1.0, 0.0, 1.0))

	time=Bladex.GetTime()
	TimeEffect=100000.0
	AuraParams=(70, 1, 200, 0, 0, 100)
	AuraGradient=(3, 0.5, 0.6, 0.0, 0.2, 0.0, 0.2, 0.3, 0.0, 0.1, 0.5)
	aura=Auras.MakeAura("Espadafilo_1944", TimeEffect, AuraParams, (), (), AuraGradient)
	pb=Bladex.CreateEntity("Espadafilo_1944"+"Particles", "Entity Particle System Dobj", 0.0, 0.0, 0.0)
	pb.ObjectName="Espadafilo_1944"
	pb.ParticleType="GasVenenoso"
	pb.PPS=35
	pb.YGravity=0.24
	pb.Friction=0.02
	pb.Velocity=0.0, 0.0, 0.0
	pb.RandomVelocity=1.0
	pb.NormalVelocity=0.0
	pb.Time2Live=60
	pb.DeathTime=time+TimeEffect/2.0

	# o=Bladex.CreateEntity("Espadafilo_3958","Espadafilo",81887.9465047,13873.3249873,24535.5102347, "Weapon")
	# o.Scale=1.1
	# o.Orientation=(0.682509839535,0.647277891636,-0.209182411432,0.267309516668)
	# ItemTypes.ItemDefaultFuncs (o)


#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ MARTILLO3 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

def CreatMartillo3IfPlayerNameNaglfar():
	Espadafilo_1944=Bladex.CreateEntity("Espadafilo_1944","Martillo3",-21507.3039973,1409.9613958,-60113.7172245, "Weapon")
	Espadafilo_1944.Scale=1.00000038229
	Espadafilo_1944.Orientation=(0.707106769085,0.0,0.707106769085,0.0)
	ItemTypes.ItemDefaultFuncs (Espadafilo_1944)
	Stars.Twinkle("Espadafilo_1944")

	auramartillo3 = Auras.MakeAura ("Espadafilo_1944", -1,(250, 1, 1, 0,0,1), (),(),(2, 0.2, 0.4, 0.3, 0.4, 0.0, 0.8, 0.4, 0.4, 0.1, 0.3))
	Ontake.AddOnTakeEvent("Espadafilo_1944", StartSecuence0)

	# time=Bladex.GetTime()
	# TimeEffect=100000.0
	# AuraParams=(70, 1, 200, 0, 0, 100)
	# AuraGradient=(3, 0.3, 0.2, 0.0, 0.6, 0.4, 0.2, 0.3, 0.0, 0.1, 0.5)
	# aura=Auras.MakeAura("Espadafilo_1944", TimeEffect, AuraParams, (), (), AuraGradient)
	# pb=Bladex.CreateEntity("Espadafilo_1944"+"Particles", "Entity Particle System Dobj", 0.0, 0.0, 0.0)
	# pb.ObjectName="Espadafilo_1944"
	# pb.ParticleType="GasVenenoso"
	# pb.PPS=35
	# pb.YGravity=0.24
	# pb.Friction=0.02
	# pb.Velocity=0.0, 0.0, 0.0
	# pb.RandomVelocity=1.0
	# pb.NormalVelocity=0.0
	# pb.Time2Live=60
	# pb.DeathTime=time+TimeEffect/2.0
	
	
	# o=Bladex.CreateEntity("Martillo3_3888","Martillo3",81471.7932669,13465.4508745,24348.4839221, "Weapon")
	# o.Scale=1.0
	# o.Orientation=(0.857677459717,-0.388125121593,-0.336869299412,-0.0163491759449)
	# ItemTypes.ItemDefaultFuncs (o)
	


########################## END WEAPONS DATA #####################################



############################ SPECIAL COMBOS #####################################

def AddCombos():
	char = Bladex.GetEntity("Player1")
	
	if char.Kind == "Dwarf_N":
		dwf=Bladex.GetCharType("Dwarf_N","Dwf")
		dwf.AllowAttack("GM8_1H","B+R","GM16_1H","","GM16_1H_Window","Martillo3") #vampire attack/queens sword
		

	if char.Kind == "Knight_N":
		kgt=Bladex.GetCharType("Knight_N","Kgt")
		kgt.AllowAttack("GM35_1H","F","GM6_1H","","","Ninjato")                    #righteous anger/combat sword
		kgt.AllowAttack("GM36_1H","B","GM23_1H","","GM23_1H_Window","Ninjato")     #fire sword
		kgt.AllowAttack("GM38_1H","F+L","GI_1H","","GI_1H_Window","Katana")        #swing of pride/gladius
		kgt.AllowAttack("GM22_1H","L+R","GM8_1H","","","Katana")     			   #Maza2
		kgt.AllowAttack("GM17_1H","&B","GI_1H","","GI_1H_Window","Espadafilo")     #great mace
		kgt.AllowAttack("GM19_1H","B+R","GM6_1H","","GM6_1H_Window","Espadafilo")  #vampire attack/queens sword


	
Bladex.AddScheduledFunc(Bladex.GetTime() +0.0, AddCombos, ())


############################# END SPECIAL COMBOS ###############################


def LevelUp():	
	char=Bladex.GetEntity("Player1")
	if char.Level<20:
		char.Level=char.Level+1
		Scorer.LevelUp()
		Scorer.SetLevelLimits(0,CharStats.GetCharExperienceCost(char.CharType,char.Level))
		maxlevel=CharStats.GetMaxLevel()
		maxsize=50+(140/maxlevel)*char.Level 
		maxPPS=120+(600/maxlevel)*char.Level 
		maxint=0.5+(4.5/maxlevel)*char.Level 
		AuraParams=(5, 0, 1, 0, 0, 1)
		AuraGradient=(2, 0.4, 0.6, 1.0, 0.5, 0.0, 0.1, 0.2, 1.0, 0.0, 0.8)
		AuraVar1Args=(5, maxsize, 0, 1, 0.5)
		AuraVar2Args=(maxsize, 5, 1, 0, 1.0)
		PSParams=(char.Data.LevelUpParticleData, "LevelUpParticle", 30, 50, 150, 255, maxPPS, -600, 0.0, 2, 2, 0.4, 30, 0.5)
		GenFX.LevelUpFX("Player1", 1, AuraParams, AuraGradient, AuraVar1Args, AuraVar2Args, PSParams, maxint, "Timer15", 15, "..\\..\\Sounds\\aparicion-escudo.wav")
		char.Life = CharStats.GetCharMaxLife(char.Kind, char.Level)
		char.ResetWounds()
		char.Energy= CharStats.GetCharMaxEnergy(char.Kind, char.Level)
		if char.Data.Poisoned:
			char.Data.UnVenom ()
			

#~~~~~~~~~~~~~~~~~~~~~~ COMBINATION FOR OPEN FIRST DOOR ~~~~~~~~~~~~~~~~~~~~~~~~~#
onepos=0
act=0
act1=0


def BlokLever():
	global onepos
	onepos=1

	
def Nev():
	global act
	global onepos
	if (act==1 and act1==1 and onepos==0):
		Bladex.AddScheduledFunc(Bladex.GetTime() + 0.5,  BlokLever,())
		Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0,  OpenFirstDoor,())
		Bladex.AddScheduledFunc(Bladex.GetTime() + 1.3,  GameText.WriteTextAux(("EXCELLENTLY"), 2.0, 250,200,120,[],30))
		print "Ok! The door is opend"
		
	if(act!=1 and act1!=1 or act!=0 and act1!=1 or act!=1 and act1!=0):
		Bladex.AddScheduledFunc(Bladex.GetTime() + 2.4,  GameText.WriteTextAux(("Hmm... something does not work... "), 2.0, 250,200,120,[],30))
		print "This combination is incorrect... \nYou must discover the prompting"

		
def P2():
	global act
	act=1

def N2():
	global act
	act=0
	
def P3():
	global act1
	act1=0
	
def N3():
	global act1
	act1=1

#~~~~~~~~~~~~~~~~~~~~~~~~~~~ END COMBINATION FUNC ~~~~~~~~~~~~~~~~~~~~~~~~~~#



#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ COUNTERS ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

killentity=0
timeplay=0
timeplay_0=0
timeplay_1=0
totaltime=0
valttime=0
curtime=0
seehint=0
valued=0


# def GetText(s):
	# import MenuText
	
	# return MenuText.GetMenuText(s)
	

def CounterTTime():
	global valttime
	timetemp=1

	#global timeplay
	
	opencounttfile = open("../../Maps/NFortress/CountT.py", "at")
	opencounttfile.write(str(timetemp))
	opencounttfile.close()

	opencounttfile = open("../../Maps/NFortress/CountT.py", "r")
	opencounttfile.seek(1,2)
	valttime=opencounttfile.tell()
	
	opencounttfile.close()


def CountLoads():
	global valued
	charc=1

	opencountfile = open("../../Maps/NFortress/CountE.py", "at")
	opencountfile.write(str(charc))
	opencountfile.close()

	opencountfiler = open("../../Maps/NFortress/CountE.py", "r")
	opencountfiler.seek(1,2)
	valued=opencountfiler.tell()
	opencountfiler.close()
	
	Bladex.AddScheduledFunc(Bladex.GetTime() +0.0, MessageCountLoads, ())

	
def UpdateTimePlay():
	global timeplay
	global timeplay_0
	global timeplay_1
	
	Bladex.AddScheduledFunc(Bladex.GetTime() +0.0,  UpdateJournalScore,())
	
	if timeplay<59.99:
		timeplay=timeplay+1
		
	if timeplay>59.99:
		timeplay=timeplay+1.00
		timeplay_0=timeplay/60.00
		timeplay_1=round(timeplay_0, 2)
	
	

def StartTimePlay():
	Bladex.AddScheduledFunc(Bladex.GetTime() + 60.0,  UpdateTimePlay,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 60.0,  StartTimePlay,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 60.0,  CounterTTime,())


def MessageKillEnt():
	global killentity

	GameText.WriteTextAux(("TOTAL ENEMIES KILLED: ")+str(killentity)+("\n\npress 'J' for more statistics"), 4.0, 255,0,0,[],40)




def DeadEnemigo(entity):
	global killentity
	
	me=Bladex.GetEntity(entity)
        if me.Data.OldImDeadFunc:
	        me.Data.OldImDeadFunc(entity)
	
	print("Enemy kill")
	
	Bladex.AddScheduledFunc(Bladex.GetTime() +0.0, UpdateKillEnt, ())

# def SeeHints():

	# global seehint
	
	# GameText.WriteTextAux(("TOTAL ENEMIES KILLED: ")+str(killentity)+("\n\nPress 'J' for more statistics"), 4.0, 255,0,0,[],40)
		
	# if seehint>3:
		# GameText.WriteTextAux((("Total Enemies Killed: ")+str(killentity)), 4.0, 255,0,0,[],40)
	

def MessageCountLoads():
	global valued
	
	valued=valued-1
	
	GameText.WriteTextAux(("Loads: ")+str(valued), 4.0, 250,200,120,[],30)

# def UpdateScoreBoard():
	# global killentity
	# global timeplay
	# global valued
	# global istnval
	
	# scoreBoardOn = 1

	# wScoreBoard = BUIx.B_TextWidget(Scorer.wFrame,"ScoreBoardTextWidget","", ScorerWidgets.font_server,"../../Data/Letras menu med.bmp")
	# wScoreBoard.SetAlpha(scoreBoardOn)
	# wScoreBoard.SetColor(255,255,255)
	# Scorer.wFrame.AddWidget(wScoreBoard,5,10, 
		# BUIx.B_FrameWidget.B_FR_AbsoluteRight,BUIx.B_FrameWidget.B_FR_Right, 
		# BUIx.B_FrameWidget.B_FR_AbsoluteTop,BUIx.B_FrameWidget.B_FR_Top)
	
	# if Language.Current == "Spanish":
		# SScoreBoard = "BCEFO Y6NTO: %d\nBPEMR NFPS: %d\n3AFPY3OK: %d\n"
	# else:
		# SScoreBoard = "Total kills: %d\nGame time: %d\nLoads: %d\n"
	
	
	# wScoreBoard.SetText(GetText(SScoreBoard) %(killentity, timeplay, istnval))
	# Scorer.wFrame.RecalcLayout()

#UpdateScoreBoard()
	
def UpdateKillEnt():

	global seehint
	global killentity
	
	killentity=killentity+1
	seehint=seehint+1
	
	if seehint<3.9:
		GameText.WriteTextAux(("TOTAL ENEMIES KILLED: ")+str(killentity)+("\n\npress 'J' for more statistics"), 4.0, 255,0,0,[],40)
	
	if seehint>3.9:
		GameText.WriteTextAux((("Total Enemies Killed: ")+str(killentity)), 4.0, 255,0,0,[], 30)
			
	Bladex.AddScheduledFunc(Bladex.GetTime() +0.0, UpdateJournalScore, ())
	#MessageKillEnt()
	print("Func: UpdateKillEnt")
	
	
def UpdateJournalScore():

	global totaltime
	global valttime
	global killentity
	global timeplay
	global timeplay_1
	global valued
	
	alltime=valttime-1
	
	if timeplay<59.99:
		Talk.TSWidgets.jTitleWidget.SetText("\n\nSTATISTICS:\n\n\nTotal Enemies Killed: "+str(killentity)+"\n\n\nGame Time:\n\nUseful: "+str(timeplay)+" min\n\nTotal: "+str(alltime)+" min\n\n\nLoads "+str(valued))
		
	if timeplay>59.99:
		Talk.TSWidgets.jTitleWidget.SetText("\n\nSTATISTICS:\n\n\nTotal Enemies Killed: "+str(killentity)+"\n\n\nGame Time:\n\nUseful: "+str(timeplay_1)+" h ("+str(timeplay)+" min)\n\nTotal: "+str(alltime)+" min\n\n\nLoads "+str(valued))
		
	print("Update jurnal!")

########################

Bladex.AddScheduledFunc(Bladex.GetTime() +0.0, CountLoads, ())
Bladex.AddScheduledFunc(Bladex.GetTime() +3.0, UpdateJournalScore, ())


#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ END COUNTERS ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#



#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ DROP_ROCKS ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

def SoundDropStones():
	_DropSound1.Play(char.Position[0], char.Position[1], char.Position[2],1)
	# Bladex.KillMusic()	
	# Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("Collapse_bridge"),))
	#Bladex.ExeMusicEvent( Bladex.GetMusicEvent,("Collapse_bridge") )

	
def RockBig():
	rock3=Bladex.GetEntity("Roca3_2533")
	rock3.Impulse(0,0,0)
	#sonidoindy.Play(o.Position[0], o.Position[1], o.Position[2], 0)
	#Bladex.AddScheduledFunc(Bladex.GetTime()+1.0, BigStone, ())

	
def BigStone():
	p=97728.0670728,-17613.8048093,-71049.9875635
 	r=0.10,0.18,0,0.19
 	Roca3_2533=heavyObjects.CreateHeavyObject("Roca3_2533","Roca3",p,r,1.0, heavyObjects.StoneHitEvent )
 	Roca3_2533.Scale=1.5
 	Roca3_2533.Static=1
	#Roca3_2533.Mass=10000
	Sparks.SetStoneSparkling("Roca3_2533")
 	stone.lock(o.Name, stone.DROPDARKDUST, 0, 1100, 0.0, 0.6, 200.0, stone.STONESOUND, 1 )
 	#dercav3.DoBreak((0.0, -0.5, 0.0), (22500, -10500, 173750), (0.0, 0.0, 0.0))
 	Bladex.AddScheduledFunc(Bladex.GetTime()+0.2, RockBig, ())
	
	#o=Bladex.CreateEntity("Roca3_2533","Roca3",97728.0670728,-14613.8048093,-75049.9875635, Reference.ObjType("Roca3"))
	#o.Scale=2.4
	#o.Orientation=(1.0,0.0,0.0,0.0)
	#o=Sparks.SetStoneSparkling("Roca3_2533")


def Rock1():
	SoundDropStones()
	rock1=Bladex.GetEntity("StoneSmall_1")
	rock1.Impulse(0,0,0)

	
def Rock2():	
	rock2=Bladex.GetEntity("StoneSmall_2")
	rock2.Impulse(0,0,0)
	#sonidoindy.Play(o.Position[0], o.Position[1], o.Position[2], 0)
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.3, BigStone, ())
	#Bladex.ExeMusicEvent( Bladex.GetMusicEvent("GasRoom") )

	
def DropStones():
	p=99128.0670728,-2613.80480926,-74649.9875635
 	r=0.14,0.14,0,0.13
 	StoneSmall_1=heavyObjects.CreateHeavyObject("StoneSmall_1","Piedra_06",p,r,1.0, heavyObjects.StoneHitEvent )
 	StoneSmall_1.Scale=1.0
 	StoneSmall_1.Static=0
 	stone.lock(o.Name, stone.DROPDARKDUST, 0, 1100, 0.0, 0.6, 20.0, stone.STONESOUND, 1 )
 	#dercav3.DoBreak((0.0, -0.5, 0.0), (22500, -10500, 173750), (0.0, 0.0, 0.0))
 	Bladex.AddScheduledFunc(Bladex.GetTime()+0.0, Rock1, ())
	
	#o=Bladex.CreateEntity("Piedra_06_2531","Piedra_06",99128.0670728,-2613.80480926,-74649.9875635, Reference.ObjType("Piedra_06"))
	#o.Scale=0.8
	#o.Orientation=(1.0,0.0,0.0,0.0)   
	
	p=100128.067073,-3813.80480926,-73849.9875635
 	r=0.13,0.13,0,0.14
 	StoneSmall_2=heavyObjects.CreateHeavyObject("StoneSmall_2","Piedra_05",p,r,1.0, heavyObjects.StoneHitEvent )
 	StoneSmall_2.Scale=0.8
 	StoneSmall_2.Static=0
 	stone.lock(o.Name,  stone.DROPDARKDUST, 0, 1100, 0.0, 0.6, 20.0, stone.STONESOUND, 1 )
 	#dercav3.DoBreak((0.0, -0.5, 0.0), (22500, -10500, 173750), (0.0, 0.0, 0.0))
 	Bladex.AddScheduledFunc(Bladex.GetTime()+0.2, Rock2, ())

	#o=Bladex.CreateEntity("Piedra_06_2532","Piedra_06",100128.067073,-3813.80480926,-73849.9875635, Reference.ObjType("Piedra_06"))
	#o.Scale=1.2
	#o.Orientation=(0.250000059605,-0.433012753725,0.749999940395,-0.433012723923)
	print "Func: DropStones"
	
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ END DROP_ROCKS ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#



#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ DROP BRIDGE ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

def Tabla1Drop():
	tabla1=Bladex.GetEntity("Tabla_xl_2540")
	tabla1.Impulse(0,0,0)

	
def Tabla2Drop():
	tabla2=Bladex.GetEntity("Tabla_xl_2541")
	tabla2.Impulse(0,0,0)

	
def VigaroDrop():
	vigaro=Bladex.GetEntity("Vigaro1_2535")
	vigaro.Impulse(0,0,0)

	
def PlaySnDrop():
	_DropSound.Play(char.Position[0], char.Position[1], char.Position[2],1)
	#Bladex.KillMusic()
	#Bladex.ExeMusicEvent( Bladex.GetMusicEvent("Collapse_bridge") )

	
def DropBridge(SectorIndex,EntityName):
	if (EntityName == "Player1"):
		bridge.OnEnter= ""
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.0, Tabla1Drop, ())
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.0, Tabla2Drop, ())
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.1, VigaroDrop, ())
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.0, PlaySnDrop, ())
		print "Func: DropBridge"

	
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ END DROP_BRIDGE ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#



#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ GAS AND GASROOM  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

def CreateGas(vx,vy,vz,delta):
   Gasero=Bladex.CreateEntity(Bladex.GenerateEntityName(), "Entity Particle System D1", vx,vy,vz)
   Gasero.ParticleType="LargeDust"
   Gasero.Time2Live= 80    #*self.size_factor
   Gasero.YGravity=-4000
   Gasero.Friction=0
   Gasero.RandomVelocity=+50.0
   Gasero.RandomVelocity_V=0.0
   Gasero.Velocity = delta,0,0
   Gasero.PPS=24
   return Gasero

  
def SetGasSpeed(delta):
  if(delta==0):
    Gas1.Time2Live = 0
    Gas2.Time2Live = 0
    Gas3.Time2Live = 0
    Gas4.Time2Live = 0
  else:
    Gas1.Velocity = +delta,0,0
    Gas2.Velocity = +delta,0,0
    Gas3.Velocity = -delta,0,0
    Gas4.Velocity = -delta,0,0

    Gas1.Time2Live = 20
    Gas2.Time2Live = 20
    Gas3.Time2Live = 20
    Gas4.Time2Live = 20

	
def GasTimer(e_name, time):
	global GasCounter

	GasCounter = GasCounter + 1

	if (GasCounter >=44):
    #p1.Move(-25,0,0)
    #p2.Move(-25,0,0)
    #p3.Move( 25,0,0)
    #p4.Move( 25,0,0)
  #else:
		SetGasSpeed(5000)
		#char=Bladex.GetEntity("Player1")
	if GasCounter%5==0:
		char.Life = char.Life-(CharStats.GetCharMaxLife(char.Kind,char.Level)*0.50)/60.0

  
def InitGasTrap():
	Gas1.SubscribeToList("GasTimer")
	Gas1.TimerFunc=GasTimer
	_GasSound.Play(char.Position[0], char.Position[1], char.Position[2],-1)

  
def DeActivateTrap():
	#Bladex.KillMusic()
	_GasSound.Stop()
	Gas1.TimerFunc=""
	Gas1.RemoveFromList("GasTimer")
	SetGasSpeed(0)


def StartSecuence0():
	#Bladex.AddScheduledFunc(Bladex.GetTime()+12.0, DeActivateTrap,())
	Bladex.AddScheduledFunc(Bladex.GetTime()+4.0, InitGasTrap,())
	Bladex.KillMusic()
	#Bladex.ExeMusicEvent(-1)
	Bladex.ExeMusicEvent(Bladex.GetMusicEvent("sorpresa_1b"))
	#Bladex.AddScheduledFunc(Bladex.GetTime()+4.0, GasSoundStart,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, RemoveBS,())
	Ontake.DelOnTakeEvent("Espadafilo_1944")
	print "Creat gas"


#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ END GAS ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#



#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ BUTTON ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

def TempBStB():
	ArchButtonX=Bladex.CreateEntity("ArchButtonX","ZocaloSerpiente",-20287.052112,962.1645713,-59255.2733395)
	ArchButtonX.Static=0
	ArchButtonX.Scale=1.0
	ArchButtonX.Orientation=0.0,1.82501214141e-008,0.70710682869,-0.707106769085
	darfuncs.SetHint(ArchButtonX,("Snake lever"))
	
	
def CreatBStB():
	archbutton1=Bladex.CreateEntity("ArchButton1","ZocaloSerpiente",-20287.052112,962.1645713,-59255.2733395)
	archbutton1.Static=0
	archbutton1.Scale=1.0
	archbutton1.Orientation=0.0,1.82501214141e-008,0.70710682869,-0.707106769085
	archbutton1=darfuncs.SetHint(archbutton1,("Snake lever"))
	archbutton1=Button.CreateButtonCombination(0,OpenGasRoomDoors,"")
	archbutton1.AddButton("ArchButton1",3,(0,0,1),50,0,0,1)
	
	
def RemoveBS():
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.5, CreatBStB,())
	ArchButtonX=Bladex.GetEntity("ArchButtonX")
	ArchButtonX.RemoveFromWorld()

#~~~~~~~~~~~~ This another variant (player must use bow) ~~~~~~~~~~~#
"""
def TempBStB():
	ArchButtonX=Bladex.CreateEntity("ArchButtonX","Bloque",-30000,-7000,-56100)
	ArchButtonX.Static=0
	ArchButtonX.Scale=1.580459
	ArchButtonX.Orientation=0.500000,-0.500000,-0.500000,-0.500000
	#archbuttonX=Button.CreateButtonCombination(0,OpenGasRoomDoors,"")
	#archbuttonX.AddButton("ArchButtonX",3,(0,0,1),400,0,0,1)

	
def CreatBStB():
	archbutton1=Bladex.CreateEntity("ArchButton1","Bloque",-30000,-7000,-56100)
	archbutton1.Static=0
	archbutton1.Scale=1.580459
	archbutton1.Orientation=0.500000,-0.500000,-0.500000,-0.500000
	archbutton1=Button.CreateButtonCombination(0,OpenGasRoomDoors,"")
	archbutton1.AddButton("ArchButton1",3,(0,0,1),400,0,0,1)

	
def RemoveBS():
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.5, CreatBStB,())
	ArchButtonX=Bladex.GetEntity("ArchButtonX")
	ArchButtonX.RemoveFromWorld()

"""	
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~  END BUTTON ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#



#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ DOORS AND GATES FUNC ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#
#firsdoor
def OpenFirstDoor():
	ofd_desplazamientos=(2250.0, 1000.0)
	ofd_vectores01=((0.0, 0.0, 1.0), (0.0, 0.0, 1.0))
	ofd_vel_iniciales01=(0.0, 4000)
	ofd_vel_finales01=(4000.0, 500)
	
	ofd_son_iniciales01=("", "")
	ofd_son_durante01=(sonidorastrillo01, sonidorastrillo01)
	ofd_son_finales01=("", golpemetalmediano01)
	Objects.NDisplaceObject(firstdoormovil, ofd_desplazamientos, ofd_vectores01, ofd_vel_iniciales01, ofd_vel_finales01, (), ofd_son_durante01, ofd_son_finales01)
	print "Open: First Door"

sonidohoja=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-deslizando.wav", "sonidohoja")
sonidohojafin=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-golpe.wav", "sonidohojafin")
sonidoargolla=Sounds.CreateEntitySound("..\\..\\Sounds\\mechanism-operated.wav", "sonidoargolla")

#gate 10
def CobGate():
	desplazamientoscbgate=(4000.0, 1000.0)
	vectorescbgate=((0.0, -1.0, 0.0), (0.0, -1.0, 0.0))
	vel_inicialescbgate=(0.0, 4000)
	vel_finalescbgate=(4000.0, 500)
	
	son_inicialescbgate=("", "")
	son_durantecbgate=(sonidorastrillo, sonidorastrillo)
	son_finalescbgate=("", golpemetalmediano)
	Objects.NDisplaceObject(cobgatedin, desplazamientoscbgate, vectorescbgate, vel_inicialescbgate, vel_finalescbgate, (), son_durantecbgate, son_finalescbgate)
	print "Open: Cob Gate"


def hoja_1Open():
	desplazamientos_hoja1=(2250.0, 500.0)
	vectores_hoja1=((-1.2, 0.0, 0.0), (0.8, 0.0, 0.0))
	vel_iniciales_hoja1=(0.0, 1600)
	vel_finales_hoja1=(1600.0, 500)
	
	son_iniciales_hoja1=("", "")
	son_durante_hoja1=(sonidohoja, sonidohoja)
	son_finales_hoja1=("", sonidohojafin)
	Objects.NDisplaceObject(hoja_1din, desplazamientos_hoja1, vectores_hoja1, vel_iniciales_hoja1, vel_finales_hoja1, (), son_durante_hoja1, son_finales_hoja1)
	print "Open: hoja_1"

def hoja_2Open():
	desplazamientos_hoja2=(3250.0, 1000.0)
	vectores_hoja2=((0.0, 0.0, -1.0), (0.0, 0.0, -0.8))
	vel_iniciales_hoja2=(0.0, 1600)
	vel_finales_hoja2=(1600.0, 500)
	
	#son_iniciales_hoja2=("", "")
	#son_durante_hoja2=(sonidohoja, sonidohoja)
	#son_finales_hoja2=("", sonidohojafin)
	Objects.NDisplaceObject(hoja_2din, desplazamientos_hoja2, vectores_hoja2, vel_iniciales_hoja2, vel_finales_hoja2, ())
	print "Open: hoja_2"
	
def OpenComedorDoors():
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, hoja_1Open, ())
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, hoja_2Open, ())
	
	
def Puerta_Excusada():
	desplazamientos_arcano=(5450.0, 1000.0)
	vectores_arcano=((0.0, -1.0, 0.0), (0.0, -0.1, 0.0))
	vel_iniciales_arcano=(0.0, 800)
	vel_finales_arcano=(1400.0, 500)
	
	son_iniciales_arcano=("", "")
	son_durante_arcano=(sonidohoja, sonidohoja)
	son_finales_arcano=("", sonidohojafin)
	Objects.NDisplaceObject(arcano_din, desplazamientos_arcano, vectores_arcano, vel_iniciales_arcano, vel_finales_arcano, (), son_durante_arcano, son_finales_arcano)


def Start_Excusada():
	Enemy6()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 8.4, Puerta_Excusada, ())
	#Ontake.DelOnTakeEvent("Argolla_palanca")


def PlatformaSd():
	desplazamientospsd=(2250.0, 1000.0)
	vectorespsd=((-1.0, 0.0, 0.0), (-0.9, 0.0, 0.0))
	vel_inicialespsd=(0.0, 4000)
	vel_finalespsd=(4000.0, 500)
	
	son_inicialespsd=("", "")
	son_durantepsd=(sonidorastrillo01, sonidorastrillo01)
	son_finalespsd=("", golpemetalmediano01)
	Objects.NDisplaceObject(Plataforma_2784din, desplazamientospsd, vectorespsd, vel_inicialespsd, vel_finalespsd, (), son_durantepsd, son_finalespsd)


def RastrilloSd():
	desplazamientosrsd=(2250.0, 1000.0)
	vectoresrsd=((0.0, -1.0, 0.0), (0.0, -1.0, 0.0))
	vel_inicialesrsd=(0.0, 4000)
	vel_finalesrsd=(4000.0, 500)
	
	son_inicialesrsd=("", "")
	son_durantersd=(sonidorastrillo01, sonidorastrillo01)
	son_finalesrsd=("", golpemetalmediano01)
	Objects.NDisplaceObject(Rastrillo10_2790din, desplazamientosrsd, vectoresrsd, vel_inicialesrsd, vel_finalesrsd, (), son_durantersd, son_finalesrsd)
	

def OpenGasRoomDoors():
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, PlatformaSd, ())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.5, RastrilloSd, ())


################################################################

def OpenDoors():
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, Abredoor0, ())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.5, Abredoor01, ())

def Abredoor01():
	desplazamientos01=(2250.0, 1000.0)
	vectores01=((0.0, -1.0, 0.0), (0.0, -1.0, 0.0))
	vel_iniciales01=(0.0, 4000)
	vel_finales01=(4000.0, 500)
	
	son_iniciales01=("", "")
	son_durante01=(sonidorastrillo01, sonidorastrillo01)
	son_finales01=("", golpemetalmediano01)
	Objects.NDisplaceObject(rast01din, desplazamientos01, vectores01, vel_iniciales01, vel_finales01, (), son_durante01, son_finales01)

	
def Abredoor0():
	desplazamientos0=(2250.0, 1000.0)
	vectores0=((0.0, -1.0, 0.0), (0.0, -1.0, 0.0))
	vel_iniciales0=(0.0, 4000)
	vel_finales0=(4000.0, 500)
	
	son_iniciales0=("", "")
	son_durante0=(sonidorastrillo, sonidorastrillo)
	son_finales0=("", golpemetalmediano0)
	Objects.NDisplaceObject(rast1din, desplazamientos0, vectores0, vel_iniciales0, vel_finales0, (), son_durante0, son_finales0)


def Abredoor3():
	desplazamientos3=(2250.0, 1000.0)
	vectores3=((0.0, -1.0, 0.0), (0.0, -1.0, 0.0))
	vel_iniciales3=(0.0, 4000)
	vel_finales3=(4000.0, 500)
	
	son_iniciales3=("", "")
	son_durante3=(sonidorastrillo3, sonidorastrillo3)
	son_finales3=("", golpemetalmediano3)
	Objects.NDisplaceObject(rast3din, desplazamientos3, vectores3, vel_iniciales3, vel_finales3, (), son_durante3, son_finales3)

	
def Cierradoor3():
	desplazamientos3=(2250.0, 1000.0)
	vectores3=((0.0, 1.0, 0.0), (0.0, 1.0, 0.0))
	vel_iniciales3=(0.0, 4000)
	vel_finales3=(4000.0, 500)
	
	son_iniciales3=("", "")
	son_durante3=(sonidorastrillo3, sonidorastrillo3)
	son_finales3=("", golpemetalmediano3)
	Objects.NDisplaceObject(rast3din, desplazamientos3, vectores3, vel_iniciales3, vel_finales3, (), son_durante3, son_finales3)


def Abredoor5():
	desplazamientos5=(2550.0, 1000.0)
	vectores5=((0.0, -1.0, 0.0), (0.0, -1.0, 0.0))
	vel_iniciales5=(0.0, 4000)
	vel_finales5=(4000.0, 500)
	
	son_iniciales5=("", "")
	son_durante5=(sonidorastrillo5, sonidorastrillo5)
	son_finales5=("", golpemetalmediano5)
	Objects.NDisplaceObject(rast5din, desplazamientos5, vectores5, vel_iniciales5, vel_finales5, (), son_durante5, son_finales5)

	
def Cierradoor5():
	desplazamientos5=(2550.0, 1000.0)
	vectores5=((0.0, 1.0, 0.0), (0.0, 1.0, 0.0))
	vel_iniciales5=(0.0, 4000)
	vel_finales5=(4000.0, 500)
	
	son_iniciales5=("", "")
	son_durante5=(sonidorastrillo5, sonidorastrillo5)
	son_finales5=("", golpemetalmediano5)
	Objects.NDisplaceObject(rast5din, desplazamientos5, vectores5, vel_iniciales5, vel_finales5, (), son_durante5, son_finales5)

	
def Abredoor4():
	desplazamientos4=(2250.0, 1000.0)
	vectores4=((0.0, -1.0, 0.0), (0.0, -1.0, 0.0))
	vel_iniciales4=(0.0, 4000)
	vel_finales4=(4000.0, 500)
	
	son_iniciales4=("", "")
	son_durante4=(sonidorastrillo4, sonidorastrillo4)
	son_finales4=("", golpemetalmediano4)
	Objects.NDisplaceObject(rast4din, desplazamientos4, vectores4, vel_iniciales4, vel_finales4, (), son_durante4, son_finales4)
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, AcoMusic, ())
	
	
def Cierradoor4():
	desplazamientos4=(2250.0, 1000.0)
	vectores4=((0.0, 1.0, 0.0), (0.0, 1.0, 0.0))
	vel_iniciales4=(0.0, 4000)
	vel_finales4=(4000.0, 500)
	
	son_iniciales4=("", "")
	son_durante4=(sonidorastrillo4, sonidorastrillo4)
	son_finales4=("", golpemetalmediano4)
	Objects.NDisplaceObject(rast4din, desplazamientos4, vectores4, vel_iniciales4, vel_finales4, (), son_durante4, son_finales4)


def Abredoor6():
	desplazamientos6=(2550.0, 1000.0)
	vectores6=((0.0, -1.0, 0.0), (0.0, -1.0, 0.0))
	vel_iniciales6=(0.0, 4000)
	vel_finales6=(4000.0, 500)
	
	son_iniciales6=("", "")
	son_durante6=(sonidorastrillo6, sonidorastrillo6)
	son_finales6=("", golpemetalmediano6)
	Objects.NDisplaceObject(rast6din, desplazamientos6, vectores6, vel_iniciales6, vel_finales6, (), son_durante6, son_finales6)

	
def Cierradoor6():
	desplazamientos6=(2550.0, 1000.0)
	vectores6=((0.0, 1.0, 0.0), (0.0, 1.0, 0.0))
	vel_iniciales6=(0.0, 4000)
	vel_finales6=(4000.0, 500)
	
	son_iniciales6=("", "")
	son_durante6=(sonidorastrillo6, sonidorastrillo6)
	son_finales6=("", golpemetalmediano6)
	Objects.NDisplaceObject(rast6din, desplazamientos6, vectores6, vel_iniciales6, vel_finales6, (), son_durante6, son_finales6)


def Bossdoor2():
	desplazamientos7=(2850.0, 1000.0)
	vectores7=((0.0, 1.0, 0.0), (0.0, 1.0, 0.0))
	vel_iniciales7=(0.0, 4100)
	vel_finales7=(4100.0, 500)
	
	son_iniciales7=("", "")
	son_durante7=(sonidorastrillo7, sonidorastrillo7)
	son_finales7=("", golpemetalmediano7)
	Objects.NDisplaceObject(rast7din, desplazamientos7, vectores7, vel_iniciales7, vel_finales7, (), son_durante7, son_finales7)


def UndGrngDoor():
	desplazamientos8=(2850.0, 1000.0)
	vectores8=((0.0, 1.0, 0.0), (0.0, 1.0, 0.0))
	vel_iniciales8=(0.0, 4100)
	vel_finales8=(4100.0, 500)
	
	son_iniciales8=("", "")
	son_durante8=(sonidorastrillo8, sonidorastrillo8)
	son_finales8=("", golpemetalmediano8)
	Objects.NDisplaceObject(rast8din, desplazamientos8, vectores8, vel_iniciales8, vel_finales8, (), son_durante8, son_finales8)


def Abredoor9():
	desplazamientos9=(2550.0, 1000.0)
	vectores9=((0.0, -1.0, 0.0), (0.0, -1.0, 0.0))
	vel_iniciales9=(0.0, 4000)
	vel_finales9=(4000.0, 500)
	
	son_iniciales9=("", "")
	son_durante9=(sonidorastrillo9, sonidorastrillo9)
	son_finales9=("", golpemetalmediano9)
	Objects.NDisplaceObject(rast9din, desplazamientos9, vectores9, vel_iniciales9, vel_finales9, (), son_durante9, son_finales9)

	
def Cierradoor9():
	desplazamientos9=(2550.0, 1000.0)
	vectores9=((0.0, 1.0, 0.0), (0.0, 1.0, 0.0))
	vel_iniciales9=(0.0, 4000)
	vel_finales9=(4000.0, 500)
	
	son_iniciales9=("", "")
	son_durante9=(sonidorastrillo9, sonidorastrillo9)
	son_finales9=("", golpemetalmediano9)
	Objects.NDisplaceObject(rast9din, desplazamientos9, vectores9, vel_iniciales9, vel_finales9, (), son_durante9, son_finales9)

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ END DOORS FUNC ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#



#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ ELEVATORS FUNC~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

def Abredoorel():
	desplazamientoselv=(20250.0, 1000.0)
	vectoreselv=((0.0, -1.0, 0.0), (0.0, -1.0, 0.0))
	vel_inicialeselv=(0.0, 4000)
	vel_finaleselv=(4000.0, 500)
	
	son_inicialeselv=("", "")
	son_duranteelv=(sonidorastrillo, sonidorastrillo)
	son_finaleselv=("", golpemetalmediano)
	Objects.NDisplaceObject(rasteldin, desplazamientoselv, vectoreselv, vel_inicialeselv, vel_finaleselv, (), son_duranteelv, son_finaleselv)

	
def Cierradoorel():
	desplazamientoselv=(20250.0, 1000.0)
	vectoreselv=((0.0, 1.0, 0.0), (0.0, 1.0, 0.0))
	vel_inicialeselv=(0.0, 4000)
	vel_finaleselv=(4000.0, 500)
	
	son_inicialeselv=("", "")
	son_duranteelv=(sonidorastrillo, sonidorastrillo)
	son_finaleselv=("", golpemetalmediano)
	Objects.NDisplaceObject(rasteldin, desplazamientoselv, vectoreselv, vel_inicialeselv, vel_finaleselv, (), son_duranteelv, son_finaleselv)
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 10.0,  AgaN,())

# def TextJump ():
	# GameText.WriteTextAux(("Jump!"), 4.0, 190,190,120,[],30)

	
def ElevadorUp():
	desplazamientosel=(10800.0, 1000.0)
	vectoresel=((0.0, -1.0, 0.0), (0.0, -1.0, 0.0))
	vel_inicialesel=(0.0, 4000)
	vel_finalesel=(4000.0, 500)
	
	son_inicialesel=("", "")
	son_duranteel=(sonidorastrillo, sonidorastrillo)
	son_finalesel=("", golpemetalmediano)
	Objects.NDisplaceObject(elevadordin, desplazamientosel, vectoresel, vel_inicialesel, vel_finalesel, (), son_duranteel, son_finalesel)
	
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 5.0,  TextJump,())
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 6.0,  UnBlockLever,())

def ElevadorDown():
	desplazamientosel=(10800.0, 1000.0)
	vectoresel=((0.0, 1.0, 0.0), (0.0, 1.0, 0.0))
	vel_inicialesel=(0.0, 4000)
	vel_finalesel=(4000.0, 500)
	
	son_inicialesel=("", "")
	son_duranteel=(sonidorastrillo, sonidorastrillo)
	son_finalesel=("", golpemetalmediano)
	Objects.NDisplaceObject(elevadordin, desplazamientosel, vectoresel, vel_inicialesel, vel_finalesel, (), son_duranteel, son_finalesel)	

	
# def StartElevadorUp():
	# Bladex.AddScheduledFunc(Bladex.GetTime() + 0.7,  ElevadorUp,())

	
#elevadorup=0

# def CheckUpElevador():
	# global elevadorup
	# if (elevadorup):
		# Bladex.AddScheduledFunc(Bladex.GetTime() + 0.8,  ElevadorUp,())
		

def UpElevador():
	#global elevadorup
	#elevadorup=1
	
	darfuncs.EnterSecEvent(49215,20000,-47840, ElevadorUp)
	
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ END ELEVATORS FUNC~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#	



#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~  MECHANISM FUNC~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

def MechanismCamera1():#levadizo
	cammech1 = Bladex.GetEntity("Camera") 
	#cammech1.SType = 0 
	#cammech1.TType = 0 
	#cammech = AuxFuncs.MoveCamFromTo(29000, -3500, -93500 , 33000, -2500, -93000, 30200,-3500,-98000, 30200,-3500,-98000, 5)
	cammech1.Position=(7000,-6000,-122000)
	cammech1.TPos=(12300,-10500,-116000)
		
	Bladex.AddScheduledFunc(Bladex.GetTime() + 4.0, MechanismCamera1a, ()) 
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 3.0, CreatEntM, ())
	print "Mechanism Starting"
	

def MechanismCamera():#mechanism room
	Bladex.AddScheduledFunc(Bladex.GetTime(), Bladex.DeactivateInput, ())
	Bladex.AddScheduledFunc(Bladex.GetTime(), Scorer.SetVisible, (0,))
	cammech=Bladex.GetEntity("Camera")
	cammech.SType = 0 
	cammech.TType = 0	
	cammech.Position=(29200,-1000,-93400)
	cammech.TPos=(29300,-1500,-91100)

	Bladex.AddScheduledFunc(Bladex.GetTime() + 3.0, MechanismCamera1, ()) 
	

def BlindKnight_Traitor():
	Knight_Traitor_4334=Bladex.GetEntity("Knight_Traitor_4334")
	Knight_Traitor_4334.Blind = 0 
	Knight_Traitor_4334.Deaf = 0
	
	
def MechanismCamera1a():#enemy_com
	Bladex.AddScheduledFunc(Bladex.GetTime() + 3.0, MechanismCamera2, ())
	
	cammech1a = Bladex.GetEntity("Camera") 
	#cammech1a.SType = 0 
	#cammech1a.TType = 0 
	#cammecha = AuxFuncs.MoveCamFromTo(29000, -3500, -93500 , 33000, -2500, -93000, 30200,-3500,-98000, 30200,-3500,-98000, 5)
	cammech1a.Position=(35500,-7500,-102000)
	cammech1a.TPos=(34250,-4500,-99250)
	
	Knight_Traitor_4334=Bladex.AddScheduledFunc(Bladex.GetTime() + 0.2, AnmStop, ())
	
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.4, GameText.WriteTextAux(("Stop the bridge! The enemy here!"), 1.5, 220,100,16,[],30))

	#Bladex.AddScheduledFunc(Bladex.GetTime() +5.0, Knight_Traitor_4334.GoTo, (33500, -3500, -98000))


def AnmStop():
	Knight_Traitor_4334=Bladex.GetEntity("Knight_Traitor_4334")
	Knight_Traitor_4334.LaunchAnimation("Tkn_alarm02")

	
def MechanismCamera2():#knight
	cammech2 = Bladex.GetEntity("Camera") 
	#cammech2.SType = 0 
	#cammech2.TType = 0 
	#cammech = AuxFuncs.MoveCamFromTo(29000, -3500, -93500 , 33000, -2500, -93000, 30200,-3500,-98000, 30200,-3500,-98000, 5)
	cammech2.Position=(31300,-3400,-92400)
	cammech2.TPos=(26000,-1500,-95000)
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, AnimEntM, ())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, MechanismCamera3, ())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, Astillas1, ()) 

	
def MechanismCamera3():#mechanism
	cammech3 = Bladex.GetEntity("Camera") 
	#cammech3.SType = 0 
	#cammech3.TType = 0 
	#cammech = AuxFuncs.MoveCamFromTo(29000, -3500, -93500 , 33000, -2500, -93000, 30200,-3500,-98000, 30200,-3500,-98000, 5)
	cammech3.Position=(29300,-3000,-92800)
	cammech3.TPos=(29800,-2500,-91500) 
	Bladex.AddScheduledFunc(Bladex.GetTime() + 2.0, EndMechCam, ()) 
	Bladex.AddScheduledFunc(Bladex.GetTime() + 2.0, CreatCuerda, ())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.8, RemCinsel,())	
	Bladex.AddScheduledFunc(Bladex.GetTime() + 5.0, InsertWeapon,())	

	
def EndMechCam():
	ScriptSkip.SkipScriptEnd()
	Scorer.SetVisible(1)
	Bladex.ActivateInput()
	AuxFuncs.ResetScene()

	
def MechanismStart ():
	ScriptSkip.SkipScriptStart("CamMechanism")
	Bladex.AddScheduledFunc(Bladex.GetTime()+1.0, InicioMechanism1, ())
	Bladex.AddScheduledFunc(Bladex.GetTime()+1.0, InicioMechanism2, ())
	Bladex.AddScheduledFunc(Bladex.GetTime()+1.0, InicioMechanism3, ())
	Bladex.AddScheduledFunc(Bladex.GetTime()+1.0, InicioMechanism4, ())
	Bladex.AddScheduledFunc(Bladex.GetTime()+1.0, InicioMechanism5, ())
	Bladex.AddScheduledFunc(Bladex.GetTime()+1.0, InicioMechanism6, ())
	Bladex.AddScheduledFunc(Bladex.GetTime()+1.0, InicioMechanism7, ())
	Bladex.AddScheduledFunc(Bladex.GetTime()+1.0, InicioMechanism8, ())
	#Bladex.AddScheduledFunc(Bladex.GetTime()+1.0, MechanismCamera, ())

def FuncsDownLevadizo():
	
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.2, InicioMechanism1, ())
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.2, InicioMechanism2, ())
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.2, InicioMechanism3, ())
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.2, InicioMechanism4, ())
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.2, InicioMechanism5, ())
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.2, InicioMechanism6, ())
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.2, InicioMechanism7, ())
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.2, InicioMechanism8, ())
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.2, InicioAperturaa, ())
	
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.5, RemoveOldObj, ())
	Bladex.AddScheduledFunc(Bladex.GetTime()+1.5, CreateNewObj, ())
	
	Ontake.DelOnTakeEvent("Astillas3_1340")


def RemoveOldObj():
	o=Bladex.GetEntity("CuerdaLarguisima_2035")
	o.RemoveFromWorld()
	
	o=Bladex.GetEntity("CuerdaLarguisima_2034")
	o.RemoveFromWorld()
	
	o=Bladex.GetEntity("ZocaloSuelo_4296")
	o.RemoveFromWorld()
	
	o=Bladex.GetEntity("ZocaloSuelo_4295")
	o.RemoveFromWorld()

	
def CreateNewObj():
	o=Bladex.CreateEntity("CuerdaLarguisima_2035","CuerdaLarguisima",12710.0,-10250.0,-103300.0, Reference.ObjType("CuerdaLarguisima"))
	o.Scale=1.0
	o.Orientation=(0.871836423874,0.280330121517,0.0561861991882,-0.397692590952)

	o=Bladex.CreateEntity("CuerdaLarguisima_2034","CuerdaLarguisima",22610.0,-9950.0,-103200.0, Reference.ObjType("CuerdaLarguisima"))
	o.Scale=1.0
	o.Orientation=(0.960955739021,0.266490459442,0.0570727549493,0.047849368304)

	o=Bladex.CreateEntity("ZocaloSuelo_4296","ZocaloSuelo",21190.4375395,-4600.89727162,-112192.681746, Reference.ObjType("ZocaloSuelo"))
	o.Scale=1.0
	o.Orientation=(0.736575603485,0.674947202206,0.0321595817804,-0.0294688344002)

	o=Bladex.CreateEntity("ZocaloSuelo_4295","ZocaloSuelo",14033.7883941,-4606.54861559,-112176.192963, Reference.ObjType("ZocaloSuelo"))
	o.Scale=1.0
	o.Orientation=(0.736575603485,0.674947202206,0.0321595817804,-0.0294688344002)	
	

def Astillas1():
	# o=Bladex.CreateEntity("Astillas3_1340","Astillas3",29918.584453,-2524.95116632,-91493.9866751, Reference.ObjType("Astillas3"))
	# o.Scale=0.6
	# o.Orientation=(0.672667622566,0.22502489388,-0.449168711901,-0.54325824976)
	# o.Lights = [(0.0, 0.03125, (255, 196, 128))]

	Astillas3_1340=Bladex.CreateEntity("Astillas3_1340","Cincel",29978.584453,-2184.95116632,-91273.9866751, Reference.ObjType("Cincel"))
	Astillas3_1340.Scale=1.6
	Astillas3_1340.Orientation=(0.610596299171,-0.13964830339,-0.770153641701,0.120556607842)
	Ontake.AddOnTakeEvent("Astillas3_1340", FuncsDownLevadizo)


#o=Bladex.CreateEntity("Astillas3_1340","Astillas3",29918.584453,-2524.95116632,-91493.9866751, Reference.ObjType("Astillas3"))
#o.Scale=0.6
#o.Orientation=(0.672667622566,0.22502489388,-0.449168711901,-0.54325824976)


#
def InicioMechanism1():
	angulos11=(5*3.14159/1.5, 5.0*3.14159/54.0, 3.14159/54.0, -3.14159/54.0, 3.14159/54.0)
	vel_ang_iniciales11=(2.1, 2.25, 2.25, 2.25, 2.1)
	vel_ang_finales11=(0.1, 0.1, 0.1, 0.1, 0.1)
	son_durante11=(looppuentelevadizo, looppuentelevadizo, looppuentelevadizo, "", "")
	son_finales11=("", "", looppuentelevadizo, "", "")
	centros11=((0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0))
	ejes11=((0, 0, 1), (0, 0, 1), (0, 0, 1), (0, 0, 1), (0, 0, 1))
	Objects.NRotateObject(powerupSilver_1330movil, angulos11, vel_ang_iniciales11, vel_ang_finales11, centros11, ejes11, Objects.REL, (), son_durante11, son_finales11)

	
def InicioMechanism2():
	angulos22=(5*3.14159/1.5, 5.0*3.14159/54.0, 3.14159/54.0, -3.14159/54.0, 3.14159/54.0)
	vel_ang_iniciales22=(2.1, 2.25, 2.25, 2.25, 2.1)
	vel_ang_finales22=(0.1, 0.1, 0.1, 0.1, 0.1)
	son_durante22=(looppuentelevadizo, looppuentelevadizo, looppuentelevadizo, "", "")
	son_finales22=("", "", atranquepuentelevadizo, "", "")
	centros22=((0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0))
	ejes22=((0, 0, -1), (0, 0, -1), (0, 0, -1), (0, 0, -1), (0, 0, -1))
	Objects.NRotateObject(powerupSilver_1331movil, angulos22, vel_ang_iniciales22, vel_ang_finales22, centros22, ejes22, Objects.REL, (), son_durante22, son_finales22)

	
def InicioMechanism3():
	angulos33=(5*3.14159/1.5, 5.0*3.14159/54.0, 3.14159/54.0, -3.14159/54.0, 3.14159/54.0)
	vel_ang_iniciales33=(2.1, 2.25, 2.25, 2.25, 2.1)
	vel_ang_finales33=(0.1, 0.1, 0.1, 0.1, 0.1)
	son_durante33=(looppuentelevadizo, looppuentelevadizo, looppuentelevadizo, "", "")
	son_finales33=("", "", atranquepuentelevadizo, "", "")
	centros33=((0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0))
	ejes33=((0, 0, 1), (0, 0, 1), (0, 0, 1), (0, 0, 1), (0, 0, 1))
	Objects.NRotateObject(powerupSilver_1332movil, angulos33, vel_ang_iniciales33, vel_ang_finales33, centros33, ejes33, Objects.REL, (), son_durante33, son_finales33)

	
def InicioMechanism4():
	#Bladex.AddScheduledFunc(Bladex.GetTime()+5.0, FinApertura, ())
	#puentelevadizomovil.estado=1
	angulos44=(5*3.14159/1.5, 5.0*3.14159/54.0, 3.14159/54.0, -3.14159/54.0, 3.14159/54.0)
	vel_ang_iniciales44=(2.1, 2.25, 2.25, 2.25, 2.1)
	vel_ang_finales44=(0.1, 0.1, 0.1, 0.1, 0.1)
	son_durante44=(looppuentelevadizo, looppuentelevadizo, looppuentelevadizo, "", "")
	son_finales44=("", "", atranquepuentelevadizo, "", "")
	centros44=((0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0))
	ejes44=((0, 0, -1), (0, 0, -1), (0, 0, -1), (0, 0, -1), (0, 0, -1))
	Objects.NRotateObject(palanca3_1335movil, angulos44, vel_ang_iniciales44, vel_ang_finales44, centros44, ejes44, Objects.REL, (), son_durante44, son_finales44)

	
def InicioMechanism5():
	#Bladex.AddScheduledFunc(Bladex.GetTime()+5.0, FinApertura, ())
	#puentelevadizomovil.estado=1
	angulos55=(5*3.14159/1.5, 5.0*3.14159/54.0, 3.14159/54.0, -3.14159/54.0, 3.14159/54.0)
	vel_ang_iniciales55=(2.1, 2.25, 2.25, 2.25, 2.1)
	vel_ang_finales55=(0.1, 0.1, 0.1, 0.1, 0.1)
	son_durante55=(looppuentelevadizo, looppuentelevadizo, looppuentelevadizo, "", "")
	son_finales55=("", "", atranquepuentelevadizo, "", "")
	centros55=((0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0))
	ejes55=((0, 0, -1), (0, 0, -1), (0, 0, -1), (0, 0, -1), (0, 0, -1))
	Objects.NRotateObject(palanca3_1338movil, angulos55, vel_ang_iniciales55, vel_ang_finales55, centros55, ejes55, Objects.REL, (), son_durante55, son_finales55)

	
def InicioMechanism6():
	#Bladex.AddScheduledFunc(Bladex.GetTime()+5.0, FinApertura, ())
	#puentelevadizomovil.estado=1
	angulos66=(5*3.14159/1.5, 5.0*3.14159/54.0, 3.14159/54.0, -3.14159/54.0, 3.14159/54.0)
	vel_ang_iniciales66=(2.1, 2.25, 2.25, 2.25, 2.1)
	vel_ang_finales66=(0.1, 0.1, 0.1, 0.1, 0.1)
	son_durante66=(looppuentelevadizo, looppuentelevadizo, looppuentelevadizo, "", "")
	son_finales66=("", "", atranquepuentelevadizo, "", "")
	centros66=((0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0))
	ejes66=((0, 1, 0), (0, 1, 0), (0, 1, 0), (0, 1, 0), (0, 1, 0))
	Objects.NRotateObject(timon_1325movil, angulos66, vel_ang_iniciales66, vel_ang_finales66, centros66, ejes66, Objects.REL, (), son_durante66, son_finales66)

	
def InicioMechanism7():
	#Bladex.AddScheduledFunc(Bladex.GetTime()+5.0, FinApertura, ())
	#puentelevadizomovil.estado=1
	angulos77=(4.5*3.14159/1.5, 5.0*3.14159/54.0, 3.14159/54.0, -3.14159/54.0, 3.14159/54.0)
	vel_ang_iniciales77=(2.1, 2.25, 2.25, 2.25, 2.1)
	vel_ang_finales77=(0.35, 0.35, 0.35, 0.35, 0.35)
	son_durante77=(looppuentelevadizo, looppuentelevadizo, looppuentelevadizo, "", "")
	son_finales77=("", "", atranquepuentelevadizo, "", "")
	centros77=((0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0))
	ejes77=((0, 1, 0), (0, 1, 0), (0, 1, 0), (0, 1, 0), (0, 1, 0))
	Objects.NRotateObject(timon_1336movil, angulos77, vel_ang_iniciales77, vel_ang_finales77, centros77, ejes77, Objects.REL, (), son_durante77, son_finales77)

	
def InicioMechanism8():
	#Bladex.AddScheduledFunc(Bladex.GetTime()+5.0, FinApertura, ())
	#puentelevadizomovil.estado=1
	angulos88=(4.8*3.14159/1.5, 5.0*3.14159/54.0, 3.14159/54.0, -3.14159/54.0, 3.14159/54.0)
	vel_ang_iniciales88=(2.1, 2.25, 2.25, 2.25, 2.1)
	vel_ang_finales88=(0.4, 0.4, 0.4, 0.4, 0.4)
	son_durante88=(looppuentelevadizo, looppuentelevadizo, looppuentelevadizo, "", "")
	son_finales88=("", "", atranquepuentelevadizo, "", "")
	centros88=((0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0))
	ejes88=((0, -1, 0), (0, -1, 0), (0, -1, 0), (0, -1, 0), (0, -1, 0))
	Objects.NRotateObject(timon_1337movil, angulos88, vel_ang_iniciales88, vel_ang_finales88, centros88, ejes88, Objects.REL, (), son_durante88, son_finales88)

#
def InicioMechanism1a():
	angulos11a=(1, 2, 2, 2, 2)
	vel_ang_iniciales11a=(0.01, 0.025, 0.025, 0.025, 0.01)
	vel_ang_finales11a=(0.01, 0.01, 0.01, 0.01, 0.01)
	son_durante11a=(looppuentelevadizo, looppuentelevadizo, looppuentelevadizo, "", "")
	son_finales11a=("", "", looppuentelevadizo, "", "")
	centros11a=((0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0))
	ejes11a=((0, 0, 1), (0, 0, 1), (0, 0, 1), (0, 0, 1), (0, 0, 1))
	Objects.NRotateObject(powerupSilver_1330movil, angulos11a, vel_ang_iniciales11a, vel_ang_finales11a, centros11a, ejes11a, Objects.REL, (), son_durante11a, son_finales11a)

	
def InicioMechanism2a():
	angulos22a=(0.1*3.14159/1.5, 0.1*3.14159/54.0, 3.14159/54.0, -3.14159/54.0, 3.14159/54.0)
	vel_ang_iniciales22a=(1.1, 1.25, 1.25, 1.25, 1.1)
	vel_ang_finales22a=(0.1, 0.1, 0.1, 0.1, 0.1)
	son_durante22a=(looppuentelevadizo, looppuentelevadizo, looppuentelevadizo, "", "")
	son_finales22a=("", "", atranquepuentelevadizo, "", "")
	centros22a=((0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0))
	ejes22a=((0, 0, -1), (0, 0, -1), (0, 0, -1), (0, 0, -1), (0, 0, -1))
	Objects.NRotateObject(powerupSilver_1331movil, angulos22a, vel_ang_iniciales22a, vel_ang_finales22a, centros22a, ejes22a, Objects.REL, (), son_durante22a, son_finales22a)

	
def InicioMechanism3a():
	angulos33a=(0.1*3.14159/1.5, 0.1*3.14159/54.0, 3.14159/54.0, -3.14159/54.0, 3.14159/54.0)
	vel_ang_iniciales33a=(1.1, 1.25, 1.25, 1.25, 1.1)
	vel_ang_finales33a=(0.1, 0.1, 0.1, 0.1, 0.1)
	son_durante33a=(looppuentelevadizo, looppuentelevadizo, looppuentelevadizo, "", "")
	son_finales33a=("", "", atranquepuentelevadizo, "", "")
	centros33a=((0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0))
	ejes33a=((0, 0, 1), (0, 0, 1), (0, 0, 1), (0, 0, 1), (0, 0, 1))
	Objects.NRotateObject(powerupSilver_1332movil, angulos33a, vel_ang_iniciales33a, vel_ang_finales33a, centros33a, ejes33a, Objects.REL, (), son_durante33a, son_finales33a)

	
def InicioMechanism4a():
	#Bladex.AddScheduledFunc(Bladex.GetTime()+5.0, FinApertura, ())
	#puentelevadizomovil.estado=1
	angulos44a=(0.1*3.14159/1.5, 0.1*3.14159/54.0, 3.14159/54.0, -3.14159/54.0, 3.14159/54.0)
	vel_ang_iniciales44a=(1.1, 1.25, 1.25, 1.25, 1.1)
	vel_ang_finales44a=(0.1, 0.1, 0.1, 0.1, 0.1)
	son_durante44a=(looppuentelevadizo, looppuentelevadizo, looppuentelevadizo, "", "")
	son_finales44a=("", "", atranquepuentelevadizo, "", "")
	centros44a=((0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0))
	ejes44a=((0, 0, -1), (0, 0, -1), (0, 0, -1), (0, 0, -1), (0, 0, -1))
	Objects.NRotateObject(palanca3_1335movil, angulos44a, vel_ang_iniciales44a, vel_ang_finales44a, centros44a, ejes44a, Objects.REL, (), son_durante44a, son_finales44a)

	
def InicioMechanism5a():
	#Bladex.AddScheduledFunc(Bladex.GetTime()+5.0, FinApertura, ())
	#puentelevadizomovil.estado=1
	angulos55a=(0.1*3.14159/1.5, 0.1*3.14159/54.0, 3.14159/54.0, -3.14159/54.0, 3.14159/54.0)
	vel_ang_iniciales55a=(1.1, 1.25, 1.25, 1.25, 1.1)
	vel_ang_finales55a=(0.1, 0.1, 0.1, 0.1, 0.1)
	son_durante55a=(looppuentelevadizo, looppuentelevadizo, looppuentelevadizo, "", "")
	son_finales55a=("", "", atranquepuentelevadizo, "", "")
	centros55a=((0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0))
	ejes55a=((0, 0, -1), (0, 0, -1), (0, 0, -1), (0, 0, -1), (0, 0, -1))
	Objects.NRotateObject(palanca3_1338movil, angulos55a, vel_ang_iniciales55a, vel_ang_finales55a, centros55a, ejes55a, Objects.REL, (), son_durante55a, son_finales55a)

	
def InicioMechanism6a():
	#Bladex.AddScheduledFunc(Bladex.GetTime()+5.0, FinApertura, ())
	#puentelevadizomovil.estado=1
	angulos66a=(0.1*3.14159/1.5, 0.1*3.14159/54.0, 3.14159/54.0, -3.14159/54.0, 3.14159/54.0)
	vel_ang_iniciales66a=(1.1, 1.25, 1.25, 1.25, 1.1)
	vel_ang_finales66a=(0.2, 0.2, 0.2, 0.2, 0.2)
	son_durante66a=(looppuentelevadizo, looppuentelevadizo, looppuentelevadizo, "", "")
	son_finales66a=("", "", atranquepuentelevadizo, "", "")
	centros66a=((0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0))
	ejes66a=((0, 1, 0), (0, 1, 0), (0, 1, 0), (0, 1, 0), (0, 1, 0))
	Objects.NRotateObject(timon_1325movil, angulos66a, vel_ang_iniciales66a, vel_ang_finales66a, centros66a, ejes66a, Objects.REL, (), son_durante66a, son_finales66a)

	
def InicioMechanism7a():
	#Bladex.AddScheduledFunc(Bladex.GetTime()+5.0, FinApertura, ())
	#puentelevadizomovil.estado=1
	angulos77a=(0.1*3.14159/1.5, 0.1*3.14159/54.0, 3.14159/54.0, -3.14159/54.0, 3.14159/54.0)
	vel_ang_iniciales77a=(1.1, 1.25, 1.25, 1.25, 1.1)
	vel_ang_finales77a=(0.2, 0.2, 0.2, 0.2, 0.2)
	son_durante77a=(looppuentelevadizo, looppuentelevadizo, looppuentelevadizo, "", "")
	son_finales77a=("", "", atranquepuentelevadizo, "", "")
	centros77a=((0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0))
	ejes77a=((0, 1, 0), (0, 1, 0), (0, 1, 0), (0, 1, 0), (0, 1, 0))
	Objects.NRotateObject(timon_1336movil, angulos77a, vel_ang_iniciales77a, vel_ang_finales77a, centros77a, ejes77a, Objects.REL, (), son_durante77a, son_finales77a)

	
def InicioMechanism8a():
	#Bladex.AddScheduledFunc(Bladex.GetTime()+5.0, FinApertura, ())
	#puentelevadizomovil.estado=1
	angulos88a=(0.1*3.14159/1.5, 0.1*3.14159/54.0, 3.14159/54.0, -3.14159/54.0, 3.14159/54.0)
	vel_ang_iniciales88a=(1.1, 1.25, 1.25, 1.25, 1.1)
	vel_ang_finales88a=(0.2, 0.2, 0.2, 0.2, 0.2)
	son_durante88a=(looppuentelevadizo, looppuentelevadizo, looppuentelevadizo, "", "")
	son_finales88a=("", "", atranquepuentelevadizo, "", "")
	centros88a=((0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0), (0.0, 7.0, 0.0))
	ejes88a=((0, -1, 0), (0, -1, 0), (0, -1, 0), (0, -1, 0), (0, -1, 0))
	Objects.NRotateObject(timon_1337movil, angulos88a, vel_ang_iniciales88a, vel_ang_finales88a, centros88a, ejes88a, Objects.REL, (), son_durante88a, son_finales88a)
	
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ END MECHANISM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#


#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ LEVADIZO ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

def TapizOn():
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.2,  SoundLev,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.9,  OnTapizLevadizo,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.2,  CamTapizOn,())
	print "Func: TapizOn"

	
def OnTapizLevadizo():
	utl_desplazamientos=(2250.0, 1000.0)
	utl_vectores01=((0.0, -1.0, 0.0), (0.0, -1.0, 0.0))
	utl_vel_iniciales01=(0.0, 700)
	utl_vel_finales01=(700.0, 400)	
	Objects.NDisplaceObject(tapizupmovil, utl_desplazamientos, utl_vectores01, utl_vel_iniciales01, utl_vel_finales01, ())


def CamTapizOn(): #from lever to window
	ScriptSkip.SkipScriptStart("CamLever")
	#camtapizon = Bladex.AddScheduledFunc(Bladex.GetTime() +0.0, AuxFuncs.FadeFrom, (1.0, 1.0,)) 
	camtapizon = Bladex.DeactivateInput 
	camtapizon = Scorer.SetVisible(0) 
	Bladex.SetListenerPosition(1) 
	camtapizon = Bladex.GetEntity("Camera") 
	camtapizon.SType = 0 
	camtapizon.TType = 0 
	camtapizon=AuxFuncs.MoveCamFromTo(33000,-7500,-121500, 36750,-7500,-121500, 32500,-7500,-123500, 36500,-7500,-115000, 2, CamTapizOn111)
	#camtapizon.Position=(12000,-5000,-144000)
	#camtapizon.TPos=(17700,-4500,-138500)
	Bladex.AddScheduledFunc(Bladex.GetTime() +1.0, CreatNewEnemyC, ()) 
	#Bladex.AddScheduledFunc(Bladex.GetTime() +4.0, TokeText, ()) 
	#Bladex.AddScheduledFunc(Bladex.GetTime() +22.0, EndIntro, ())
	print "Func: CamTapizOn"


def CreatNewEnemyC():
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, CreatEntM, ())
	Knight_Traitor_4334=Bladex.CreateEntity("Knight_Traitor_4334","Knight_Traitor",34451.1619264,-4287.79287397,-99798.3862943, "Person")
	EnemyTypes.EnemyDefaultFuncs(Knight_Traitor_4334)
	Knight_Traitor_4334.Scale=1.0
	Knight_Traitor_4334.Angle=2.86631799016
	Knight_Traitor_4334.Level=9
	Knight_Traitor_4334.Life=930.0
	Knight_Traitor_4334.Blind = 1 
	Knight_Traitor_4334.Deaf = 1
	
	Knight_Traitor_4334.Data.OldImDeadFunc=Knight_Traitor_4334.ImDeadFunc
	Knight_Traitor_4334.ImDeadFunc=DeadEnemigo

	o=Bladex.CreateEntity ("Maza_4335", "Maza", 0,0,0, "Weapon")
	ItemTypes.ItemDefaultFuncs(o)
	Actions.TakeObject("Knight_Traitor_4334", "Maza_4335")

	o=Bladex.CreateEntity ("Escudo3_4336", "Escudo3", 0,0,0)
	ItemTypes.ItemDefaultFuncs(o)
	Sparks.MakeShield("Escudo3_4336")
	Actions.TakeObject("Knight_Traitor_4334", "Escudo3_4336")

	print "Func: CreatNewEnemyC"


def CreatEntM():
	Knight_Traitor_1342=Bladex.CreateEntity("Knight_Traitor_1342","Knight_Traitor",28580.3327635,-949.28881041,-93317.1573369, "Person")
	EnemyTypes.EnemyDefaultFuncs(Knight_Traitor_1342)
	Knight_Traitor_1342.Scale=1.0
	Knight_Traitor_1342.Angle=5.40206506636
	Knight_Traitor_1342.Level=9
	Knight_Traitor_1342.Life=850.0
	
	Knight_Traitor_1342.Data.OldImDeadFunc=Knight_Traitor_1342.ImDeadFunc
	Knight_Traitor_1342.ImDeadFunc=DeadEnemigo
	
	Bladex.AddScheduledFunc(Bladex.GetTime() +2.8, TakeCincel, ())
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 1.5, AnimEntM, ())
	print "Func: CreatEntM"
	
	
def CamTapizOn1():#3
	camtapizon1=Bladex.GetEntity("Camera")
	camtapizon1=AuxFuncs.MoveCamFromTo(37000,-7500,-103000, 34000,-7500,-103500, 34500,-6000,-100000, 34500,-6000,-100000, 2.6, CamEnemyHey)


def CamTapizOn11():#2
	Bladex.AddScheduledFunc(Bladex.GetTime() +2.8, CamTapizOn1, ()) 
	camtapizon11=Bladex.GetEntity("Camera")
	camtapizon11.Position=(37000,-7500,-103000)
	camtapizon11.TPos=(33500,-10500,-111500)
	#camtapizon=AuxFuncs.MoveCamFromTo(25000,-5500,-161000, 19000,-5000,-146000, 17000,-4500,-139000, 17000,-4500,-139000, 4, CamTapizOn1)

	
def CamTapizOn111():#1
	camtapizon111=Bladex.GetEntity("Camera")
	camtapizon111=AuxFuncs.MoveCamFromTo(36750,-7500,-121500, 37000,-7500,-103000, 37000,-7500,-103000, 33500,-10500,-111500, 4, CamTapizOn11)
	

def LoadAnimHey():
	Knight_Traitor_4334=Bladex.GetEntity("Knight_Traitor_4334")
	Knight_Traitor_4334.LaunchAnimation("Dwf_g_magic2")
	
	
def CamEnemyHey():	
	camtapizonhey=Bladex.GetEntity("Camera")
	camtapizonhey.Position=(35500,-7500,-102000)
	camtapizonhey.TPos=(34250,-4500,-99250)
	
	Bladex.AddScheduledFunc(Bladex.GetTime() +1.5, CamEnemy2, ())
	Bladex.AddScheduledFunc(Bladex.GetTime() +0.7, LoadAnimHey, ())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.1, GameText.WriteTextAux(("Hey! Lower down the bridge!"), 1.2, 220,100,16,[],30))



def CamEnemy2():
	Bladex.AddScheduledFunc(Bladex.GetTime() +0.2, AnimOk, ())
	camtapizon=Bladex.GetEntity("Camera")
	camtapizon=AuxFuncs.MoveCamFromTo(31300,-3400,-92400, 31300,-3400,-92400, 26000,-1500,-95000, 26000,-1500,-95000, 1.2, EndCamBr)
	#Bladex.AddScheduledFunc(Bladex.GetTime() +3.0, EndCamBr, ())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.4, GameText.WriteTextAux(("Yes, I do"), 1.4, 250,200,120,[],30))
	# camtapizon1=Bladex.GetEntity("Camera")
	# camtapizon1.Position=(31300,-3400,-92400)
	# camtapizon1.TPos=(26000,-1500,-95000)
	
	
def AnimOk():
	AnimKgt=Bladex.GetEntity("Knight_Traitor_1342")
	AnimKgt.LaunchAnimation("Kgt_b3")


def EndCamBr():
	ScriptSkip.SkipScriptEnd()
	Scorer.SetVisible(1)
	Bladex.ActivateInput()
	AuxFuncs.ResetScene()
	Bladex.AddScheduledFunc(Bladex.GetTime() +1.0, FinApertura, ())
	

def FinApertura():
	Bladex.AddScheduledFunc(Bladex.GetTime()+2.5, InicioApertura, ())
	Bladex.AddScheduledFunc(Bladex.GetTime()+1.2, MechanismStart, ())
	Bladex.AddScheduledFunc(Bladex.GetTime()+1.0, MechanismCamera, ())
	print "Func: FinApertura"
	
	
def FinApertura1():
	Bladex.AddScheduledFunc(Bladex.GetTime()+2.0, InicioApertura1, ())

	
def InicioApertura():
	angulosii=(16.94159/18, 5.0*3.14159/54.0, 3.14159/54.0, 3.14159/220.0, 3.14159/220.0)
	vel_ang_inicialesii=(0.1, 0.25)
	vel_ang_finalesii=(0.2, 0.2)
	son_duranteii=(looppuentelevadizo, looppuentelevadizo, looppuentelevadizo, "", "")
	son_finalesii=("", "", atranquepuentelevadizo, "", "")
	centrosii=((0, 7500.0, 0), (0, 7500.0, 0), (0, 7500.0, 0), (0, 7500.0, 0), (0, 7500.0, 0))
	ejesii=((1, 0, 0), (1, 0, 0), (1, 0, 0), (1, 0, 0), (1, 0, 0))
	Objects.NRotateObject(puentelevadizomovil, angulosii, vel_ang_inicialesii, vel_ang_finalesii, centrosii, ejesii, Objects.REL, (), son_duranteii, son_finalesii)


def InicioAperturaa():
	angulosiia=(2.94159/170, 5.0*3.14159/245.0, 3.14159/235.0, 3.14159/1085.0, 3.14159/1085.0)
	vel_ang_inicialesiia=(0.1, 0.25)
	vel_ang_finalesiia=(0.2, 0.2)
	son_duranteiia=(looppuentelevadizo, looppuentelevadizo, looppuentelevadizo, "", "")
	son_finalesiia=("", "", atranquepuentelevadizo, "", "")
	centrosiia=((0, 7500.0, 0), (0, 7500.0, 0), (0, 7500.0, 0), (0, 7500.0, 0), (0, 7500.0, 0))
	ejesiia=((1, 0, 0), (1, 0, 0), (1, 0, 0), (1, 0, 0), (1, 0, 0))
	Objects.NRotateObject(puentelevadizomovil, angulosiia, vel_ang_inicialesiia, vel_ang_finalesiia, centrosiia, ejesiia, Objects.REL, (), son_duranteiia, son_finalesiia)
	
#~~~~~~~~~~~~~~~~~~~~~~~~~~ END LEVADIZO ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#



#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ BOLAS ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

def ActivarBola1(SectorIndex,EntityName):
	#Bladex.ExeMusicEvent( Bladex.GetMusicEvent("sorpresa1b") )
	global bola_activada
	if (EntityName == "Player1"):
		sbol1.OnEnter= ""
		bola_activada = 1
		stone.drop( "bola1", fuerza_bola1,0,0 )
		Bladex.KillMusic()
		Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("background_1"),))
		#Bladex.ExeMusicEvent( Bladex.GetMusicEvent("background_1") )
		print "Func: ActivarBola1"

	
def ActivarBola2(SectorIndex,EntityName):
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("SonidoDerrumbamiento"),))
	#Bladex.ExeMusicEvent( Bladex.GetMusicEvent("SonidoDerrumbamiento") )
	global bola_activada
	if (EntityName == "Player1"):
		sbol2.OnEnter= ""
		bola_activada = 1
		stone.drop( "bola2", 0,0, fuerza_bola2)
		print "Func: ActivarBola2"

	
def Break():
	sderp1.DoBreak((0.0, 10.0, 0), (37750,-300,46750), (0.0, 0.0, 0.0))
	sderp2.DoBreak((0.0, 10.0, 0), (41750,-300,46750), (0.0, 0.0, 0.0))
	sderp3.DoBreak((0.0, 10.0, 0), (39750,-300,52250), (0.0, 0.0, 0.0))

	
def RomperPuente(SectorIndex,EntityName):
	global puente_break
	if (bola_activada and (EntityName=="bola2")) :
		puente.OnEnter=RomperPuente=""
		Bladex.AddScheduledFunc(Bladex.GetTime() + 0.7,Break,(),"Break")
		ent = Bladex.GetEntity(EntityName)
		SonidoDerrumbamiento.Position = ent.Position
		SonidoDerrumbamiento.PlaySound(1)
	
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ END BOLAS ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#



#~~~~~~~~~~~~~~~~~~~~~~~~~~~~  INTRODUCTION ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

def ActivInp():
	Scorer.SetVisible(1)
	Bladex.ActivateInput()
	AuxFuncs.ResetScene()
	

def TextNF():
	Bladex.DeactivateInput()
	Scorer.SetVisible(0) 
	camNF = Bladex.SetListenerPosition(2) 
	Bladex.GetEntity("Camera")
	camNF=Bladex.GetEntity("Camera")
	camNF.SType = 0 
	camNF.TType = 0
	# camNF.Position=(-20000,-2000,35000)
	# camNF.TPos=(-15000,-4000,-5000)
	AuxFuncs.MoveCamFromTo(-20000,-2000,35000, -15000,-4000,25000, -15000,-4000,20000, -15000,-4000,15000, 6, ActivInp)
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.5, GameText.WriteTextAux,(("N O R T H E R N     F O R T R E S S"), 3.0, 220,190,15,[],330))
	#Bladex.AddScheduledFunc(Bladex.GetTime()+6.0, ActivInp,())
	Bladex.AddScheduledFunc(Bladex.GetTime()+4.0, AuxFuncs.FadeTo,(2,180))
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.0, AuxFuncs.FadeFrom,(1,0))
	Bladex.AddScheduledFunc(Bladex.GetTime() +1.8, InMus, ())
	
	
	
def PlayerGoTo():
	ply=Bladex.GetEntity("Player1")
	Bladex.AddScheduledFunc(Bladex.GetTime()+1.0, ply.GoTo, (26000, -4200, -170000))
	Bladex.AddScheduledFunc(Bladex.GetTime()+5.0, ply.GoTo, (21500, -4200, -153000))
	Bladex.AddScheduledFunc(Bladex.GetTime()+15.0, ply.GoTo, (17450, -4000, -139000))
	

def IntroFunc():
	Bladex.AddScheduledFunc(Bladex.GetTime() +0.0, TextNF,())
	Bladex.AddScheduledFunc(Bladex.GetTime() +6.2, PlayerGoTo,())
	#Bladex.AddScheduledFunc(Bladex.GetTime() +1.0,IntroText_1,())
	#Bladex.AddScheduledFunc(Bladex.GetTime() +5.0,IntroText_2,())
	#Bladex.AddScheduledFunc(Bladex.GetTime() +10.0,IntroText_3,())
	Bladex.AddScheduledFunc(Bladex.GetTime() +6.1, CamIntro, ())
	#Bladex.AddScheduledFunc(Bladex.GetTime() +6.8, InMus, ())
	#Bladex.AddScheduledFunc(Bladex.GetTime()+13.5, AnimPlayer1, ())
	print "Start introdution"
	
	
def IntroText_1():
	GameText.WriteTextAux(("THE BAD NEWS HAS PROVEN TO BE TRUE.\nLORD BALLESTER HAS REALLY CAPTURED THE NORTHERN FORTRESS"), 4.0, 150,125,40,[],60)
	Bladex.AddScheduledFunc(Bladex.GetTime() +5.0,IntroText_2,())
	

def IntroText_2():
	GameText.WriteTextAux(("THE SMALL GARRISON COULD NOT PROTECT IT.\nSOME SOLDIERS WERE LOST,\nOTHERS HAVE BETRAYED THE KING AND GONE OVER TO THE ENEMY."), 5.0, 150,125,40,[],60)
	Bladex.AddScheduledFunc(Bladex.GetTime() +12.0,IntroText_3,())
	

def IntroText_3():
	GameText.WriteTextAux(("AS THE LOYAL SERVANT OF THE KING,\nYOU HAVE BEEN CHARGED WITH THE TASK OF GOING TO THE FORTRESS\nAND DELIVERING THE ULTIMATUM TO LORD BALLESTER..."), 8.0, 150,125,40,[],60)


def CamIntro():
	#ScriptSkip.SkipScriptStart("CamIntro1_1")	
	Bladex.AddScheduledFunc(Bladex.GetTime() +0.0, AuxFuncs.FadeFrom,(4,0))
	Bladex.AddScheduledFunc(Bladex.GetTime() +0.0, Bladex.DeactivateInput, ())
	Bladex.AddScheduledFunc(Bladex.GetTime() +0.0, Scorer.SetVisible, (0,))
	Bladex.AddScheduledFunc(Bladex.GetTime() +0.0, MovedCamera, ())
	Bladex.AddScheduledFunc(Bladex.GetTime() +0.5, IntroText_1, ())
	#Bladex.AddScheduledFunc(Bladex.GetTime() +15.0, AuxFuncs.FadeTo, (2.0, 180.0,))

	#Bladex.DeactivateInput()
	#Scorer.SetVisible(0) 
	#camstart1 = Bladex.SetListenerPosition(2) 
	#Bladex.GetEntity("Camera")
	#cam=Bladex.GetEntity("Camera")
	#camstart1.SType = 0 
	#camstart1.TType = 0 
	#camstart1.TType = 0 
	#AuxFuncs.MoveCamFromTo(140000,-7000,-176000, 34500,-6000,-155000, 26000,-4500,-158000, 18000,-4500,-139000, 18)
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("intro"),))
	#ScriptSkip.SkipScriptEnd2("CameIntro")	
	#Bladex.ExeMusicEvent( Bladex.GetMusicEvent("intro") )
	#camstart1 = Bladex.AddScheduledFunc(Bladex.GetTime() + 23.0, dialog, ())
	#camstart1 = Bladex.AddScheduledFunc(Bladex.GetTime() + 60.0, intromus,())
	#camstart1 = Bladex.AddScheduledFunc(Bladex.GetTime() + 17.0, CameIntro2, ())
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 4.0, EndIntro, ())
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, IntroText, ())
	#camstart1 = ScriptSkip.SkipScriptEnd()

	
def InMus():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() +0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("intro"),))

	
def MovedCamera():
	Bladex.GetEntity("Camera")
	AuxFuncs.MoveCamFromTo(-7000,-8500,-200000, 25000,-8000,-175000, 26000,-6000,-175000, 22000,-7000,-156000, 12, CameIntro1_1)
	#AuxFuncs.FadeTo(1.0, 180.0,)	
	#AuxFuncs.MoveCamFromTo(140000,-7000,-176000, 34500,-6000,-155000, 26000,-4500,-158000, 18000,-4500,-139000, 18, CameIntro2)
	#Bladex.AddScheduledFunc(Bladex.GetTime() +4.0, EndIntro, ())
	#ScriptSkip.SkipScriptStart("CameIntro2")
	#ScriptSkip.SkipScriptStart("EndIntro")

	
def CameIntro1_1():
	#AuxFuncs.FadeFrom(1, 0)
	Bladex.GetEntity("Camera")
	AuxFuncs.MoveCamFromTo(25000,-5500,-161000, 19000,-5000,-146000, 17000,-4500,-139000, 17000,-4500,-139000, 12, CameIntro2)
	Bladex.AddScheduledFunc(Bladex.GetTime() +6.0, AuxFuncs.FadeTo, (3.0, 180.0,))

	
def CameIntro2(): #TALK
	camstart2 = Bladex.AddScheduledFunc(Bladex.GetTime() +0.0, AuxFuncs.FadeFrom, (1.0, 1.0,)) 
	#camstart2 = Bladex.DeactivateInput 
	#camstart2 = Scorer.SetVisible(0) 
	#Bladex.SetListenerPosition(1) 
	camstart2 = Bladex.GetEntity("Camera") 
	#camstart2.SType = 0 
	#camstart2.TType = 0 
	camstart2.Position=(12000,-5000,-144000)
	camstart2.TPos=(17700,-4500,-138500)
	Bladex.AddScheduledFunc(Bladex.GetTime() +22.0, EndIntro, ())
	Bladex.AddScheduledFunc(Bladex.GetTime() +4.0, TokeText, ()) 
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 7.0, AuxFuncs.FadeFrom, (1.0, 1.0,)) 

	
def TokeText2():
	Bladex.AddScheduledFunc(Bladex.GetTime() +0.0, GameText.WriteTextAux(("YOU ARE TRAITORS! \nYOU WILL DIE FOR YOUR IMPUDENCE AND TREASON!"), 4.0, 190,190,15,[],30))


def TokeText1():
	Bladex.AddScheduledFunc(Bladex.GetTime() +6.0, TokeText2,())	
	Bladex.AddScheduledFunc(Bladex.GetTime() +0.0, GameText.WriteTextAux(("WHAT? IN THE NAME OF KING?! \nWE DO NOT ACCEPT ENVOYS FROM THE KING! :\nGET YOUR ASS OUT OF HERE IF YOU WISH TO STAY ALIVE!!!..."), 5.0, 220,100,16,[],30))

	
def TokeText():
	Bladex.AddScheduledFunc(Bladex.GetTime() +6.0, TokeText1,())	
	Bladex.AddScheduledFunc(Bladex.GetTime() +0.0, GameText.WriteTextAux(("IN THE NAME OF KING! I DEMAND YOU \nLEAD ME TO THE PERFIDIOUS COWARDLY LORD BALLESTER..."), 5.0, 190,190,15,[],30))
	

def IntroMusic():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() +0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("Combate_start"),))

	
def CombAnimation():	
	Knight_Traitor_1965=Bladex.GetEntity("Knight_Traitor_1965")
	Knight_Traitor_1965.LaunchAnimation("Skl_g_07")

	
def EndIntro():
	#ScriptSkip.SkipScriptEnd()
	Scorer.SetVisible(1)
	Bladex.ActivateInput()
	AuxFuncs.ResetScene()

	#Bladex.AddScheduledFunc(Bladex.GetTime() +3.0, Knight_Traitor_1968.GoTo, (17450, -4000, -133200))	
	Bladex.AddScheduledFunc(Bladex.GetTime() +1.0, CombAnimation,()) 
	Bladex.AddScheduledFunc(Bladex.GetTime() +0.0, IntroMusic,()) 
	
	print "End introdution"
	

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~ END INTRO ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#


#~~~~~~~~~~~~~~~~~~~~~~~~~~~~ CamBoss_1 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

def CamBoss_1_End():
	ScriptSkip.SkipScriptEnd()
	Scorer.SetVisible(1)
	Bladex.ActivateInput()
	AuxFuncs.ResetScene()
	
	
def CamBoss_1():
	ScriptSkip.SkipScriptStart("CamBoss")
	#camtapizon = Bladex.AddScheduledFunc(Bladex.GetTime() +0.0, AuxFuncs.FadeFrom, (1.0, 1.0,)) 
	camboss1 = Bladex.DeactivateInput 
	camboss1 = Scorer.SetVisible(0) 
	Bladex.SetListenerPosition(1) 
	camboss1 = Bladex.GetEntity("Camera") 
	camboss1.SType = 0 
	camboss1.TType = 0 
	camboss1=AuxFuncs.MoveCamFromTo(-24000,-1700,-42500, -24000,-2000,-39000, -24000,-2000,-39000, -12000,-2000,-36000, 3, CamBoss_1_End)
	Bladex.ExeMusicEvent(Bladex.GetMusicEvent("sorpresa_1b"))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.4,  GameText.WriteTextAux(("You must die!"), 1.2, 250,200,120,[],30))
	Bladex.AddScheduledFunc(Bladex.GetTime() +3.4, Boss_1.GoTo, (-14000, -300, -39000))
	Bladex.AddScheduledFunc(Bladex.GetTime() +6.4, Boss_1.GoTo, (-23000, -300, -39000))
	
	print "Func: CamBoss_1"

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ End CamBoss_1 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#
	
	
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ BURNING BOX FUNC ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

def Remove1():
	o=Bladex.GetEntity("BolitadeFuego_1")
	o.RemoveFromWorld()

	
def Remove2():
	o=Bladex.GetEntity("BolitadeFuego_2")
	o.RemoveFromWorld()

	
def Remove3():
	o=Bladex.GetEntity("BolitadeFuego_3")
	o.RemoveFromWorld()

	
def Remove4():
	o=Bladex.GetEntity("BolitadeFuego_4")
	o.RemoveFromWorld()

	
def SetFireToBoxes (BKBox1,use_from):
	# Call the standard SetFireTo UseFunc
	Actions.StdSetFireToUseFunc(BKBox1,use_from)
	char = Bladex.GetEntity("Player1")
	AuxFuncs.GetSpot(Bladex.GetEntity(char.InvRight)).CastShadows = 1
	Torchs.ExtingueAntorcha(char.InvRight)
	Bladex.AddScheduledFunc(Bladex.GetTime()+1.1, Fuego1, ())
	
	print "Good..."

	
def Fuego1():
	o=Bladex.CreateEntity("BolitadeFuego_1","BolitadeFuego",5842.30784249,4784.64034041,-5802.5598787, Reference.ObjType("BolitadeFuego"))
	o.Scale=5.0
	o.Orientation=(0.696284532547,0.397238838673,-0.326640725136,-0.227594941854)
	o.FiresIntensity=[ 0.0 ]
	o.Lights = [(0.0, 0.03125, (255, 196, 128))]
	Bladex.AddScheduledFunc(Bladex.GetTime()+1.2, Fuego2, ())
	Bladex.AddScheduledFunc(Bladex.GetTime()+19.6, Remove1,())

	
def Fuego2():
	o=Bladex.CreateEntity("BolitadeFuego_2","BolitadeFuego",5650.21043079,4575.27525149,-5107.85895391, Reference.ObjType("BolitadeFuego"))
	o.Scale=3.4
	o.Orientation=(0.683012723923,-0.683012664318,-0.0669873133302,-0.25)
	o.FiresIntensity=[ 0.0 ]
	o.Lights = [(10.0, 0.03125, (255, 196, 128))]
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.6, Fuego3, ())
	Bladex.AddScheduledFunc(Bladex.GetTime()+18.4, Remove2,())


def Fuego3():
	o=Bladex.CreateEntity("BolitadeFuego_3","BolitadeFuego",5645.95918892,4801.54634026,-6222.03449296, Reference.ObjType("BolitadeFuego"))
	o.Scale=2.4
	o.Orientation=(1.0,0.0,0.0,0.0)
	o.FiresIntensity=[ 0.0 ]
	o.Lights = [(10.0, 0.03125, (255, 196, 128))]
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.4, Fuego4, ())
	Bladex.AddScheduledFunc(Bladex.GetTime()+17.8, Remove3,())


def Fuego4():
	o=Bladex.CreateEntity("BolitadeFuego_4","BolitadeFuego",5645.95918892,4201.54634026,-5822.03449296, Reference.ObjType("BolitadeFuego"))
	o.Scale=3.0
	o.Orientation=(0.793353319168,-0.608761429787,0.0,0.0)
	o.FiresIntensity=[ 10.0 ]
	o.Lights = [(10.0, 0.03125, (255, 196, 128))]
	#Bladex.AddScheduledFunc(Bladex.GetTime()+0.4, Fuego5, ())
	Bladex.AddScheduledFunc(Bladex.GetTime()+17.4, Remove4,())

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ END BURNING BOX FUNC ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#



#~~~~~~~~~~~~~~~~~~~~~~~~~ MAIN BOSS AND OUTTRO FUNCS ~~~~~~~~~~~~~~~~~~~~~~~~#

def CreatRastrilEnd():
	o=Bladex.CreateEntity("Rastrillo10_3226","Rastrillo10",194553.373438,8284.96101199,-82528.1513432, Reference.ObjType("Rastrillo10"))
	o.Scale=0.8
	o.Orientation=(0.499999970198,-0.5,-0.499999970198,-0.500000059605)
	o=Sparks.SetMetalSparkling(o.Name)
	
	o=Bladex.CreateEntity("BloqueTallado_3274","BloqueTallado",193053.984699,9278.13188583,-80231.7085891, Reference.ObjType("BloqueTallado"))
	o.Scale=1.0
	o.Orientation=(0.707106769085,0.0,0.707106769085,0.0)


def LoadAnimMainBoss5():
	ragnar_boss=Bladex.GetEntity("Ragnar_boss")
	ragnar_boss.LaunchAnimation("Glm_g_114")


def LoadAnimMainBoss4():
	ragnar_boss=Bladex.GetEntity("Ragnar_boss")
	ragnar_boss.LaunchAnimation("Kgt_g_b06_new")


def LoadAnimMainBoss3():
	ragnar_boss=Bladex.GetEntity("Ragnar_boss")
	ragnar_boss.LaunchAnimation("Tkn_burn")

	# if (ragnar_boss.Life>0):
		# Bladex.AddScheduledFunc(Bladex.GetTime()+25.0,LoadAnimMainBoss4,())
	# else:
		# None

def LoadAnimMainBoss2():
	ragnar_boss=Bladex.GetEntity("Ragnar_boss")
	ragnar_boss.LaunchAnimation("Kgt_df_02_2w")
	
	# if (ragnar_boss.Life>0):
		# Bladex.AddScheduledFunc(Bladex.GetTime()+16.0,LoadAnimMainBoss3,())
	# else:
		# None

	# MainBossMusic_2()

def LoadAnimMainBoss1():
	ragnar_boss=Bladex.GetEntity("Ragnar_boss")
	ragnar_boss.LaunchAnimation("Tkn_attack_look")
	
	# if (ragnar_boss.Life>0):
		# Bladex.AddScheduledFunc(Bladex.GetTime()+36.0,LoadAnimMainBoss2,())
	# else:
		# None

	# MainBossMusic_1()	
		
def LoadAnimMainBoss():
	ragnar_boss=Bladex.GetEntity("Ragnar_boss")
	ragnar_boss.LaunchAnimation("Glm_hurt_big")

	# if (ragnar_boss.Life>0):
		# Bladex.AddScheduledFunc(Bladex.GetTime()+24.0,LoadAnimMainBoss1,())
	# else:
		# None
	
	
def EndMessage1():
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, GameText.WriteTextAux(("IT SEEMS TO ME, THAT THE ENEMY TRIES TO RUN AWAY"), 3.0, 190,190,15,[],30))


def BossCam():
	#Abredoorel()
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.25, LoadAnimMainBoss,())
	#Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, MainBossMusic, ())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 4.4, Boss_cry, ())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 10.0, MainBossMusic, ())
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 200.0, MainBossMusic_1, ())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.4, OpenMainBossDoor, ())
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 3.2, RagnarEscaple, ())
	#Bladex.ExeMusicEvent( Bladex.GetMusicEvent("MainBossMusic") )
	cammainboss = Bladex.DeactivateInput()
	cammainboss = Scorer.SetVisible(0) 
	cammainboss = Bladex.SetListenerPosition(2) 
	cammainboss = Bladex.GetEntity("Camera")
	AuxFuncs.MoveCamFromTo(185000,9500,-66000, 189000,9500,-67000, 189000,9500,-67000, 190000,9500,-71000, 3, RagnarEscaple)
	
	print "Func: BossCam"


def MoveRag():
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, UndergoundMin, ())
	ragnar_boss_go=Bladex.GetEntity("Ragnar_boss")
	ragnar_boss_go.Move(0, 8000, 0)
	
	
def RagnarEscaple():
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, AuxFuncs.FadeTo,(1.0, 1.0))
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 2.0, AuxFuncs.FadeFrom,(1.0, 180.0))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 2.5, AuxFuncs.FadeTo,(1.0, 180.0))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 11.0, Sec_1, ())
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 6.0, Cierradoorel, ())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.5, CamOpenMainBossDoor, ())
	
	ragnar_boss_go=Bladex.GetEntity("Ragnar_boss")
	#ragnar_boss_go.Position=(197000, 10500, -79000)
	ragnar_boss_go=Bladex.AddScheduledFunc(Bladex.GetTime()+0.0, ragnar_boss.GoTo, (190000, 10500, -82000))
	ragnar_boss_go=Bladex.AddScheduledFunc(Bladex.GetTime()+2.8, ragnar_boss.GoTo, (189500, 10500, -74000))
	#ragnar_boss_go=Bladex.AddScheduledFunc(Bladex.GetTime()+4.8, ragnar_boss.GoTo, (190000, 10500, -82000))
	ragnar_boss_go=Bladex.AddScheduledFunc(Bladex.GetTime()+7.0, MoveRag,())
	#ragnar_boss_go=Bladex.AddScheduledFunc(Bladex.GetTime()+7.5, ragnar_boss.GoTo, (197000, 10500, -79000))
	#ragnar_boss_go=Bladex.AddScheduledFunc(Bladex.GetTime()+7.0, ragnar_boss.GoTo,(196750, 10500, -83000))
	#ragnar_boss_go=Bladex.AddScheduledFunc(Bladex.GetTime()+10.0, ragnar_boss.GoTo, (197000, 10500, -79000))
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 1.9, LoadAnimMainBoss1, ())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 2.0, LoadAnimMainBoss3, ())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 8.0, CreatRastrilEnd, ())

	#if (ragnar_boss.Life>16000):
		#Bladex.AddScheduledFunc(Bladex.GetTime() + 2.0, RagnarEscaple, ())

	# if (11000<ragnar_boss.Life<18999):
		# Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, Sec_1, ())
		# Bladex.AddScheduledFunc(Bladex.GetTime() + 2.0, Cierradoorel, ())
	
	#if (ragnar_boss.Life<16000.0):
		# Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, Sec_1, ())
		# Bladex.AddScheduledFunc(Bladex.GetTime() + 2.0, Cierradoorel, ())
		# AuxFuncs.FadeTo(1.0, 180.0)
		# Bladex.AddScheduledFunc(Bladex.GetTime() + 3.4, OpenMainBossDoor, ())
		# Bladex.AddScheduledFunc(Bladex.GetTime() + 0.5, CamOpenMainBossDoor, ())
		# Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, afterdead, ())
		# Bladex.AddScheduledFunc(Bladex.GetTime()+11.0, ragnar_boss.GoTo, (190000, 10500, -82000))
		# ragnar_boss=Bladex.GetEntity("Ragnar_boss")
		# Bladex.AddScheduledFunc(Bladex.GetTime()+1.8, ragnar_boss.GoTo, (189500, 10500, -74000))
		# Bladex.AddScheduledFunc(Bladex.GetTime()+4.8, ragnar_boss.GoTo, (190000, 10500, -82000))
		# Bladex.AddScheduledFunc(Bladex.GetTime()+12.0, ragnar_boss.GoTo, (196750, 10500, -83000))
		# Bladex.AddScheduledFunc(Bladex.GetTime()+19.0, ragnar_boss.GoTo, (197000, 10500, -79000))

#def AgaN():
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, RagnarEscaple, ())
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 4.0, CamOpenEndDoor, ())
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 4.5, OpenEndDoor, ())#temp

def Animjog():
	char=Bladex.GetEntity("Player1")
	char.LaunchAnimation("Kgt_jog_spear")

def AnimTurnLever():
	#ActiveLever()
	char=Bladex.GetEntity("Player1")
	char.LaunchAnimation("Kgt_order")
	
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 2.5, InicioTapiz,())
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 2.5, AuxFuncs.FadeTo,(3.0, 180.0))

#def ActiveLever():
	#Levers.MoveLeverFunc(Palancaend,0.5)
	
def CamGoToLever():	
	camgotolever1 = Bladex.DeactivateInput()
	camgotolever1 = Scorer.SetVisible(0) 
	camgotolever1 = Bladex.SetListenerPosition(2) 
	camgotolever1 = Bladex.GetEntity("Camera") 
	camgotolever1.SType = 0 
	camgotolever1.TType = 0 
	camgotolever1.Position=(189300,8000,-70000)
	camgotolever1.TPos=(186500,8000,-70500)

	Bladex.AddScheduledFunc(Bladex.GetTime() + 3.2, InicioTapiz,())
	Bladex.AddScheduledFunc(Bladex.GetTime() +1.0, AnimTurnLever,())
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.1, Animjog, ())
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 3.5, AuxFuncs.FadeTo,(3.0, 180.0))
	
	
def CamOpenMainBossDoor():
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, AuxFuncs.FadeFrom,(3.0, 0.0))
	
	Bladex.DeactivateInput()
	camopenmainbossdoor = Scorer.SetVisible(0) 
	#camopenmainbossdoor = Bladex.SetListenerPosition(2) 
	camopenmainbossdoor = Bladex.GetEntity("Camera") 
	# camopenmainbossdoor.SType = 0 
	# camopenmainbossdoor.TType = 0 
	camopenmainbossdoor.Position=(189500,8600,-71000)
	camopenmainbossdoor.TPos=(189500,8600,-80000)
	Bladex.AddScheduledFunc(Bladex.GetTime() + 2.0, EndMessage1,())
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, AuxFuncs.FadeTo,(2.0, 360.0))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 7.0, EndCamMainBossDoor,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 7.4, CloseMainBossDoor,())


def EndCamMainBossDoor():
	AuxFuncs.FadeFrom(3.0, 0.0)
	camopenmainbossdoor = Bladex.ActivateInput() 
	camopenmainbossdoor = AuxFuncs.ResetScene() 
	camopenmainbossdoor = Scorer.SetVisible(1) 
	camopenmainbossdoor = Bladex.SetListenerPosition(2)

	
def CamOpenEndDoor():
	Bladex.DeactivateInput()
	camopenenddoor = Scorer.SetVisible(0)
	camopenenddoor = Bladex.SetListenerPosition(2) 
	camopenenddoor = Bladex.GetEntity("Camera")
	camopenenddoor.SType = 0 
	camopenenddoor.TType = 0 
	camopenenddoor.Position=(189300,8500,-70000)
	camopenenddoor.TPos=(186500,8000,-70500)
	
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.5, OpenEndDoor,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 4.0, EndDoor,())

	
def EndDoor():
	camopenenddoor = Bladex.ActivateInput()
	camopenenddoor = AuxFuncs.ResetScene()
	camopenenddoor = Scorer.SetVisible(1)
	camopenenddoor = Bladex.SetListenerPosition(2)
	
	#StartEnd()


def OpenEndDoor():
	desplazamientosee=(3600.0, 1000.0)
	vectoresee=((0.0, 1.0, 0.0), (0.0, 1.0, 0.0))
	vel_inicialesee=(0.0, 2000)
	vel_finalesee=(2000.0, 500)
	
	son_inicialesee=("", "")
	son_duranteee=(sonidorastrillo, sonidorastrillo)
	son_finalesee=("", golpemetalmediano)
	Objects.NDisplaceObject(rastrillo_1472din, desplazamientosee, vectoresee, vel_inicialesee, vel_finalesee, (), son_duranteee, son_finalesee)

	
def OpenMainBossDoor():
	d_mainbossdoor=(3200.0, 1000.0)
	v_mainbossdoor=((0.0, -1.0, 0.0), (0.0, -1.0, 0.0))
	vel_i_mainbossdoor=(0.0, 3000)
	vel_f_mainbossdoor=(3000.0, 500)
	
	son_mainbossdoor=("", "")
	son_d_mainbossdoor=(sonidorastrillo, sonidorastrillo)
	son_f_mainbossdoor=("", golpemetalmediano)
	Objects.NDisplaceObject(doormainbossdin, d_mainbossdoor, v_mainbossdoor, vel_i_mainbossdoor, vel_f_mainbossdoor, (), son_d_mainbossdoor, son_f_mainbossdoor)
	
	
def CloseMainBossDoor():
	d_mainbossdoor=(3200.0, 1000.0)
	v_mainbossdoor=((0.0, 1.0, 0.0), (0.0, 1.0, 0.0))
	vel_i_mainbossdoor=(0.0, 3000)
	vel_f_mainbossdoor=(3000.0, 500)
	
	son_mainbossdoor=("", "")
	son_d_mainbossdoor=(sonidorastrillo, sonidorastrillo)
	son_f_mainbossdoor=("", golpemetalmediano)
	Objects.NDisplaceObject(doormainbossdin, d_mainbossdoor, v_mainbossdoor, vel_i_mainbossdoor, vel_f_mainbossdoor, (), son_d_mainbossdoor, son_f_mainbossdoor)

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~ END OUTTRO FUNC ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#



#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ MUSIC ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#
def MusicFuncUnRed():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("MusicUnRed"),))
	

def SoundLev():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("MusicLev"),))
	

def AcoMusic():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("Aco"),))
	

def Boss_cry():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("Boss_cry"),))
	

def MainBossMusic_2():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("UndergoundMin"),))
	
	
def MainBossMusic_1():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("MainBossMusic_1"),))

	
def MainBossMusic():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("MainBossMusic"),))
	

def afterdead():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("afterdeadboss"),))

	
def background_2():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("Background_2"),))

	
def background_4():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("Background_4"),))
	
	
#def combate_boss1():
	#Bladex.KillMusic()
	#Bladex.ExeMusicEvent( Bladex.GetMusicEvent("combate_boss1") )

	
#def combate_boss2():
	#Bladex.KillMusic()
	#Bladex.ExeMusicEvent( Bladex.GetMusicEvent("combate_boss2") )
	

def TowerMusic():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("TowerMusic"),))

	
def UndergoundMusic():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("UndergoundMusic"),))

	
def background_5():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("background_5"),))

	
def UndergoundMin():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("UndergoundMin"),))

	
def GasRoomMusic():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("GasRoom"),))

	
def GolemsRoom():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("combate_golems"),))

	
def CombateKnigh():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("CombateKnig"),))

	
def Comed():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("Comed"),))

	
def UndergoundMusic1():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("UndergoundMusic"),))

	
def Atm22():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("Atm22"),))

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ END MUSIC ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#	



#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ TAPIZ_END FUNC~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

def InicioTapiz():
	AuxFuncs.FadeTo(1.0, 180.0)
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, InicioRail, ())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, InicioTapiz1, ())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, InicioTapiz2, ())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, InicioTapizMusic, ())
	
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, CamEnd1, ())
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 60.0, GameOver, ())
	
	print "Func: InicioTapiz"


def InicioRail():
	desplazamientosrr=(8800.0, 1000.0)
	vectoresrr=((0.0, 1.0, 0.0), (0.0, 1.0, 0.0))
	vel_inicialesrr=(0.0, 700)
	vel_finalesrr=(700.0, 300)

	Objects.NDisplaceObject(Rail2_1460movil, desplazamientosrr, vectoresrr, vel_inicialesrr, vel_finalesrr, ())


def InicioTapiz1():
	desplazamientos111=(8800.0, 1000.0)
	vectores111=((0.0, 1.0, 0.0), (0.0, 1.0, 0.0))
	vel_iniciales111=(0.0, 700)
	vel_finales111=(700.0, 300)
	
	Objects.NDisplaceObject(TapizEscorpion_1461movil, desplazamientos111, vectores111, vel_iniciales111, vel_finales111, ())


def InicioTapiz2():
	desplazamientos222=(8800.0, 1000.0)
	vectores222=((0.0, 1.0, 0.0), (0.0, 1.0, 0.0))
	vel_iniciales222=(0.0, 700)
	vel_finales222=(700.0, 300)

	Objects.NDisplaceObject(TapizEscorpion_1462movil, desplazamientos222, vectores222, vel_iniciales222, vel_finales222, ())
	

def InicioTapizMusic():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("final"),))


def EndCamEnd1():
	Scorer.SetVisible(1)
	Bladex.ActivateInput()
	AuxFuncs.ResetScene()
	Bladex.SetListenerPosition(1)	


def CamEnd1():	
	AuxFuncs.FadeFrom(3.0, 0.0) 
	#Bladex.DeactivateInput 
	#Scorer.SetVisible(0) 
	#camendd1 = Bladex.SetListenerPosition(2) 
	#camendd1 = Bladex.GetEntity("Camera") 
	#camendd1.SType = 0 
	#camendd1.TType = 0 
	
	camendd1 = AuxFuncs.MoveCamFromTo(17000,-8500,-96800, 16000,-8000,-52500, 16500,-9000,-39500, 16500,-9000,-39500, 9)
	Bladex.AddScheduledFunc(Bladex.GetTime() + 2.0, TextEndMessage,())
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 29.0, EndCamEnd1,())	
	Bladex.AddScheduledFunc(Bladex.GetTime() + 22.0, GameOver,())

def TextEndMessage():
	Bladex.AddScheduledFunc(Bladex.GetTime() + 8.0, TextEnd,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 2.0, GameText.WriteTextAux(("UNFORTUNATELY THE ENEMY HAS RUN AWAY \n\nBUT I SHALL FIND THEM AND PUNISH!"), 6.0, 190,190,15,[],200))


def TextEnd():
	Bladex.AddScheduledFunc(Bladex.GetTime() + 6.0, TextAuthor,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.2, GameText.WriteTextAux(("THE END"), 4.0, 190,190,120,[],300))


def TextAuthor():
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.2, GameText.WriteTextAux(("\nAUTHOR:\n\n\nAvel\n\n\n\nThanks to Rampage for some ideas, beta-testing and English translation.\n\nAnd thanks to Prospero for correct Rampage`s English translation...\n\n\n\n\nKiev,\n\n\nDecember 2005 - August 2006"), 12.0, 190,190,120,[],160))
	
	print "The End"

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ END TAPIZ FUNC ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#



#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ GAME OVER ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

def GameOver(): 
	AuxFuncs.FadeTo(5.0, 180.0) 
	Bladex.AddScheduledFunc(Bladex.GetTime() + 5.0, Bladex.LoadLevel,("Casa",)) 
	
	
def DeathPlayer(): 
	AuxFuncs.FadeTo(2.0, 20.0) 
	Bladex.LoadLevel("Casa")

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#



#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ ENEMIGOS ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

def AnimEntM():
	Knight_Traitor_1342=Bladex.GetEntity("Knight_Traitor_1342")
	Knight_Traitor_1342.LaunchAnimation("Kgt_order")
	

def RemCinsel():	
	Knight_Traitor_1342 = Bladex.GetEntity("Knight_Traitor_1342")
	inv = Knight_Traitor_1342.GetInventory()				
	inv.LinkRightHand("None")
	inv.RemoveObject("Astillas3_13401")
	o=Bladex.GetEntity("Astillas3_13401")
	o.RemoveFromWorld()
	
	
def InsertWeapon():	
	Knight_Traitor_1342=Bladex.GetEntity("Knight_Traitor_1342")
	o=Bladex.CreateEntity ("Espadafilo_1343", "Maza", 0,0,0, "Weapon")
	ItemTypes.ItemDefaultFuncs(o)
	Actions.TakeObject("Knight_Traitor_1342", "Espadafilo_1343")
	
	o=Bladex.CreateEntity ("Escudo3_24781", "Escudo3", 0,0,0)
	ItemTypes.ItemDefaultFuncs(o)
	Sparks.MakeShield("Escudo3_24781")
	Actions.TakeObject("Knight_Traitor_1342", "Escudo3_24781")
	

def TakeCincel():
	o=Bladex.CreateEntity("Astillas3_13401","Cincel",0,0,0, Reference.ObjType("Cincel"))
	o.Scale=1.6
	
	Bladex.GetEntity("Knight_Traitor_1342")
	Actions.TakeObject("Knight_Traitor_1342", "Astillas3_13401")
	print "Func: TakeCincel"
	

def Enemy1():
	Dark_Knight_1772=Bladex.CreateEntity("Dark_Knight_1772","Dark_Knight",118850.905979,-5949.28882529,-38675.2378679, "Person")
	EnemyTypes.EnemyDefaultFuncs(Dark_Knight_1772)
	Dark_Knight_1772.Scale=1.0
	Dark_Knight_1772.Angle=6.2516308954
	Dark_Knight_1772.Level=11
	Dark_Knight_1772.Life=2200.0
	
	Dark_Knight_1772.Data.OldImDeadFunc=Dark_Knight_1772.ImDeadFunc
	Dark_Knight_1772.ImDeadFunc=DeadEnemigo
	
	Espadaelfica_1773=Bladex.CreateEntity ("Espadaelfica_1773", "Hacha4", 0,0,0, "Weapon")
	ItemTypes.ItemDefaultFuncs(Espadaelfica_1773)
	Actions.TakeObject("Dark_Knight_1772", "Espadaelfica_1773")
	
	Escudo4_1774=Bladex.CreateEntity ("Escudo4_1774", "Escudo4", 0,0,0)
	ItemTypes.ItemDefaultFuncs(Escudo4_1774)
	Sparks.MakeShield("Escudo4_1774")
	Actions.TakeObject("Dark_Knight_1772", "Escudo4_1774")
	
	
def Enemy2():
	Dark_Knight_17721=Bladex.CreateEntity("Dark_Knight_17721","Dark_Knight",-3000,-1500,-9000, "Person")
	EnemyTypes.EnemyDefaultFuncs(Dark_Knight_17721)
	Dark_Knight_17721.Scale=1.0
	Dark_Knight_17721.Angle=7.2516308954
	Dark_Knight_17721.Level=10
	Dark_Knight_17721.Life=1800.0
	
	Dark_Knight_17721.Data.OldImDeadFunc=Dark_Knight_17721.ImDeadFunc
	Dark_Knight_17721.ImDeadFunc=DeadEnemigo
	
	Espadaelfica_1773=Bladex.CreateEntity ("Espadaelfica_1773", "Maza2", 0,0,0, "Weapon")
	ItemTypes.ItemDefaultFuncs(Espadaelfica_1773)
	Actions.TakeObject("Dark_Knight_17721", "Espadaelfica_1773")
	
	Escudo4_1774=Bladex.CreateEntity ("Escudo4_1774", "Escudo4", 0,0,0)
	ItemTypes.ItemDefaultFuncs(Escudo4_1774)
	Sparks.MakeShield("Escudo4_1774")
	Actions.TakeObject("Dark_Knight_17721", "Escudo4_1774")
	

def Enemy3():
	Dark_Knight_gen3=Bladex.CreateEntity("Dark_Knight_gen3","Great_Ork",140000,14000,87000, "Person")
	EnemyTypes.EnemyDefaultFuncs(Dark_Knight_gen3)
	Dark_Knight_gen3.Scale=1.0
	Dark_Knight_gen3.Angle=7.2516308954
	Dark_Knight_gen3.Level=10
	Dark_Knight_gen3.Life=whrandom.random()*250+925.0
	
	Espadaelfica_gen3=Bladex.CreateEntity ("Espadaelfica_gen3", "Martillo2", 0,0,0, "Weapon")
	ItemTypes.ItemDefaultFuncs(Espadaelfica_gen3)
	Actions.TakeObject("Dark_Knight_gen3", "Espadaelfica_gen3")
	
'''	
	wrnumb=whrandom.random()*10
	
	if (6 > wrnumb > 3):
		Espadaelfica_gen3=Bladex.CreateEntity ("Espadaelfica_gen3", "Hacha3", 0,0,0, "Weapon")
		ItemTypes.ItemDefaultFuncs(Espadaelfica_gen3)
		Actions.TakeObject("Dark_Knight_gen3", "Espadaelfica_gen3")

	if (9 > wrnumb > 6):
		Espadaelfica_gen3=Bladex.CreateEntity ("Espadaelfica_gen3", "EgyptSword", 0,0,0, "Weapon")
		ItemTypes.ItemDefaultFuncs(Espadaelfica_gen3)
		Actions.TakeObject("Dark_Knight_gen3", "Espadaelfica_gen3")
		
	if (3 > wrnumb > 0):
		Espadaelfica_gen3=Bladex.CreateEntity ("Espadaelfica_gen3", "Martillo", 0,0,0, "Weapon")
		ItemTypes.ItemDefaultFuncs(Espadaelfica_gen3)
		Actions.TakeObject("Dark_Knight_gen3", "Espadaelfica_gen3")
	
	Escudo4_gen3=Bladex.CreateEntity ("Escudo4_gen3", "Escudo2", 0,0,0, "Weapon")
	ItemTypes.ItemDefaultFuncs(Escudo4_gen3)
	Sparks.MakeShield("Escudo4_gen3")
	Actions.TakeObject("Dark_Knight_gen3", "Escudo4_gen3")

	Dark_Knight_gen3.Data.OldImDeadFunc=Dark_Knight_gen3.ImDeadFunc
	Dark_Knight_gen3.ImDeadFunc=DeadEnemigo
'''	

def Enemy4():
	Dark_Knight_177211=Bladex.CreateEntity("Dark_Knight_177211","Knight_Traitor",500,-200,-28000, "Person")
	EnemyTypes.EnemyDefaultFuncs(Dark_Knight_177211)
	Dark_Knight_177211.Scale=1.0
	Dark_Knight_177211.Angle=10.0
	Dark_Knight_177211.Level=11
	Dark_Knight_177211.Life=1800.0
	
	Dark_Knight_177211.Data.OldImDeadFunc=Dark_Knight_177211.ImDeadFunc
	Dark_Knight_177211.ImDeadFunc=DeadEnemigo
	
	Espadaelfica_17731=Bladex.CreateEntity ("Espadaelfica_17731", "Hacha4", 0,0,0, "Weapon")
	ItemTypes.ItemDefaultFuncs(Espadaelfica_17731)
	Actions.TakeObject("Dark_Knight_177211", "Espadaelfica_17731")
	
	Escudo4_17741=Bladex.CreateEntity ("Escudo4_17741", "Escudo3", 0,0,0)
	ItemTypes.ItemDefaultFuncs(Escudo4_17741)
	Sparks.MakeShield("Escudo4_17741")
	Actions.TakeObject("Dark_Knight_177211", "Escudo4_17741")	

	
def Enemy5():
	arma=Bladex.CreateEntity("WeaponEnemy5", "Garrote2", 0.0, 0.0, 0.0, "Weapon")
	ItemTypes.ItemDefaultFuncs(arma)
	
	Enemy5=Bladex.CreateEntity("Enemy5", "Dark_Ork", 37988.0744618,15015.0884635,75359.1186737, "Person")
	EnemyTypes.EnemyDefaultFuncs(Enemy5)
	Enemy5.Angle=4.4667712389
	Enemy5.Level=13
	Enemy5.Life=2300.0
	#Enemy5.SetMesh("Dark_Ork")
	#Enemy5.Level=lvl_control.GiveLevel(8,13)
	Actions.TakeObject(Enemy5.Name, arma.Name)
	
	Enemy5.Data.OldImDeadFunc=Enemy5.ImDeadFunc
	Enemy5.ImDeadFunc=DeadEnemigo

	inv=Enemy5.GetInventory()
	arco=Bladex.CreateEntity("ArcoEnemy5","Arco",0,0,0,"Weapon")
	carcaj=Bladex.CreateEntity("CarcajEnemy5","CarcajEnvenenado",0,0,0)
	ItemTypes.ItemDefaultFuncs(arco)
	ItemTypes.ItemDefaultFuncs(carcaj)
	inv.AddBow(arco.Name)
	inv.AddQuiver(carcaj.Name)
	carcaj.Data.ArrowsLeft=10


def Enemy6():
	Dark_Knight_3861=Bladex.CreateEntity("Dark_Knight_3861","Dark_Knight",-40954.1151629,9550.71117502,-75429.3160779, "Person")
	Dark_Knight_3861.Scale=1.0
	Dark_Knight_3861.Angle=4.5585552734
	Dark_Knight_3861.Level=12
	Dark_Knight_3861.Life=2600.0
	EnemyTypes.EnemyDefaultFuncs(Dark_Knight_3861)
	o=Bladex.CreateEntity ("EgyptSword_3862", "EgyptSword", 0,0,0, "Weapon")
	ItemTypes.ItemDefaultFuncs(o)
	Actions.TakeObject("Dark_Knight_3861", "EgyptSword_3862")
	o=Bladex.CreateEntity ("Escudo6_3863", "Escudo6", 0,0,0)
	ItemTypes.ItemDefaultFuncs(o)
	Sparks.MakeShield("Escudo6_3863")
	Actions.TakeObject("Dark_Knight_3861", "Escudo6_3863")

	Dark_Knight_3861.Data.OldImDeadFunc=Dark_Knight_3861.ImDeadFunc
	Dark_Knight_3861.ImDeadFunc=DeadEnemigo
		

	Dark_Knight_2488=Bladex.CreateEntity("Dark_Knight_2488","Dark_Knight",13037.9601309,-949.288824976,1100.3864068, "Person")
	Dark_Knight_2488.Scale=1.0
	Dark_Knight_2488.Angle=1.50574795863
	Dark_Knight_2488.Level=12
	Dark_Knight_2488.Life=2600.0
	EnemyTypes.EnemyDefaultFuncs(Dark_Knight_2488)
	
	Dark_Knight_2488.AddBayPoint=(13037,-949,1100)
	Dark_Knight_2488.AddBayPoint=(0,-949,1000)
	
	Dark_Knight_2488.Data.OldImDeadFunc=Dark_Knight_2488.ImDeadFunc
	Dark_Knight_2488.ImDeadFunc=DeadEnemigo
	
	o=Bladex.CreateEntity ("Maza3_2490", "Maza3", 0,0,0, "Weapon")
	ItemTypes.ItemDefaultFuncs(o)
	Actions.TakeObject("Dark_Knight_2488", "Maza3_2490")
	o=Bladex.CreateEntity ("Escudo3_2491", "Escudo3", 0,0,0)
	ItemTypes.ItemDefaultFuncs(o)
	Sparks.MakeShield("Escudo3_2491")
	Actions.TakeObject("Dark_Knight_2488", "Escudo3_2491")
	o=Bladex.CreateEntity ("Pocima100_2492", "Pocima100", 0,0,0)
	o.Static=0
	o.Solid=1
	pocimac.CreatePotion("Pocima100_2492")
	Actions.TakeObject("Dark_Knight_2488", "Pocima100_2492")


	Dark_Knight_2497=Bladex.CreateEntity("Dark_Knight_2497","Knight_Traitor",84797.8712007,3850.71117502,79352.7647422, "Person")
	Dark_Knight_2497.Scale=1.0
	Dark_Knight_2497.Angle=3.86081725398
	Dark_Knight_2497.Level=12
	Dark_Knight_2497.Life=2600.0
	EnemyTypes.EnemyDefaultFuncs(Dark_Knight_2497)
	
	Dark_Knight_2497.Data.OldImDeadFunc=Dark_Knight_2497.ImDeadFunc
	Dark_Knight_2497.ImDeadFunc=DeadEnemigo
	
	o=Bladex.CreateEntity ("Katana_2498", "Katana", 0,0,0, "Weapon")
	ItemTypes.ItemDefaultFuncs(o)
	Actions.TakeObject("Dark_Knight_2497", "Katana_2498")
	o=Bladex.CreateEntity ("Escudo3_2499", "Escudo6", 0,0,0)
	ItemTypes.ItemDefaultFuncs(o)
	Sparks.MakeShield("Escudo3_2499")
	Actions.TakeObject("Dark_Knight_2497", "Escudo3_2499")
	o=Bladex.CreateEntity ("Pocima100_3867", "Pocima100", 0,0,0)
	o.Static=0
	o.Solid=1
	pocimac.CreatePotion("Pocima100_3867")
	Actions.TakeObject("Dark_Knight_2497", "Pocima100_3867")
	
	
	Dark_Knight_2476=Bladex.CreateEntity("Dark_Knight_2476","Dark_Knight",69369.5343069,1050.71117502,87640.2366657, "Person")
	Dark_Knight_2476.Scale=1.0
	Dark_Knight_2476.Angle=5.57780803358
	Dark_Knight_2476.Level=12
	Dark_Knight_2476.Life=2600.0
	EnemyTypes.EnemyDefaultFuncs(Dark_Knight_2476)
	
	Dark_Knight_2476.Data.OldImDeadFunc=Dark_Knight_2476.ImDeadFunc
	Dark_Knight_2476.ImDeadFunc=DeadEnemigo
	
	o=Bladex.CreateEntity ("Dagesse_2477", "Dagesse", 0,0,0, "Weapon")
	ItemTypes.ItemDefaultFuncs(o)
	Actions.TakeObject("Dark_Knight_2476", "Dagesse_2477")
	o=Bladex.CreateEntity ("Escudo3_2478", "Escudo3", 0,0,0)
	ItemTypes.ItemDefaultFuncs(o)
	Sparks.MakeShield("Escudo3_2478")
	Actions.TakeObject("Dark_Knight_2476", "Escudo3_2478")
		

	Dark_Knight_2509=Bladex.CreateEntity("Dark_Knight_2509","Dark_Knight",33853.0606965,-1449.28882498,12661.3710126, "Person")
	Dark_Knight_2509.Scale=1.0
	Dark_Knight_2509.Angle=1.73550418041
	Dark_Knight_2509.Level=11
	Dark_Knight_2509.Life=2600.0
	EnemyTypes.EnemyDefaultFuncs(Dark_Knight_2509)
	
	Dark_Knight_2509.Data.OldImDeadFunc=Dark_Knight_2509.ImDeadFunc
	Dark_Knight_2509.ImDeadFunc=DeadEnemigo
	
	o=Bladex.CreateEntity ("Katana_2510", "Katana", 0,0,0, "Weapon")
	ItemTypes.ItemDefaultFuncs(o)
	Actions.TakeObject("Dark_Knight_2509", "Katana_2510")
	o=Bladex.CreateEntity ("Escudo6_2512", "Escudo6", 0,0,0)
	ItemTypes.ItemDefaultFuncs(o)
	Sparks.MakeShield("Escudo6_2512")
	Actions.TakeObject("Dark_Knight_2509", "Escudo6_2512")
	

	Dark_Knight_2516=Bladex.CreateEntity("Dark_Knight_2516","Dark_Knight",35710.0562715,6550.71117502,-4867.61257815, "Person")
	Dark_Knight_2516.Scale=1.0
	Dark_Knight_2516.Angle=1.73550418041
	Dark_Knight_2516.Level=13
	Dark_Knight_2516.Life=2600.0
	EnemyTypes.EnemyDefaultFuncs(Dark_Knight_2516)
	
	Dark_Knight_2516.Data.OldImDeadFunc=Dark_Knight_2516.ImDeadFunc
	Dark_Knight_2516.ImDeadFunc=DeadEnemigo
	
	o=Bladex.CreateEntity ("Hacha2_2517", "Hacha2", 0,0,0, "Weapon")
	ItemTypes.ItemDefaultFuncs(o)
	Actions.TakeObject("Dark_Knight_2516", "Hacha2_2517")
	o=Bladex.CreateEntity ("Escudo6_2520", "Escudo6", 0,0,0)
	ItemTypes.ItemDefaultFuncs(o)
	Sparks.MakeShield("Escudo6_2520")
	Actions.TakeObject("Dark_Knight_2516", "Escudo6_2520")
	o=Bladex.CreateEntity ("Pocima100_2519", "Pocima100", 0,0,0)
	o.Static=0
	o.Solid=1
	pocimac.CreatePotion("Pocima100_2519")
	Actions.TakeObject("Dark_Knight_2516", "Pocima100_2519")

	
	Dark_Knight_2522=Bladex.CreateEntity("Dark_Knight_2522","Dark_Knight",9202.19259781,6050.71117502,-5441.0085, "Person")
	Dark_Knight_2522.Scale=1.0
	Dark_Knight_2522.Angle=4.62381111029
	Dark_Knight_2522.Level=13
	Dark_Knight_2522.Life=2900.0
	EnemyTypes.EnemyDefaultFuncs(Dark_Knight_2522)
	
	Dark_Knight_2522.Data.OldImDeadFunc=Dark_Knight_2522.ImDeadFunc
	Dark_Knight_2522.ImDeadFunc=DeadEnemigo
	
	o=Bladex.CreateEntity ("Katana_2523", "Maza3", 0,0,0, "Weapon")
	ItemTypes.ItemDefaultFuncs(o)
	Actions.TakeObject("Dark_Knight_2522", "Katana_2523")
	o=Bladex.CreateEntity ("Escudo3_2525", "Escudo3", 0,0,0)
	ItemTypes.ItemDefaultFuncs(o)
	Sparks.MakeShield("Escudo3_2525")
	Actions.TakeObject("Dark_Knight_2522", "Escudo3_2525")

		
	Dark_Knight_4593=Bladex.CreateEntity("Dark_Knight_4593","Dark_Knight",-377.205801168,-949.288824976,1401.14531453, "Person")
	Dark_Knight_4593.Scale=1.0
	Dark_Knight_4593.Angle=3.33165206109
	Dark_Knight_4593.Level=12
	Dark_Knight_4593.Life=2800.0
	EnemyTypes.EnemyDefaultFuncs(Dark_Knight_4593)
	
	o=Bladex.CreateEntity ("EgyptSword_4594", "EgyptSword", 0,0,0, "Weapon")
	ItemTypes.ItemDefaultFuncs(o)
	Actions.TakeObject("Dark_Knight_4593", "EgyptSword_4594")
	o=Bladex.CreateEntity ("Escudo6_4595", "Escudo6", 0,0,0)
	ItemTypes.ItemDefaultFuncs(o)
	Sparks.MakeShield("Escudo6_4595")
	Actions.TakeObject("Dark_Knight_4593", "Escudo6_4595")
	
	
	Dark_Knight_4593.Data.OldImDeadFunc=Dark_Knight_4593.ImDeadFunc
	Dark_Knight_4593.ImDeadFunc=DeadEnemigo
	
	
	Dark_Knight_4596=Bladex.CreateEntity("Dark_Knight_4596","Dark_Knight",22412.3634637,6050.71117491,-12579.3159328, "Person")
	Dark_Knight_4596.Scale=1.0
	Dark_Knight_4596.Angle=6.20066055757
	Dark_Knight_4596.Level=12
	Dark_Knight_4596.Life=2800.0
	EnemyTypes.EnemyDefaultFuncs(Dark_Knight_4596)
	Dark_Knight_4596.Deaf = 1
	
	o=Bladex.CreateEntity ("Dagesse_4597", "Dagesse", 0,0,0, "Weapon")
	ItemTypes.ItemDefaultFuncs(o)
	Actions.TakeObject("Dark_Knight_4596", "Dagesse_4597")
	o=Bladex.CreateEntity ("Escudo6_4598", "Escudo6", 0,0,0)
	ItemTypes.ItemDefaultFuncs(o)
	Sparks.MakeShield("Escudo6_4598")
	Actions.TakeObject("Dark_Knight_4596", "Escudo6_4598")
	
	Dark_Knight_4596.Data.OldImDeadFunc=Dark_Knight_4596.ImDeadFunc
	Dark_Knight_4596.ImDeadFunc=DeadEnemigo
	
		
	Dark_Knight_4599=Bladex.CreateEntity("Dark_Knight_4599","Dark_Knight",46129.4512672,-1449.2888251,53432.3675589, "Person")
	Dark_Knight_4599.Scale=1.0
	Dark_Knight_4599.Angle=0.83804906181
	Dark_Knight_4599.Level=12
	Dark_Knight_4599.Life=2800.0
	EnemyTypes.EnemyDefaultFuncs(Dark_Knight_4599)
	
	o=Bladex.CreateEntity ("Dagesse_4600", "Dagesse", 0,0,0, "Weapon")
	ItemTypes.ItemDefaultFuncs(o)
	Actions.TakeObject("Dark_Knight_4599", "Dagesse_4600")
	o=Bladex.CreateEntity ("Escudo6_4601", "Escudo6", 0,0,0)
	ItemTypes.ItemDefaultFuncs(o)
	Sparks.MakeShield("Escudo6_4601")
	Actions.TakeObject("Dark_Knight_4599", "Escudo6_4601")
	
	Dark_Knight_4599.Data.OldImDeadFunc=Dark_Knight_4599.ImDeadFunc
	Dark_Knight_4599.ImDeadFunc=DeadEnemigo
	
		
	Dark_Knight_4602=Bladex.CreateEntity("Dark_Knight_4602","Dark_Knight",35525.3310592,-1449.28882495,61819.0781961, "Person")
	Dark_Knight_4602.Scale=1.0
	Dark_Knight_4602.Angle=3.59296149092
	Dark_Knight_4602.Level=12
	Dark_Knight_4602.Life=2800.0
	EnemyTypes.EnemyDefaultFuncs(Dark_Knight_4602)
	
	o=Bladex.CreateEntity ("EgyptSword_4604", "EgyptSword", 0,0,0, "Weapon")
	ItemTypes.ItemDefaultFuncs(o)
	Actions.TakeObject("Dark_Knight_4602", "EgyptSword_4604")
	o=Bladex.CreateEntity ("Escudo8_4605", "Escudo8", 0,0,0)
	ItemTypes.ItemDefaultFuncs(o)
	Sparks.MakeShield("Escudo8_4605")
	Actions.TakeObject("Dark_Knight_4602", "Escudo8_4605")
	
	o=Bladex.CreateEntity ("Pocima100_4606", "Pocima100", 0,0,0)
	o.Static=0
	o.Solid=1
	pocimac.CreatePotion("Pocima100_4606")
	Actions.TakeObject("Dark_Knight_4602", "Pocima100_4606")
	
	Dark_Knight_4602.Data.OldImDeadFunc=Dark_Knight_4602.ImDeadFunc
	Dark_Knight_4602.ImDeadFunc=DeadEnemigo
	
	
	Knight_Traitor_4607=Bladex.CreateEntity("Knight_Traitor_4607","Knight_Traitor",100185.319818,3850.71117502,60382.7228153, "Person")
	Knight_Traitor_4607.Scale=1.0
	Knight_Traitor_4607.Angle=0.971193881895
	Knight_Traitor_4607.Level=13
	Knight_Traitor_4607.Life=1800.0
	EnemyTypes.EnemyDefaultFuncs(Knight_Traitor_4607)
	
	o=Bladex.CreateEntity ("Maza3_4611", "Maza3", 0,0,0, "Weapon")
	ItemTypes.ItemDefaultFuncs(o)
	Actions.TakeObject("Knight_Traitor_4607", "Maza3_4611")
	o=Bladex.CreateEntity ("Escudo6_4609", "Escudo6", 0,0,0)
	ItemTypes.ItemDefaultFuncs(o)
	Sparks.MakeShield("Escudo6_4609")
	Actions.TakeObject("Knight_Traitor_4607", "Escudo6_4609")
	
	o=Bladex.CreateEntity ("Pocima100_4610", "Pocima100", 0,0,0)
	o.Static=0
	o.Solid=1
	pocimac.CreatePotion("Pocima100_4610")
	Actions.TakeObject("Knight_Traitor_4607", "Pocima100_4610")
	
	Knight_Traitor_4607.Data.OldImDeadFunc=Knight_Traitor_4607.ImDeadFunc
	Knight_Traitor_4607.ImDeadFunc=DeadEnemigo
	
	
	Great_Ork_4612=Bladex.CreateEntity("Great_Ork_4612","Great_Ork",110335.460973,13912.3347971,-3218.9754312, "Person")
	Great_Ork_4612.Scale=1.0
	Great_Ork_4612.Angle=3.42394890031
	Great_Ork_4612.Level=12
	Great_Ork_4612.Life=2300.0
	EnemyTypes.EnemyDefaultFuncs(Great_Ork_4612)
	
	o=Bladex.CreateEntity ("Hacha2_4613", "Hacha2", 0,0,0, "Weapon")
	ItemTypes.ItemDefaultFuncs(o)
	Actions.TakeObject("Great_Ork_4612", "Hacha2_4613")
	o=Bladex.CreateEntity ("Escudo9_4614", "Escudo9", 0,0,0)
	ItemTypes.ItemDefaultFuncs(o)
	Sparks.MakeShield("Escudo9_4614")
	Actions.TakeObject("Great_Ork_4612", "Escudo9_4614")
	
	Great_Ork_4612.Data.OldImDeadFunc=Great_Ork_4612.ImDeadFunc
	Great_Ork_4612.ImDeadFunc=DeadEnemigo


	#~~~~~~~~~~~~~~ Setas ~~~~~~~~~~~~~~~~#
		
	o=Bladex.CreateEntity("Seta_3176","Seta",71178.6958581,1824.41341641,84762.465296, Reference.ObjType("Seta"))
	o.Scale=1.4
	o.Orientation=(0.768283009529,0.501245975494,-0.388873547316,0.0852703601122)
	pocimac.CreateFood(o.Name)

	o=Bladex.CreateEntity("Setas_3177","Setas",72178.6958581,1824.41341641,85162.465296, Reference.ObjType("Setas"))
	o.Scale=1.8
	o.Orientation=(0.866025388241,0.5,0.0,0.0)
	pocimac.CreateFood(o.Name)

	o=Bladex.CreateEntity("Setas_3178","Setas",36699.6061661,-721.145167816,54793.3900512, Reference.ObjType("Setas"))
	o.Scale=1.6
	o.Orientation=(0.707106769085,0.707106769085,0.0,0.0)
	pocimac.CreateFood(o.Name)

	o=Bladex.CreateEntity("Setas_3179","Setas",89027.1554837,2965.55472822,69678.3187441, Reference.ObjType("Setas"))
	o.Scale=1.6
	o.Orientation=(0.793353319168,0.608761429787,0.0,0.0)
	pocimac.CreateFood(o.Name)

	o=Bladex.CreateEntity("Seta_3180","Seta",89427.1554837,3365.55472822,69478.3187441, Reference.ObjType("Seta"))
	o.Scale=1.4
	o.Orientation=(0.866025388241,0.5,0.0,0.0)
	pocimac.CreateFood(o.Name)

	o=Bladex.CreateEntity("Seta_3181","Seta",95296.2025867,4226.39163623,69617.2116978, Reference.ObjType("Seta"))
	o.Scale=1.6
	o.Orientation=(0.866025388241,0.5,0.0,0.0)
	pocimac.CreateFood(o.Name)

	o=Bladex.CreateEntity("Seta_3183","Seta",114251.993517,4585.32658758,57250.706446, Reference.ObjType("Seta"))
	o.Scale=1.8
	o.Orientation=(0.103553660214,0.0794593766332,-0.786566019058,0.603553414345)
	pocimac.CreateFood(o.Name)

	o=Bladex.CreateEntity("Seta_3184","Seta",100366.653906,14749.7267137,-54297.1733312, Reference.ObjType("Seta"))
	o.Scale=2.0
	o.Orientation=(0.876271903515,0.450174421072,-0.15080627799,0.0821462497115)
	pocimac.CreateFood(o.Name)

	o=Bladex.CreateEntity("Rabano_3185","Rabano",112071.708134,14829.6509556,-50858.4483218, Reference.ObjType("Rabano"))
	o.Scale=1.4
	o.Orientation=(0.653281509876,0.653281509876,-0.27059802413,-0.27059802413)
	pocimac.CreateFood(o.Name)

	
#underground	
def Enemy7():
	Dark_Knight_2476=Bladex.CreateEntity("Dark_Knight_2476","Dark_Knight",-78039.6845854,9550.71117498,-84453.2686916, "Person")
	Dark_Knight_2476.Scale=1.0
	Dark_Knight_2476.Angle=2.53481570304
	Dark_Knight_2476.Level=12
	Dark_Knight_2476.Life=2600.0
	EnemyTypes.EnemyDefaultFuncs(Dark_Knight_2476)
	
	Dark_Knight_2476.Data.OldImDeadFunc=Dark_Knight_2476.ImDeadFunc
	Dark_Knight_2476.ImDeadFunc=DeadEnemigo
	
	o=Bladex.CreateEntity ("Dagesse_2477", "Dagesse", 0,0,0, "Weapon")
	ItemTypes.ItemDefaultFuncs(o)
	Actions.TakeObject("Dark_Knight_2476", "Dagesse_2477")
	o=Bladex.CreateEntity ("Escudo3_2478", "Escudo3", 0,0,0)
	ItemTypes.ItemDefaultFuncs(o)
	Sparks.MakeShield("Escudo3_2478")
	Actions.TakeObject("Dark_Knight_2476", "Escudo3_2478")

'''	
def Spider1Dead():
	if(Spidersmall_2528.Life>0):
		Bladex.AddScheduledFunc(Bladex.GetTime() + 1.5, Spider1Dead,())
	if(Spidersmall_2528.Life<1):
		Bladex.AddScheduledFunc(Bladex.GetTime() + 0.5, Spider2,())

	
def Spider1():
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Spider1Dead,())
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 5.0, Spider2,())
	Spidersmall_2528=Bladex.CreateEntity("Spidersmall_2528","Spidersmall",-77968.9611316,14061.5616496,-138908.731075, "Person")
	EnemyTypes.EnemyDefaultFuncs(Spidersmall_2528)
	Spidersmall_2528.Scale=0.8
	Spidersmall_2528.Angle=0.0104543476736
	Spidersmall_2528.Level=10
	Spidersmall_2528.Life=48.0
	Spidersmall_2528.SetOnFloor()
	darfuncs.EnciendeEnLlamas(Spidersmall_2528)
	
	Spidersmall_2528.Data.OldImDeadFunc=Spidersmall_2528.ImDeadFunc
	Spidersmall_2528.ImDeadFunc=DeadEnemigo

	
def Spider2():
	Bladex.AddScheduledFunc(Bladex.GetTime() + 5.0, Spider3,())
	Spidersmall_2529=Bladex.CreateEntity("Spidersmall_2529","Spidersmall",-77968.9611316,14061.5616496,-142908.731075, "Person")
	EnemyTypes.EnemyDefaultFuncs(Spidersmall_2529)
	Spidersmall_2529.Scale=1.0
	Spidersmall_2529.Angle=0.0104543476736
	Spidersmall_2529.Level=10
	Spidersmall_2529.Life=88.0
	Spidersmall_2529.SetOnFloor()	
	darfuncs.EnciendeEnLlamas(Spidersmall_2529)
	
	Spidersmall_2529.Data.OldImDeadFunc=Spidersmall_2529.ImDeadFunc
	Spidersmall_2529.ImDeadFunc=DeadEnemigo

	
def Spider3():
	Bladex.AddScheduledFunc(Bladex.GetTime() + 6.0, Spider4,())
	Spidersmall_2530=Bladex.CreateEntity("Spidersmall_2530","Spidersmall",-77968.9611316,14061.5616496,-142908.731075, "Person")
	EnemyTypes.EnemyDefaultFuncs(Spidersmall_2530)
	Spidersmall_2530.Scale=1.0
	Spidersmall_2530.Angle=0.0104543476736
	Spidersmall_2530.Level=11
	Spidersmall_2530.Life=108.0
	Spidersmall_2530.SetOnFloor()
	darfuncs.EnciendeEnLlamas(Spidersmall_2530)
	
	Spidersmall_2530.Data.OldImDeadFunc=Spidersmall_2530.ImDeadFunc
	Spidersmall_2530.ImDeadFunc=DeadEnemigo

	
def Spider4():
	Bladex.AddScheduledFunc(Bladex.GetTime() + 5.0, Spider5,())
	Spidersmall_2531=Bladex.CreateEntity("Spidersmall_2531","Spidersmall",-77968.9611316,14061.5616496,-142908.731075, "Person")
	EnemyTypes.EnemyDefaultFuncs(Spidersmall_2531)
	Spidersmall_2531.Scale=1.0
	Spidersmall_2531.Angle=0.0104543476736
	Spidersmall_2531.Level=13
	Spidersmall_2531.Life=195.0
	Spidersmall_2531.SetOnFloor()
	darfuncs.EnciendeEnLlamas(Spidersmall_2531)
	
	Spidersmall_2531.Data.OldImDeadFunc=Spidersmall_2531.ImDeadFunc
	Spidersmall_2531.ImDeadFunc=DeadEnemigo

	
def Spider5():
	Spidersmall_2532=Bladex.CreateEntity("Spidersmall_2532","Spidersmall",-77968.9611316,14061.5616496,-142908.731075, "Person")
	EnemyTypes.EnemyDefaultFuncs(Spidersmall_2532)
	Spidersmall_2532.Scale=1.0
	Spidersmall_2532.Angle=0.0104543476736
	Spidersmall_2532.Level=16
	Spidersmall_2532.Life=395.0
	Spidersmall_2532.SetOnFloor()
	darfuncs.EnciendeEnLlamas(Spidersmall_2532)
	
	Spidersmall_2532.Data.OldImDeadFunc=Spidersmall_2532.ImDeadFunc
	Spidersmall_2532.ImDeadFunc=DeadEnemigo
	
'''
	
#~~~~~~~~~~~~~~~~~ GOLEMS ~~~~~~~~~~~~~~~#

def SetLight():
	AuxFuncs.FadeFrom(2, 0)

	
def Golem1Enemy():
	Golem_stone_2713 = Bladex.GetEntity("Golem_stone_2713")
	Golem_stone_2713.InterruptCombat() 
	Golem_stone_2713.SetEnemy(char)
	Golem_stone_2713.SetActiveEnemy(char)
	Golem_stone_2713.LaunchAnimation("Glm_awake")

	
def Golem2Enemy():	
	Golem_stone_2714 = Bladex.GetEntity("Golem_stone_2714")
	Golem_stone_2714.InterruptCombat() 	
	Golem_stone_2714.SetEnemy(char)
	Golem_stone_2714.SetActiveEnemy(char)
	Golem_stone_2713.LaunchAnimation("Glm_slip")
	
	
def Golem1():
	Golem_stone_2713 = Bladex.GetEntity("Golem_stone_2713")
	Golem_stone_2713.LaunchAnimation("Glm_break_wall")
	darfuncs.UnhideBadGuy("Golem_stone_2713")
	darfuncs.EnciendeEnLlamas(Golem_stone_2713,20,0.1)
	Golem_stone_2713.Wuea=Reference.WUEA_ENDED
	Golem_stone_2713.InterruptCombat() 
	Golem_stone_2713.SetEnemy(Golem_stone_2714)
	Golem_stone_2713.SetActiveEnemy(Golem_stone_2714)
	Bladex.AddScheduledFunc(Bladex.GetTime() + 18.0, Golem1Enemy,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 19.0, Golem2Enemy,())
	#_OstiaGolem.Play(-140889.061656,38476.8775378,-25687.5854334,-1)


def Golem2():
	Golem_stone_2714 = Bladex.GetEntity("Golem_stone_2714")
	Golem_stone_2714.LaunchAnimation("Glm_break_wall")
	darfuncs.UnhideBadGuy("Golem_stone_2714")
	darfuncs.EnciendeEnLlamas(Golem_stone_2714,20,0.1)
	Golem_stone_2714.Wuea=Reference.WUEA_ENDED
	Golem_stone_2714.InterruptCombat() 
	Golem_stone_2714.SetEnemy(Golem_stone_2713)
	Golem_stone_2714.SetActiveEnemy(Golem_stone_2713)


def UnfreezGolems():
	AuxFuncs.FadeTo(1.5, 300)
	
	GolemsRoom()
	Ontake.DelOnTakeEvent("Araswen_Vial")
	
	Bladex.AddScheduledFunc(Bladex.GetTime() + 2.5, Golem1,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 2.6, Golem2,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 3.5, SetLight,())
	
	print "Kill this two golems..."


def UFuncCount():
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, afterdead, ())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 3.0, OpenMainBossDoor,())
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, DeadEnemigo,())
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 2.5, EndMessage,())

# def TempAddLifeSecq():
	
	# Knight_Traitor_1497=Bladex.GetEntity("Knight_Traitor_1497")
	#aura1 = Auras.MakeAura("Knight_Traitor_1497",10,(80, 1, 1, 1, 0, 0), (),(),(2,  0.8,0.8,1.0, 1.0, 0.6  , 0.0,0.0,1.0, 0.0, 1.0))
	# Knight_Traitor_1497 = Auras.MakeAura ("Knight_Traitor_1497", 9.0,(80, 1, 1, 0,0,1), (),(),(2, 0.2, 0.2, 0.3, 0.4, 0.0, 0.8, 0.2, 0.2, 0.6, 0.6))
	# Knight_Traitor_1497.LaunchAnimation("Kgt_use_magic_key")

# Bladex.AddScheduledFunc(Bladex.GetTime() + 2.5, TempAddLifeSecq,())

def DeactivePlayer():
	Bladex.DeactivateInput()
	Scorer.SetVisible(1) 
	Bladex.SetListenerPosition(2) 
	camlifeup = Bladex.GetEntity("Camera") 
	# camlifeup.SType = 0 
	# camlifeup.TType = 0 
	camlifeup.Position=(199250,7500,-65250)
	camlifeup.TPos=(191500,8500,-71000)
	

def ActivePlayer():
	Bladex.ActivateInput()
	AuxFuncs.ResetScene()
	Bladex.SetListenerPosition(2)
	

def AddLifeSecq():
	# DeactivePlayer()
	# Bladex.AddScheduledFunc(Bladex.GetTime() + 9.0, ActivePlayer,())
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("Resc_Life"),))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 12.0, MainBossMusic_1, ())
	Kng_t_sec_1=Bladex.GetEntity("Kng_t_sec_1")
	Kng_t_sec_1.LaunchAnimation("Kgt_use_magic_key")
	#aura1 = Auras.MakeAura("Kng_t_sec_1",9,(20, 1, 1, 1, 0, 0), (),(),(2,  0.8,0.8,1.0, 1.0, 0.6  , 0.0,0.0,1.0, 0.0, 1.0))
	aura1 = Auras.MakeAura ("Kng_t_sec_1", 9.0,(80, 1, 1, 0,0,1), (),(),(2, 0.2, 0.2, 0.3, 0.4, 0.0, 0.8, 0.2, 0.2, 0.6, 0.6))
	#aura1 = Auras.MakeAura ("Kng_t_sec_1", 9.0,   (55,0.1,1.0,1,0,0), (),(),(2,  0.0,0.35,0.0, 0.2, 0.0  , 0.0,0.35,0.0, 0.1, 1.0))
	Kng_t_sec_1.Life=30000

	print "Go go, kill him!"
	

def AddLifeSecq1():
	# DeactivePlayer()
	# Bladex.AddScheduledFunc(Bladex.GetTime() + 9.0, ActivePlayer,())
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("Resc_Life"),))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 12.0, MainBossMusic_1, ())
	Kng_t_sec_1=Bladex.GetEntity("Kng_t_sec_1")
	Kng_t_sec_1.LaunchAnimation("Kgt_use_magic_key")
	aura2 = Auras.MakeAura ("Kng_t_sec_1", 9.0,(80, 1, 1, 0,0,1), (),(),(2, 0.2, 0.2, 0.3, 0.4, 0.0, 0.8, 0.2, 0.2, 0.6, 0.6))
	Kng_t_sec_1.Life=38000


def AddLifeSecq2(self):
	# DeactivePlayer()
	# Bladex.AddScheduledFunc(Bladex.GetTime() + 9.0, ActivePlayer,())
	
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("Resc_Life"),))
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 12.0, MainBossMusic_1, ())
	Kng_t_sec_1=Bladex.GetEntity("Kng_t_sec_1")
	Kng_t_sec_1.LaunchAnimation("Kgt_use_magic_key")
	aura3 = Auras.MakeAura ("Kng_t_sec_1", 9.0,(80, 1, 1, 0,0,1), (),(),(2, 0.2, 0.2, 0.3, 0.4, 0.0, 0.8, 0.2, 0.2, 0.6, 0.6))
	Kng_t_sec_1.Life=45000

	
# def AddLifeSec_1():
	# Bladex.AddScheduledFunc(Bladex.GetTime() + 4.0, AddLifeSec_1, ())

	# if 40000<Kng_t_sec_1.Life<50999:
		# Bladex.AddScheduledFunc(Bladex.GetTime() + 7.0, AddLifeSec_1a, ())
		
	# if 25000<Kng_t_sec_1.Life<39999:
		# Bladex.AddScheduledFunc(Bladex.GetTime() + 6.0, AddLifeSec_1b, ())
		
	# if 15000<Kng_t_sec_1.Life<24999:
		# Bladex.AddScheduledFunc(Bladex.GetTime() + 5.0, AddLifeSec_1c, ())
		
	# if 4000<Kng_t_sec_1.Life<14999:
		# Bladex.AddScheduledFunc(Bladex.GetTime() + 3.0, AddLifeSec_1d, ())
		
	# if 500<Kng_t_sec_1.Life<3999:
		# Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, AddLifeSec_1e, ())

	
def Sec_1():
	# Bladex.AddScheduledFunc(Bladex.GetTime() + 2.0, AddLifeSec_1, ())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 42.0, AddLifeSecq, ())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 91.0, AddLifeSecq1, ())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 153.0, AddLifeSecq2, ())

	deadSec_1 = darfuncs.E_Grup()
	deadSec_1.OnDeath = UFuncCount

	Kng_t_sec_1=Bladex.CreateEntity("Kng_t_sec_1","Ragnar",182000,8000,-65000, "Person")
	EnemyTypes.EnemyDefaultFuncs(Kng_t_sec_1)
	#Kng_t_sec_1.Data = MoriaTypes.Knight_Dkn(Kng_t_sec_1)
	Kng_t_sec_1.Scale=1.0
	Kng_t_sec_1.Angle=10.0
	Kng_t_sec_1.Level=19
	Kng_t_sec_1.Life=30000
	Kng_t_sec_1.MeshName="Mortimer"
	
	Kng_t_sec_1.Data.OldImDeadFunc=Kng_t_sec_1.ImDeadFunc
	Kng_t_sec_1.ImDeadFunc=DeadEnemigo
	
	Weapon_sec_1=Bladex.CreateEntity ("Weapon_sec_1", "QueenSword", 0,0,0, "Weapon")
	ItemTypes.ItemDefaultFuncs(Weapon_sec_1)
	Weapon_sec_1.Static=1
	Actions.TakeObject("Kng_t_sec_1", "Weapon_sec_1")
	
	Escudo_sec_1=Bladex.CreateEntity ("Escudo_sec_1", "KingShield", 0,0,0)
	ItemTypes.ItemDefaultFuncs(Escudo_sec_1)
	Sparks.MakeShield("Escudo_sec_1")
	Actions.TakeObject("Kng_t_sec_1", "Escudo_sec_1")
	
	o=Bladex.CreateEntity ("Pocima_Sec1", "PocimaTodo", 0,0,0)
	o.Solid=1
	pocimac.CreatePotion("Pocima_Sec1")
	Actions.TakeObject("Kng_t_sec_1", "Pocima_Sec1")

	deadSec_1.AddGuy("Kng_t_sec_1")
	
	print "Last enemy... You must kill him... or He kill You"
	
#def MinotaurDead():
	#if (Minotaur_1902.Life>0):
		#Bladex.AddScheduledFunc(Bladex.GetTime() + 2.0, MinotaurDead, ())
	
	#if (Minotaur_1902.Life<1.0):
		#Bladex.AddScheduledFunc(Bladex.GetTime() + 2.0, CloseDoorUndEnd, ())
		#Bladex.AddScheduledFunc(Bladex.GetTime() + 3.5, OpenEndDoor, ())
		#Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, afterdead, ())
	
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ END ENEMIGOS ~~~~~~~~~~~~~~~~~~~~~~~~~#


#~~~~~~~~~~~~~~ CUERDA ~~~~~~~~~~~~~~~#

def CreatCuerda():
	o=Bladex.CreateEntity("ZocaloSuelo_4295","ZocaloSuelo",13933.7883941,-5656.54861559,-111576.192963, Reference.ObjType("ZocaloSuelo"))
	o.Scale=1.0
	o.Orientation=(0.736575603485,0.674947202206,0.0321595817804,-0.0294688344002)


	o=Bladex.CreateEntity("ZocaloSuelo_4296","ZocaloSuelo",21290.4375395,-5600.89727162,-111342.681746, Reference.ObjType("ZocaloSuelo"))
	o.Scale=1.0
	o.Orientation=(0.736575603485,0.674947202206,0.0321595817804,-0.0294688344002)


	o=Bladex.CreateEntity("CuerdaLarguisima_2034","CuerdaLarguisima",22610.0,-10350.0,-103200.0, Reference.ObjType("CuerdaLarguisima"))
	o.Scale=1.0
	o.Orientation=(0.960955739021,0.266490459442,0.057072751224,0.0478493645787)


	o=Bladex.CreateEntity("CuerdaLarguisima_2035","CuerdaLarguisima",12710.0,-10850.0,-103300.0, Reference.ObjType("CuerdaLarguisima"))
	o.Scale=1.0
	o.Orientation=(0.871836423874,0.280330091715,0.0561861991882,-0.39769256115)

#~~~~~~~~~~~~~~ END CUERDA ~~~~~~~~~~~~~~~~~#


#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ BROKEN ELEVATOR ~~~~~~~~~~~~~~~~~~~~~~~~~~#

def Gorco():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("Gorco"),))
	
	
def RompDialog():
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("RompEl"),))
	Bladex.AddScheduledFunc(Bladex.GetTime() + 5.5, Gorcotear,())

	
def Gorcotear():
	Gorco()
	GameText.WriteTextAux(("STUPID BEASTS! THEY HAVE BROKEN THE LIFT!"), 3.0, 190,190,120,[],100)
	
	print "Go on foot..."
	
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ END ELEVATOR FUNC ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#



#~~~~~~~~~~~~~~~~~~~~~~~~~~~ UNDERGROUND DOORS FUNC ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

def CloseDoorUnd():
	UndergoundMin()
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 0.5, MinotaurDead,())
	desplazamientos90=(5550.0, 1000.0)
	vectores90=((0.0, -1.0, 0.0), (0.0, -1.0, 0.0))
	vel_iniciales90=(0.0, 9000)
	vel_finales90=(9000.0, 500)
	
	son_iniciales90=("", "")
	son_durante90=(sonidorastrillo9, sonidorastrillo9)
	son_finales90=("", golpemetalmediano9)
	Objects.NDisplaceObject(rast90din, desplazamientos90, vectores90, vel_iniciales90, vel_finales90, (), son_durante90, son_finales90)
	

def PrisonDoor():
	desplazamientos91=(8000.0, 1000.0)
	vectores91=((0.0, 1.0, 0.0), (0.0, 1.0, 0.0))
	vel_iniciales91=(0.0, 3500)
	vel_finales91=(3500.0, 500)
	
	son_iniciales91=("", "")
	son_durante91=(sonidorastrillo9, sonidorastrillo9)
	son_finales91=("", golpemetalmediano9)
	Objects.NDisplaceObject(rast91din, desplazamientos91, vectores91, vel_iniciales91, vel_finales91, (), son_durante91, son_finales91)	
	
	Bladex.GetEntity("Minotaur_1902")
	darfuncs.UnhideBadGuy("Minotaur_1902")   

	
def CloseDoorUndEnd():
	#Bladex.AddScheduledFunc(Bladex.GetTime() + 0.5, Enemy6,())
	desplazamientos90=(5550.0, 1000.0)
	vectores90=((0.0, 1.0, 0.0), (0.0, 1.0, 0.0))
	vel_iniciales90=(0.0, 4000)
	vel_finales90=(4000.0, 500)
	
	son_iniciales90=("", "")
	son_durante90=(sonidorastrillo9, sonidorastrillo9)
	son_finales90=("", golpemetalmediano9)
	Objects.NDisplaceObject(rast90din, desplazamientos90, vectores90, vel_iniciales90, vel_finales90, (), son_durante90, son_finales90)


#~~~~~~~~~~~~~~~~~~~~~ END UNDERGROUND DOORS FUNC ~~~~~~~~~~~~~~~~~~~~~~#
	

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ CROWS ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#	

def CreateCrow(pos,fps,orient):
	cuervos=Bladex.CreateEntity("Cuervos", "Crw",pos[0],pos[1],pos[2])
	cuervos.Orientation=orient
	cuervos.CastShadows=0
	cuervos.Actor=1
	cuervos.Animation="Crw_act11"
	cuervos.FPS=fps
	cuervos.SendSectorMsgs=0
	
	cuervos.TurnOn()
	

def CreatePerchingCrow(entity,fps,orient):
	crow=Bladex.GetEntity(entity)           
	crow.Orientation=orient                                   
	crow.Actor=1
	crow.Animation="Crw_pic"
	crow.FPS=fps
	crow.SendSectorMsgs=0
	crow.TurnOn()

"""
def EspantarCuervo11():
	crowex.ClearPath();
	#crow11.Actor=1
	crowex.Animation="Crw_fly"
	crowex.FPS=20.0	
	crowex.AddPathNode(3.0,50500,0,93750);
	crowex.AddPathNode(3.0,27750,0,76000);
	crowex.AddPathNode(3.0,34500,0,70000);
	crowex.AddPathNode(3.0,47750,0,70750);
	crowex.AddPathNode(3.0,70250,0,92500);
	crowex.AddPathNode(3.0,93250,0,92500);
	crowex.AddPathNode(3.0,109000,0,77750);
	crowex.AddPathNode(3.0,123250,0,70000);
	crowex.AddPathNode(3.0,130250,0,76000);
	crowex.AddPathNode(3.0,104500,0,94500);
	crowex.AddPathNode(3.0,76750,0,102000);
	crowex.GoToPath(0,2)
"""

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ END CROWS ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#
	


#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ POWER POTION ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

def EndCamPPRom():
	Bladex.GetEntity("Camera")
	Bladex.ActivateInput()
	Scorer.SetVisible(1)
	AuxFuncs.ResetScene()
	
	
def CamPPot():
	CamPPot=Bladex.GetEntity("Camera")
	CamPPot.SType = 0 
	CamPPot.TType = 0	
	CamPPot.Position=(23250,17800,112000)
	CamPPot.TPos=(21000,17500,112000)
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.5, EndCamPPRom, ())	
	
	
def CamSc2():
	CamSc2=Bladex.GetEntity("Camera")
	CamSc2.SType = 0 
	CamSc2.TType = 0	
	CamSc2.Position=(28000,18000,109000)
	CamSc2.TPos=(24750,19000,106500)
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.5, CamPPot, ())
	
	
def CamSc1():
	CamSc1=Bladex.GetEntity("Camera")
	CamSc1.SType = 0 
	CamSc1.TType = 0	
	CamSc1.Position=(27500,18000,114000)
	CamSc1.TPos=(25000,19000,116500)
	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.5, CamSc2, ())
	
	
def MovedCameraPPRom():	
	Bladex.DeactivateInput()
	Scorer.SetVisible(0)
	Bladex.GetEntity("Camera")
	AuxFuncs.MoveCamFromTo(45250,18000,112500, 31750,18000,110750, 26000,18000,111500, 26000,18000,111500, 3, CamSc1)
	#Bladex.AddScheduledFunc(Bladex.GetTime()+2.0, char.GoTo, (35250, 18000, 111000))
	#Bladex.AddScheduledFunc(Bladex.GetTime()+2.0, AlphaEx1,())
	
	
def Kolodec():
	Enemy5()
	#AuxFuncs.FadeTo(2, 0.1)
	Bladex.KillMusic()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("UndergoundMusic"),))
	#Bladex.ExeMusicEvent(Bladex.GetMusicEvent("UndergoundMusic"))
	Bladex.AddScheduledFunc(Bladex.GetTime(), MovedCameraPPRom, ())
	
########################################################

def OpenPPotDoor():
	ppotdoor.OpenDoor()
	
	
def CreaLPPotion():
	Powpot=Bladex.CreateEntity("Powpot","PowerPotion",20797.7881008,17778.427245,112187.464175)
	ItemTypes.ItemDefaultFuncs(Powpot)
	Powpot.Scale=1.0
	Powpot.Orientation=(0.707106769085,0.707106769085,0.0,0.0)
	
	Powpot.ExclusionGroup = 1
	Stars.Twinkle("Powpot")
	
	Bladex.AddScheduledFunc(Bladex.GetTime()+4.5,OpenPPotDoor,())


def CreatPPotion():
	import Gems
	
	Bladex.KillMusic()
	Bladex.ExeMusicEvent(-1)
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("sorpresa_3"),))
	#Bladex.ExeMusicEvent(Bladex.GetMusicEvent("sorpresa_3"))
	Gems.SetGemColor(Gems.BLUE_GEM)
	Gems.Concentrator((20797.7881008,17778.427245,112187.464175))
	
	Bladex.AddScheduledFunc(Bladex.GetTime()+6.5,CreaLPPotion,())
	#Bladex.AddScheduledFunc(Bladex.GetTime()+6.5, MusicTool.LaunchMusicEvent,("sorpresa_3",))
	#MusicTool.Music2Sector("ambiente28",None)

	
def CamPPotCreat():
	Bladex.DeactivateInput()
	Scorer.SetVisible(0)	
	CamPPotCreat=Bladex.GetEntity("Camera")
	CamPPotCreat.SType = 0 
	CamPPotCreat.TType = 0	
	CamPPotCreat.Position=(23250,17800,112000)
	CamPPotCreat.TPos=(21000,17500,112000)
	
	Bladex.AddScheduledFunc(Bladex.GetTime() + 9.0, EndCamPPRom, ())


def ReCreatPPotion():
	Bladex.AddScheduledFunc(Bladex.GetTime()+2.5,CamPPotCreat,())
	Bladex.AddScheduledFunc(Bladex.GetTime()+3.0,CreatPPotion,())
	
	print "Creat Power Potion..."

	
###########################################################

def UnfreezeSceletons():
	Skeleton_2855 = Bladex.GetEntity("Skeleton_2855")
	#Skeleton_2855.Unfreeze()
	Skeleton_2855.Deaf = 0
	Skeleton_2855.Blind = 0
	
	
	Skeleton_2858 = Bladex.GetEntity("Skeleton_2858")
	#Skeleton_2858.Unfreeze()
	Skeleton_2858.Deaf = 0
	Skeleton_2858.Blind = 0
	
	print "Unfreeze Sceletons..."


def PPotRoom():
	#AuxFuncs.FadeTo(2, 2)
	#Bladex.AddScheduledFunc(Bladex.GetTime()+2.5,PPotRoomL,())
	Bladex.AddScheduledFunc(Bladex.GetTime()+2.0,UnfreezeSceletons,())

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ END POWER POTION ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#



#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ FIRE POTION ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

def CreatFirePot():
	o=def_class.CreateFirePotion ("Fire_Potion_un1", -193521.967074,27691.6797643,-115387.561461)
	o.Scale=1.0
	o.Orientation=(0.707106769085,0.707106769085,0.0,0.0)

	o=def_class.CreateFirePotion ("Fire_Potion_un2", -194286.935938,27702.6190596,-114822.856732)
	o.Scale=1.0
	o.Orientation=(0.707106769085,0.707106769085,0.0,0.0)

	o=def_class.CreateFirePotion ("Fire_Potion_un3", -194891.942436,27690.9308505,-114982.986755)
	o.Scale=1.0
	o.Orientation=(0.707106769085,0.707106769085,0.0,0.0)

	o=def_class.CreateFirePotion ("Fire_Potion_un4", -150606.58143,38696.2539697,-22956.0321376)
	o.Scale=1.0
	o.Orientation=(0.499457389116,0.497168123722,0.501378953457,-0.501981377602)

	o=def_class.CreateFirePotion ("Fire_Potion_un5", -151404.271311,38694.9064967,-22941.8261505)
	o.Scale=1.0
	o.Orientation=(0.707311570644,0.70493543148,0.0391690246761,-0.0352442637086)

	o=def_class.CreateFirePotion ("Fire_Potion_un6", -150401.858225,38688.2316337,-22286.0745229)
	o.Scale=1.0
	o.Orientation=(0.709619641304,0.699181199074,0.0789605230093,-0.0367545038462)

	o=def_class.CreateFirePotion ("Fire_Potion_un7", -151029.747859,38696.2027775,-23477.9819888)
	o.Scale=1.0
	o.Orientation=(0.707453429699,0.697143793106,0.0816664770246,-0.0826484039426)

	
	Araswen_Vial=Bladex.CreateEntity("Araswen_Vial","Amuleto",-149726.211186,38926.068928,-22336.7787458, Reference.ObjType("Amuletoserpiente"))
	Araswen_Vial.Scale=1.0
	Araswen_Vial.Orientation=(0.9997600317,-0.0152489766479,0.00800431519747,0.0135383997113)
	Araswen_Vial.Data=def_class.AmuletoInvincibility(Araswen_Vial)
	Araswen_Vial.Alpha=0.8
	Ontake.AddOnTakeEvent("Araswen_Vial", UnfreezGolems)

	darfuncs.SetHint(Araswen_Vial,"TRIPLE AMULET OF INVULNERABILITY")

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ END FIRE POTION ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

# def tmp():
	# scorer.setvisible(0)

# tmp()

#import EBrowser

print"--> DefFuncs O'K!"

